## org.eclipse.datatools.modelbase.sql.query.impl
Class SQLQueryModelPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryModelPackageImpl

All Implemented Interfaces:
  SQLQueryModelPackage

public class SQLQueryModelPackageImpl
extends EPackageImpl
implements SQLQueryModelPackage

An implementation of the model Package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.datatools.modelbase.sql.query.SQLQueryModelPackage
`SQLQueryModelPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryModelPackage

`COLUMN_NAME, COLUMN_NAME__COMMENTS, COLUMN_NAME__DEPENDENCIES, COLUMN_NAME__DESCRIPTION, COLUMN_NAME__EANNOTATIONS, COLUMN_NAME__LABEL, COLUMN_NAME__NAME, COLUMN_NAME__PRIVILEGES, COLUMN_NAME__TABLE_CORRELATION, COLUMN_NAME__WITH_TABLE_SPECIFICATION, COLUMN_NAME_FEATURE_COUNT, CURSOR_REFERENCE, CURSOR_REFERENCE__COMMENTS, CURSOR_REFERENCE__DELETE_STATEMENT, CURSOR_REFERENCE__DEPENDENCIES, CURSOR_REFERENCE__DESCRIPTION, CURSOR_REFERENCE__EANNOTATIONS, CURSOR_REFERENCE__LABEL, CURSOR_REFERENCE__NAME, CURSOR_REFERENCE__PRIVILEGES, CURSOR_REFERENCE__UPDATE_STATEMENT, CURSOR_REFERENCE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, GROUPING, GROUPING__COMMENTS, GROUPING__DEPENDENCIES, GROUPING__DESCRIPTION, GROUPING__EANNOTATIONS, GROUPING__GROUPING_SETS_ELEMENT_EXPR, GROUPING__LABEL, GROUPING__NAME, GROUPING__PRIVILEGES, GROUPING__QUERY_SELECT, GROUPING_EXPRESSION, GROUPING_EXPRESSION__COMMENTS, GROUPING_EXPRESSION__DEPENDENCIES, GROUPING_EXPRESSION__DESCRIPTION, GROUPING_EXPRESSION__EANNOTATIONS, GROUPING_EXPRESSION__GROUPING_SETS_ELEMENT_EXPR, GROUPING_EXPRESSION__LABEL, GROUPING_EXPRESSION__NAME, GROUPING_EXPRESSION__PRIVILEGES, GROUPING_EXPRESSION__QUERY_SELECT, GROUPING_EXPRESSION__SUPER_GROUP_ELEMENT_EXPR, GROUPING_EXPRESSION__VALUE_EXPR, GROUPING_EXPRESSION_FEATURE_COUNT, GROUPING_FEATURE_COUNT, GROUPING_SETS, GROUPING_SETS__COMMENTS, GROUPING_SETS__DEPENDENCIES, GROUPING_SETS__DESCRIPTION, GROUPING_SETS__EANNOTATIONS, GROUPING_SETS__GROUPING_SETS_ELEMENT_LIST, GROUPING_SETS__LABEL, GROUPING_SETS__NAME, GROUPING_SETS__PRIVILEGES, GROUPING_SETS__QUERY_SELECT, GROUPING_SETS_ELEMENT, GROUPING_SETS_ELEMENT__COMMENTS, GROUPING_SETS_ELEMENT__DEPENDENCIES, GROUPING_SETS_ELEMENT__DESCRIPTION, GROUPING_SETS_ELEMENT__EANNOTATIONS, GROUPING_SETS_ELEMENT__GROUPING_SETS, GROUPING_SETS_ELEMENT__LABEL, GROUPING_SETS_ELEMENT__NAME, GROUPING_SETS_ELEMENT__PRIVILEGES, GROUPING_SETS_ELEMENT_EXPRESSION, GROUPING_SETS_ELEMENT_EXPRESSION__COMMENTS, GROUPING_SETS_ELEMENT_EXPRESSION__DEPENDENCIES, GROUPING_SETS_ELEMENT_EXPRESSION__DESCRIPTION, GROUPING_SETS_ELEMENT_EXPRESSION__EANNOTATIONS, GROUPING_SETS_ELEMENT_EXPRESSION__GROUPING, GROUPING_SETS_ELEMENT_EXPRESSION__GROUPING_SETS, GROUPING_SETS_ELEMENT_EXPRESSION__GROUPING_SETS_ELEMENT_SUBLIST, GROUPING_SETS_ELEMENT_EXPRESSION__LABEL, GROUPING_SETS_ELEMENT_EXPRESSION__NAME, GROUPING_SETS_ELEMENT_EXPRESSION__PRIVILEGES, GROUPING_SETS_ELEMENT_EXPRESSION_FEATURE_COUNT, GROUPING_SETS_ELEMENT_FEATURE_COUNT, GROUPING_SETS_ELEMENT_SUBLIST, GROUPING_SETS_ELEMENT_SUBLIST__COMMENTS, GROUPING_SETS_ELEMENT_SUBLIST__DEPENDENCIES, GROUPING_SETS_ELEMENT_SUBLIST__DESCRIPTION, GROUPING_SETS_ELEMENT_SUBLIST__EANNOTATIONS, GROUPING_SETS_ELEMENT_SUBLIST__GROUPING_SETS, GROUPING_SETS_ELEMENT_SUBLIST__GROUPING_SETS_ELEMENT_EXPR_LIST, GROUPING_SETS_ELEMENT_SUBLIST__LABEL, GROUPING_SETS_ELEMENT_SUBLIST__NAME, GROUPING_SETS_ELEMENT_SUBLIST__PRIVILEGES, GROUPING_SETS_ELEMENT_SUBLIST_FEATURE_COUNT, GROUPING_SETS_FEATURE_COUNT, GROUPING_SPECIFICATION, GROUPING_SPECIFICATION__COMMENTS, GROUPING_SPECIFICATION__DEPENDENCIES, GROUPING_SPECIFICATION__DESCRIPTION, GROUPING_SPECIFICATION__EANNOTATIONS, GROUPING_SPECIFICATION__LABEL, GROUPING_SPECIFICATION__NAME, GROUPING_SPECIFICATION__PRIVILEGES, GROUPING_SPECIFICATION__QUERY_SELECT, GROUPING_SPECIFICATION_FEATURE_COUNT, NULL_ORDERING_TYPE, ORDER_BY_ORDINAL, ORDER_BY_ORDINAL__COMMENTS, ORDER_BY_ORDINAL__DEPENDENCIES, ORDER_BY_ORDINAL__DESCENDING, ORDER_BY_ORDINAL__DESCRIPTION, ORDER_BY_ORDINAL__EANNOTATIONS, ORDER_BY_ORDINAL__LABEL, ORDER_BY_ORDINAL__NAME, ORDER_BY_ORDINAL__NULL_ORDERING_OPTION, ORDER_BY_ORDINAL__ORDERING_SPEC_OPTION, ORDER_BY_ORDINAL__ORDINAL_VALUE, ORDER_BY_ORDINAL__PRIVILEGES, ORDER_BY_ORDINAL__SELECT_STATEMENT, ORDER_BY_ORDINAL_FEATURE_COUNT, ORDER_BY_RESULT_COLUMN, ORDER_BY_RESULT_COLUMN__COMMENTS, ORDER_BY_RESULT_COLUMN__DEPENDENCIES, ORDER_BY_RESULT_COLUMN__DESCENDING, ORDER_BY_RESULT_COLUMN__DESCRIPTION, ORDER_BY_RESULT_COLUMN__EANNOTATIONS, ORDER_BY_RESULT_COLUMN__LABEL, ORDER_BY_RESULT_COLUMN__NAME, ORDER_BY_RESULT_COLUMN__NULL_ORDERING_OPTION, ORDER_BY_RESULT_COLUMN__ORDERING_SPEC_OPTION, ORDER_BY_RESULT_COLUMN__PRIVILEGES, ORDER_BY_RESULT_COLUMN__RESULT_COL, ORDER_BY_RESULT_COLUMN__SELECT_STATEMENT, ORDER_BY_RESULT_COLUMN_FEATURE_COUNT, ORDER_BY_SPECIFICATION, ORDER_BY_SPECIFICATION__COMMENTS, ORDER_BY_SPECIFICATION__DEPENDENCIES, ORDER_BY_SPECIFICATION__DESCENDING, ORDER_BY_SPECIFICATION__DESCRIPTION, ORDER_BY_SPECIFICATION__EANNOTATIONS, ORDER_BY_SPECIFICATION__LABEL, ORDER_BY_SPECIFICATION__NAME, ORDER_BY_SPECIFICATION__NULL_ORDERING_OPTION, ORDER_BY_SPECIFICATION__ORDERING_SPEC_OPTION, ORDER_BY_SPECIFICATION__PRIVILEGES, ORDER_BY_SPECIFICATION__SELECT_STATEMENT, ORDER_BY_SPECIFICATION_FEATURE_COUNT, ORDER_BY_VALUE_EXPRESSION, ORDER_BY_VALUE_EXPRESSION__COMMENTS, ORDER_BY_VALUE_EXPRESSION__DEPENDENCIES, ORDER_BY_VALUE_EXPRESSION__DESCENDING, ORDER_BY_VALUE_EXPRESSION__DESCRIPTION, ORDER_BY_VALUE_EXPRESSION__EANNOTATIONS, ORDER_BY_VALUE_EXPRESSION__LABEL, ORDER_BY_VALUE_EXPRESSION__NAME, ORDER_BY_VALUE_EXPRESSION__NULL_ORDERING_OPTION, ORDER_BY_VALUE_EXPRESSION__ORDERING_SPEC_OPTION, ORDER_BY_VALUE_EXPRESSION__PRIVILEGES, ORDER_BY_VALUE_EXPRESSION__SELECT_STATEMENT, ORDER_BY_VALUE_EXPRESSION__VALUE_EXPR, ORDER_BY_VALUE_EXPRESSION_FEATURE_COUNT, ORDERING_SPEC_TYPE, PREDICATE, PREDICATE__COMBINED_LEFT, PREDICATE__COMBINED_RIGHT, PREDICATE__COMMENTS, PREDICATE__DELETE_STATEMENT, PREDICATE__DEPENDENCIES, PREDICATE__DESCRIPTION, PREDICATE__EANNOTATIONS, PREDICATE__HAS_SELECTIVITY, PREDICATE__LABEL, PREDICATE__NAME, PREDICATE__NEGATED_CONDITION, PREDICATE__NEGATED_PREDICATE, PREDICATE__NEST, PREDICATE__PRIVILEGES, PREDICATE__QUERY_SELECT_HAVING, PREDICATE__QUERY_SELECT_WHERE, PREDICATE__SELECTIVITY_VALUE, PREDICATE__TABLE_JOINED, PREDICATE__UPDATE_STATEMENT, PREDICATE__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_BASIC, PREDICATE_BASIC__COMBINED_LEFT, PREDICATE_BASIC__COMBINED_RIGHT, PREDICATE_BASIC__COMMENTS, PREDICATE_BASIC__COMPARISON_OPERATOR, PREDICATE_BASIC__DELETE_STATEMENT, PREDICATE_BASIC__DEPENDENCIES, PREDICATE_BASIC__DESCRIPTION, PREDICATE_BASIC__EANNOTATIONS, PREDICATE_BASIC__HAS_SELECTIVITY, PREDICATE_BASIC__LABEL, PREDICATE_BASIC__LEFT_VALUE_EXPR, PREDICATE_BASIC__NAME, PREDICATE_BASIC__NEGATED_CONDITION, PREDICATE_BASIC__NEGATED_PREDICATE, PREDICATE_BASIC__NEST, PREDICATE_BASIC__PRIVILEGES, PREDICATE_BASIC__QUERY_SELECT_HAVING, PREDICATE_BASIC__QUERY_SELECT_WHERE, PREDICATE_BASIC__RIGHT_VALUE_EXPR, PREDICATE_BASIC__SELECTIVITY_VALUE, PREDICATE_BASIC__TABLE_JOINED, PREDICATE_BASIC__UPDATE_STATEMENT, PREDICATE_BASIC__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_BASIC_FEATURE_COUNT, PREDICATE_BETWEEN, PREDICATE_BETWEEN__COMBINED_LEFT, PREDICATE_BETWEEN__COMBINED_RIGHT, PREDICATE_BETWEEN__COMMENTS, PREDICATE_BETWEEN__DELETE_STATEMENT, PREDICATE_BETWEEN__DEPENDENCIES, PREDICATE_BETWEEN__DESCRIPTION, PREDICATE_BETWEEN__EANNOTATIONS, PREDICATE_BETWEEN__HAS_SELECTIVITY, PREDICATE_BETWEEN__LABEL, PREDICATE_BETWEEN__LEFT_VALUE_EXPR, PREDICATE_BETWEEN__NAME, PREDICATE_BETWEEN__NEGATED_CONDITION, PREDICATE_BETWEEN__NEGATED_PREDICATE, PREDICATE_BETWEEN__NEST, PREDICATE_BETWEEN__NOT_BETWEEN, PREDICATE_BETWEEN__PRIVILEGES, PREDICATE_BETWEEN__QUERY_SELECT_HAVING, PREDICATE_BETWEEN__QUERY_SELECT_WHERE, PREDICATE_BETWEEN__RIGHT_VALUE_EXPR1, PREDICATE_BETWEEN__RIGHT_VALUE_EXPR2, PREDICATE_BETWEEN__SELECTIVITY_VALUE, PREDICATE_BETWEEN__TABLE_JOINED, PREDICATE_BETWEEN__UPDATE_STATEMENT, PREDICATE_BETWEEN__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_BETWEEN_FEATURE_COUNT, PREDICATE_COMPARISON_OPERATOR, PREDICATE_EXISTS, PREDICATE_EXISTS__COMBINED_LEFT, PREDICATE_EXISTS__COMBINED_RIGHT, PREDICATE_EXISTS__COMMENTS, PREDICATE_EXISTS__DELETE_STATEMENT, PREDICATE_EXISTS__DEPENDENCIES, PREDICATE_EXISTS__DESCRIPTION, PREDICATE_EXISTS__EANNOTATIONS, PREDICATE_EXISTS__HAS_SELECTIVITY, PREDICATE_EXISTS__LABEL, PREDICATE_EXISTS__NAME, PREDICATE_EXISTS__NEGATED_CONDITION, PREDICATE_EXISTS__NEGATED_PREDICATE, PREDICATE_EXISTS__NEST, PREDICATE_EXISTS__PRIVILEGES, PREDICATE_EXISTS__QUERY_EXPR, PREDICATE_EXISTS__QUERY_SELECT_HAVING, PREDICATE_EXISTS__QUERY_SELECT_WHERE, PREDICATE_EXISTS__SELECTIVITY_VALUE, PREDICATE_EXISTS__TABLE_JOINED, PREDICATE_EXISTS__UPDATE_STATEMENT, PREDICATE_EXISTS__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_EXISTS_FEATURE_COUNT, PREDICATE_FEATURE_COUNT, PREDICATE_IN, PREDICATE_IN__COMBINED_LEFT, PREDICATE_IN__COMBINED_RIGHT, PREDICATE_IN__COMMENTS, PREDICATE_IN__DELETE_STATEMENT, PREDICATE_IN__DEPENDENCIES, PREDICATE_IN__DESCRIPTION, PREDICATE_IN__EANNOTATIONS, PREDICATE_IN__HAS_SELECTIVITY, PREDICATE_IN__LABEL, PREDICATE_IN__NAME, PREDICATE_IN__NEGATED_CONDITION, PREDICATE_IN__NEGATED_PREDICATE, PREDICATE_IN__NEST, PREDICATE_IN__NOT_IN, PREDICATE_IN__PRIVILEGES, PREDICATE_IN__QUERY_SELECT_HAVING, PREDICATE_IN__QUERY_SELECT_WHERE, PREDICATE_IN__SELECTIVITY_VALUE, PREDICATE_IN__TABLE_JOINED, PREDICATE_IN__UPDATE_STATEMENT, PREDICATE_IN__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_IN_FEATURE_COUNT, PREDICATE_IN_VALUE_LIST, PREDICATE_IN_VALUE_LIST__COMBINED_LEFT, PREDICATE_IN_VALUE_LIST__COMBINED_RIGHT, PREDICATE_IN_VALUE_LIST__COMMENTS, PREDICATE_IN_VALUE_LIST__DELETE_STATEMENT, PREDICATE_IN_VALUE_LIST__DEPENDENCIES, PREDICATE_IN_VALUE_LIST__DESCRIPTION, PREDICATE_IN_VALUE_LIST__EANNOTATIONS, PREDICATE_IN_VALUE_LIST__HAS_SELECTIVITY, PREDICATE_IN_VALUE_LIST__LABEL, PREDICATE_IN_VALUE_LIST__NAME, PREDICATE_IN_VALUE_LIST__NEGATED_CONDITION, PREDICATE_IN_VALUE_LIST__NEGATED_PREDICATE, PREDICATE_IN_VALUE_LIST__NEST, PREDICATE_IN_VALUE_LIST__NOT_IN, PREDICATE_IN_VALUE_LIST__PRIVILEGES, PREDICATE_IN_VALUE_LIST__QUERY_SELECT_HAVING, PREDICATE_IN_VALUE_LIST__QUERY_SELECT_WHERE, PREDICATE_IN_VALUE_LIST__SELECTIVITY_VALUE, PREDICATE_IN_VALUE_LIST__TABLE_JOINED, PREDICATE_IN_VALUE_LIST__UPDATE_STATEMENT, PREDICATE_IN_VALUE_LIST__VALUE_EXPR, PREDICATE_IN_VALUE_LIST__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_IN_VALUE_LIST__VALUE_EXPR_LIST, PREDICATE_IN_VALUE_LIST_FEATURE_COUNT, PREDICATE_IN_VALUE_ROW_SELECT, PREDICATE_IN_VALUE_ROW_SELECT__COMBINED_LEFT, PREDICATE_IN_VALUE_ROW_SELECT__COMBINED_RIGHT, PREDICATE_IN_VALUE_ROW_SELECT__COMMENTS, PREDICATE_IN_VALUE_ROW_SELECT__DELETE_STATEMENT, PREDICATE_IN_VALUE_ROW_SELECT__DEPENDENCIES, PREDICATE_IN_VALUE_ROW_SELECT__DESCRIPTION, PREDICATE_IN_VALUE_ROW_SELECT__EANNOTATIONS, PREDICATE_IN_VALUE_ROW_SELECT__HAS_SELECTIVITY, PREDICATE_IN_VALUE_ROW_SELECT__LABEL, PREDICATE_IN_VALUE_ROW_SELECT__NAME, PREDICATE_IN_VALUE_ROW_SELECT__NEGATED_CONDITION, PREDICATE_IN_VALUE_ROW_SELECT__NEGATED_PREDICATE, PREDICATE_IN_VALUE_ROW_SELECT__NEST, PREDICATE_IN_VALUE_ROW_SELECT__NOT_IN, PREDICATE_IN_VALUE_ROW_SELECT__PRIVILEGES, PREDICATE_IN_VALUE_ROW_SELECT__QUERY_EXPR, PREDICATE_IN_VALUE_ROW_SELECT__QUERY_SELECT_HAVING, PREDICATE_IN_VALUE_ROW_SELECT__QUERY_SELECT_WHERE, PREDICATE_IN_VALUE_ROW_SELECT__SELECTIVITY_VALUE, PREDICATE_IN_VALUE_ROW_SELECT__TABLE_JOINED, PREDICATE_IN_VALUE_ROW_SELECT__UPDATE_STATEMENT, PREDICATE_IN_VALUE_ROW_SELECT__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_IN_VALUE_ROW_SELECT__VALUE_EXPR_LIST, PREDICATE_IN_VALUE_ROW_SELECT_FEATURE_COUNT, PREDICATE_IN_VALUE_SELECT, PREDICATE_IN_VALUE_SELECT__COMBINED_LEFT, PREDICATE_IN_VALUE_SELECT__COMBINED_RIGHT, PREDICATE_IN_VALUE_SELECT__COMMENTS, PREDICATE_IN_VALUE_SELECT__DELETE_STATEMENT, PREDICATE_IN_VALUE_SELECT__DEPENDENCIES, PREDICATE_IN_VALUE_SELECT__DESCRIPTION, PREDICATE_IN_VALUE_SELECT__EANNOTATIONS, PREDICATE_IN_VALUE_SELECT__HAS_SELECTIVITY, PREDICATE_IN_VALUE_SELECT__LABEL, PREDICATE_IN_VALUE_SELECT__NAME, PREDICATE_IN_VALUE_SELECT__NEGATED_CONDITION, PREDICATE_IN_VALUE_SELECT__NEGATED_PREDICATE, PREDICATE_IN_VALUE_SELECT__NEST, PREDICATE_IN_VALUE_SELECT__NOT_IN, PREDICATE_IN_VALUE_SELECT__PRIVILEGES, PREDICATE_IN_VALUE_SELECT__QUERY_EXPR, PREDICATE_IN_VALUE_SELECT__QUERY_SELECT_HAVING, PREDICATE_IN_VALUE_SELECT__QUERY_SELECT_WHERE, PREDICATE_IN_VALUE_SELECT__SELECTIVITY_VALUE, PREDICATE_IN_VALUE_SELECT__TABLE_JOINED, PREDICATE_IN_VALUE_SELECT__UPDATE_STATEMENT, PREDICATE_IN_VALUE_SELECT__VALUE_EXPR, PREDICATE_IN_VALUE_SELECT__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_IN_VALUE_SELECT_FEATURE_COUNT, PREDICATE_IS_NULL, PREDICATE_IS_NULL__COMBINED_LEFT, PREDICATE_IS_NULL__COMBINED_RIGHT, PREDICATE_IS_NULL__COMMENTS, PREDICATE_IS_NULL__DELETE_STATEMENT, PREDICATE_IS_NULL__DEPENDENCIES, PREDICATE_IS_NULL__DESCRIPTION, PREDICATE_IS_NULL__EANNOTATIONS, PREDICATE_IS_NULL__HAS_SELECTIVITY, PREDICATE_IS_NULL__LABEL, PREDICATE_IS_NULL__NAME, PREDICATE_IS_NULL__NEGATED_CONDITION, PREDICATE_IS_NULL__NEGATED_PREDICATE, PREDICATE_IS_NULL__NEST, PREDICATE_IS_NULL__NOT_NULL, PREDICATE_IS_NULL__PRIVILEGES, PREDICATE_IS_NULL__QUERY_SELECT_HAVING, PREDICATE_IS_NULL__QUERY_SELECT_WHERE, PREDICATE_IS_NULL__SELECTIVITY_VALUE, PREDICATE_IS_NULL__TABLE_JOINED, PREDICATE_IS_NULL__UPDATE_STATEMENT, PREDICATE_IS_NULL__VALUE_EXPR, PREDICATE_IS_NULL__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_IS_NULL_FEATURE_COUNT, PREDICATE_LIKE, PREDICATE_LIKE__COMBINED_LEFT, PREDICATE_LIKE__COMBINED_RIGHT, PREDICATE_LIKE__COMMENTS, PREDICATE_LIKE__DELETE_STATEMENT, PREDICATE_LIKE__DEPENDENCIES, PREDICATE_LIKE__DESCRIPTION, PREDICATE_LIKE__EANNOTATIONS, PREDICATE_LIKE__ESCAPE_VALUE_EXPR, PREDICATE_LIKE__HAS_SELECTIVITY, PREDICATE_LIKE__LABEL, PREDICATE_LIKE__MATCHING_VALUE_EXPR, PREDICATE_LIKE__NAME, PREDICATE_LIKE__NEGATED_CONDITION, PREDICATE_LIKE__NEGATED_PREDICATE, PREDICATE_LIKE__NEST, PREDICATE_LIKE__NOT_LIKE, PREDICATE_LIKE__PATTERN_VALUE_EXPR, PREDICATE_LIKE__PRIVILEGES, PREDICATE_LIKE__QUERY_SELECT_HAVING, PREDICATE_LIKE__QUERY_SELECT_WHERE, PREDICATE_LIKE__SELECTIVITY_VALUE, PREDICATE_LIKE__TABLE_JOINED, PREDICATE_LIKE__UPDATE_STATEMENT, PREDICATE_LIKE__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_LIKE_FEATURE_COUNT, PREDICATE_QUANTIFIED, PREDICATE_QUANTIFIED__COMBINED_LEFT, PREDICATE_QUANTIFIED__COMBINED_RIGHT, PREDICATE_QUANTIFIED__COMMENTS, PREDICATE_QUANTIFIED__DELETE_STATEMENT, PREDICATE_QUANTIFIED__DEPENDENCIES, PREDICATE_QUANTIFIED__DESCRIPTION, PREDICATE_QUANTIFIED__EANNOTATIONS, PREDICATE_QUANTIFIED__HAS_SELECTIVITY, PREDICATE_QUANTIFIED__LABEL, PREDICATE_QUANTIFIED__NAME, PREDICATE_QUANTIFIED__NEGATED_CONDITION, PREDICATE_QUANTIFIED__NEGATED_PREDICATE, PREDICATE_QUANTIFIED__NEST, PREDICATE_QUANTIFIED__PRIVILEGES, PREDICATE_QUANTIFIED__QUERY_SELECT_HAVING, PREDICATE_QUANTIFIED__QUERY_SELECT_WHERE, PREDICATE_QUANTIFIED__SELECTIVITY_VALUE, PREDICATE_QUANTIFIED__TABLE_JOINED, PREDICATE_QUANTIFIED__UPDATE_STATEMENT, PREDICATE_QUANTIFIED__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_QUANTIFIED_FEATURE_COUNT, PREDICATE_QUANTIFIED_ROW_SELECT, PREDICATE_QUANTIFIED_ROW_SELECT__COMBINED_LEFT, PREDICATE_QUANTIFIED_ROW_SELECT__COMBINED_RIGHT, PREDICATE_QUANTIFIED_ROW_SELECT__COMMENTS, PREDICATE_QUANTIFIED_ROW_SELECT__DELETE_STATEMENT, PREDICATE_QUANTIFIED_ROW_SELECT__DEPENDENCIES, PREDICATE_QUANTIFIED_ROW_SELECT__DESCRIPTION, PREDICATE_QUANTIFIED_ROW_SELECT__EANNOTATIONS, PREDICATE_QUANTIFIED_ROW_SELECT__HAS_SELECTIVITY, PREDICATE_QUANTIFIED_ROW_SELECT__LABEL, PREDICATE_QUANTIFIED_ROW_SELECT__NAME, PREDICATE_QUANTIFIED_ROW_SELECT__NEGATED_CONDITION, PREDICATE_QUANTIFIED_ROW_SELECT__NEGATED_PREDICATE, PREDICATE_QUANTIFIED_ROW_SELECT__NEST, PREDICATE_QUANTIFIED_ROW_SELECT__PRIVILEGES, PREDICATE_QUANTIFIED_ROW_SELECT__QUANTIFIED_TYPE, PREDICATE_QUANTIFIED_ROW_SELECT__QUERY_EXPR, PREDICATE_QUANTIFIED_ROW_SELECT__QUERY_SELECT_HAVING, PREDICATE_QUANTIFIED_ROW_SELECT__QUERY_SELECT_WHERE, PREDICATE_QUANTIFIED_ROW_SELECT__SELECTIVITY_VALUE, PREDICATE_QUANTIFIED_ROW_SELECT__TABLE_JOINED, PREDICATE_QUANTIFIED_ROW_SELECT__UPDATE_STATEMENT, PREDICATE_QUANTIFIED_ROW_SELECT__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_QUANTIFIED_ROW_SELECT__VALUE_EXPR_LIST, PREDICATE_QUANTIFIED_ROW_SELECT_FEATURE_COUNT, PREDICATE_QUANTIFIED_TYPE, PREDICATE_QUANTIFIED_VALUE_SELECT, PREDICATE_QUANTIFIED_VALUE_SELECT__COMBINED_LEFT, PREDICATE_QUANTIFIED_VALUE_SELECT__COMBINED_RIGHT, PREDICATE_QUANTIFIED_VALUE_SELECT__COMMENTS, PREDICATE_QUANTIFIED_VALUE_SELECT__COMPARISON_OPERATOR, PREDICATE_QUANTIFIED_VALUE_SELECT__DELETE_STATEMENT, PREDICATE_QUANTIFIED_VALUE_SELECT__DEPENDENCIES, PREDICATE_QUANTIFIED_VALUE_SELECT__DESCRIPTION, PREDICATE_QUANTIFIED_VALUE_SELECT__EANNOTATIONS, PREDICATE_QUANTIFIED_VALUE_SELECT__HAS_SELECTIVITY, PREDICATE_QUANTIFIED_VALUE_SELECT__LABEL, PREDICATE_QUANTIFIED_VALUE_SELECT__NAME, PREDICATE_QUANTIFIED_VALUE_SELECT__NEGATED_CONDITION, PREDICATE_QUANTIFIED_VALUE_SELECT__NEGATED_PREDICATE, PREDICATE_QUANTIFIED_VALUE_SELECT__NEST, PREDICATE_QUANTIFIED_VALUE_SELECT__PRIVILEGES, PREDICATE_QUANTIFIED_VALUE_SELECT__QUANTIFIED_TYPE, PREDICATE_QUANTIFIED_VALUE_SELECT__QUERY_EXPR, PREDICATE_QUANTIFIED_VALUE_SELECT__QUERY_SELECT_HAVING, PREDICATE_QUANTIFIED_VALUE_SELECT__QUERY_SELECT_WHERE, PREDICATE_QUANTIFIED_VALUE_SELECT__SELECTIVITY_VALUE, PREDICATE_QUANTIFIED_VALUE_SELECT__TABLE_JOINED, PREDICATE_QUANTIFIED_VALUE_SELECT__UPDATE_STATEMENT, PREDICATE_QUANTIFIED_VALUE_SELECT__VALUE_EXPR, PREDICATE_QUANTIFIED_VALUE_SELECT__VALUE_EXPR_CASE_SEARCH_CONTENT, PREDICATE_QUANTIFIED_VALUE_SELECT_FEATURE_COUNT, QUERY_CHANGE_STATEMENT, QUERY_CHANGE_STATEMENT__COMMENTS, QUERY_CHANGE_STATEMENT__DEPENDENCIES, QUERY_CHANGE_STATEMENT__DESCRIPTION, QUERY_CHANGE_STATEMENT__EANNOTATIONS, QUERY_CHANGE_STATEMENT__LABEL, QUERY_CHANGE_STATEMENT__NAME, QUERY_CHANGE_STATEMENT__PRIVILEGES, QUERY_CHANGE_STATEMENT_FEATURE_COUNT, QUERY_COMBINED, QUERY_COMBINED__COLUMN_LIST, QUERY_COMBINED__COMBINED_LEFT, QUERY_COMBINED__COMBINED_OPERATOR, QUERY_COMBINED__COMBINED_RIGHT, QUERY_COMBINED__COMMENTS, QUERY_COMBINED__DEPENDENCIES, QUERY_COMBINED__DESCRIPTION, QUERY_COMBINED__EANNOTATIONS, QUERY_COMBINED__LABEL, QUERY_COMBINED__LEFT_QUERY, QUERY_COMBINED__NAME, QUERY_COMBINED__NEST, QUERY_COMBINED__PREDICATE_EXISTS, QUERY_COMBINED__PRIVILEGES, QUERY_COMBINED__QUERY_EXPRESSION, QUERY_COMBINED__QUERY_SELECT, QUERY_COMBINED__RESULT_TABLE_ALL_COLUMNS, QUERY_COMBINED__RIGHT_QUERY, QUERY_COMBINED__TABLE_CORRELATION, QUERY_COMBINED__TABLE_JOINED_LEFT, QUERY_COMBINED__TABLE_JOINED_RIGHT, QUERY_COMBINED__UPDATE_SOURCE_QUERY, QUERY_COMBINED__VALUE_EXPR_COLUMNS, QUERY_COMBINED__WITH_TABLE_SPECIFICATION, QUERY_COMBINED_FEATURE_COUNT, QUERY_COMBINED_OPERATOR, QUERY_DELETE_STATEMENT, QUERY_DELETE_STATEMENT__COMMENTS, QUERY_DELETE_STATEMENT__DEPENDENCIES, QUERY_DELETE_STATEMENT__DESCRIPTION, QUERY_DELETE_STATEMENT__EANNOTATIONS, QUERY_DELETE_STATEMENT__LABEL, QUERY_DELETE_STATEMENT__NAME, QUERY_DELETE_STATEMENT__PRIVILEGES, QUERY_DELETE_STATEMENT__TARGET_TABLE, QUERY_DELETE_STATEMENT__WHERE_CLAUSE, QUERY_DELETE_STATEMENT__WHERE_CURRENT_OF_CLAUSE, QUERY_DELETE_STATEMENT_FEATURE_COUNT, QUERY_EXPRESSION_BODY, QUERY_EXPRESSION_BODY__COLUMN_LIST, QUERY_EXPRESSION_BODY__COMBINED_LEFT, QUERY_EXPRESSION_BODY__COMBINED_RIGHT, QUERY_EXPRESSION_BODY__COMMENTS, QUERY_EXPRESSION_BODY__DEPENDENCIES, QUERY_EXPRESSION_BODY__DESCRIPTION, QUERY_EXPRESSION_BODY__EANNOTATIONS, QUERY_EXPRESSION_BODY__LABEL, QUERY_EXPRESSION_BODY__NAME, QUERY_EXPRESSION_BODY__NEST, QUERY_EXPRESSION_BODY__PREDICATE_EXISTS, QUERY_EXPRESSION_BODY__PRIVILEGES, QUERY_EXPRESSION_BODY__QUERY_EXPRESSION, QUERY_EXPRESSION_BODY__QUERY_SELECT, QUERY_EXPRESSION_BODY__RESULT_TABLE_ALL_COLUMNS, QUERY_EXPRESSION_BODY__TABLE_CORRELATION, QUERY_EXPRESSION_BODY__TABLE_JOINED_LEFT, QUERY_EXPRESSION_BODY__TABLE_JOINED_RIGHT, QUERY_EXPRESSION_BODY__UPDATE_SOURCE_QUERY, QUERY_EXPRESSION_BODY__VALUE_EXPR_COLUMNS, QUERY_EXPRESSION_BODY__WITH_TABLE_SPECIFICATION, QUERY_EXPRESSION_BODY_FEATURE_COUNT, QUERY_EXPRESSION_ROOT, QUERY_EXPRESSION_ROOT__COMMENTS, QUERY_EXPRESSION_ROOT__DEPENDENCIES, QUERY_EXPRESSION_ROOT__DESCRIPTION, QUERY_EXPRESSION_ROOT__EANNOTATIONS, QUERY_EXPRESSION_ROOT__IN_VALUE_ROW_SELECT_RIGHT, QUERY_EXPRESSION_ROOT__IN_VALUE_SELECT_RIGHT, QUERY_EXPRESSION_ROOT__INSERT_STATEMENT, QUERY_EXPRESSION_ROOT__LABEL, QUERY_EXPRESSION_ROOT__NAME, QUERY_EXPRESSION_ROOT__PRIVILEGES, QUERY_EXPRESSION_ROOT__QUANTIFIED_ROW_SELECT_RIGHT, QUERY_EXPRESSION_ROOT__QUANTIFIED_VALUE_SELECT_RIGHT, QUERY_EXPRESSION_ROOT__QUERY, QUERY_EXPRESSION_ROOT__SELECT_STATEMENT, QUERY_EXPRESSION_ROOT__VALUE_EXPR_SCALAR_SELECTS, QUERY_EXPRESSION_ROOT__WITH_CLAUSE, QUERY_EXPRESSION_ROOT_FEATURE_COUNT, QUERY_INSERT_STATEMENT, QUERY_INSERT_STATEMENT__COMMENTS, QUERY_INSERT_STATEMENT__DEPENDENCIES, QUERY_INSERT_STATEMENT__DESCRIPTION, QUERY_INSERT_STATEMENT__EANNOTATIONS, QUERY_INSERT_STATEMENT__LABEL, QUERY_INSERT_STATEMENT__NAME, QUERY_INSERT_STATEMENT__PRIVILEGES, QUERY_INSERT_STATEMENT__SOURCE_QUERY, QUERY_INSERT_STATEMENT__SOURCE_VALUES_ROW_LIST, QUERY_INSERT_STATEMENT__TARGET_COLUMN_LIST, QUERY_INSERT_STATEMENT__TARGET_TABLE, QUERY_INSERT_STATEMENT_FEATURE_COUNT, QUERY_MERGE_STATEMENT, QUERY_MERGE_STATEMENT__COMMENTS, QUERY_MERGE_STATEMENT__DEPENDENCIES, QUERY_MERGE_STATEMENT__DESCRIPTION, QUERY_MERGE_STATEMENT__EANNOTATIONS, QUERY_MERGE_STATEMENT__LABEL, QUERY_MERGE_STATEMENT__NAME, QUERY_MERGE_STATEMENT__PRIVILEGES, QUERY_MERGE_STATEMENT_FEATURE_COUNT, QUERY_RESULT_SPECIFICATION, QUERY_RESULT_SPECIFICATION__COMMENTS, QUERY_RESULT_SPECIFICATION__DEPENDENCIES, QUERY_RESULT_SPECIFICATION__DESCRIPTION, QUERY_RESULT_SPECIFICATION__EANNOTATIONS, QUERY_RESULT_SPECIFICATION__LABEL, QUERY_RESULT_SPECIFICATION__NAME, QUERY_RESULT_SPECIFICATION__PRIVILEGES, QUERY_RESULT_SPECIFICATION__QUERY_SELECT, QUERY_RESULT_SPECIFICATION_FEATURE_COUNT, QUERY_SEARCH_CONDITION, QUERY_SEARCH_CONDITION__COMBINED_LEFT, QUERY_SEARCH_CONDITION__COMBINED_RIGHT, QUERY_SEARCH_CONDITION__COMMENTS, QUERY_SEARCH_CONDITION__DELETE_STATEMENT, QUERY_SEARCH_CONDITION__DEPENDENCIES, QUERY_SEARCH_CONDITION__DESCRIPTION, QUERY_SEARCH_CONDITION__EANNOTATIONS, QUERY_SEARCH_CONDITION__LABEL, QUERY_SEARCH_CONDITION__NAME, QUERY_SEARCH_CONDITION__NEGATED_CONDITION, QUERY_SEARCH_CONDITION__NEST, QUERY_SEARCH_CONDITION__PRIVILEGES, QUERY_SEARCH_CONDITION__QUERY_SELECT_HAVING, QUERY_SEARCH_CONDITION__QUERY_SELECT_WHERE, QUERY_SEARCH_CONDITION__TABLE_JOINED, QUERY_SEARCH_CONDITION__UPDATE_STATEMENT, QUERY_SEARCH_CONDITION__VALUE_EXPR_CASE_SEARCH_CONTENT, QUERY_SEARCH_CONDITION_FEATURE_COUNT, QUERY_SELECT, QUERY_SELECT__COLUMN_LIST, QUERY_SELECT__COMBINED_LEFT, QUERY_SELECT__COMBINED_RIGHT, QUERY_SELECT__COMMENTS, QUERY_SELECT__DEPENDENCIES, QUERY_SELECT__DESCRIPTION, QUERY_SELECT__DISTINCT, QUERY_SELECT__EANNOTATIONS, QUERY_SELECT__FROM_CLAUSE, QUERY_SELECT__GROUP_BY_CLAUSE, QUERY_SELECT__HAVING_CLAUSE, QUERY_SELECT__INTO_CLAUSE, QUERY_SELECT__LABEL, QUERY_SELECT__NAME, QUERY_SELECT__NEST, QUERY_SELECT__PREDICATE_EXISTS, QUERY_SELECT__PRIVILEGES, QUERY_SELECT__QUERY_EXPRESSION, QUERY_SELECT__QUERY_SELECT, QUERY_SELECT__RESULT_TABLE_ALL_COLUMNS, QUERY_SELECT__SELECT_CLAUSE, QUERY_SELECT__TABLE_CORRELATION, QUERY_SELECT__TABLE_JOINED_LEFT, QUERY_SELECT__TABLE_JOINED_RIGHT, QUERY_SELECT__UPDATE_SOURCE_QUERY, QUERY_SELECT__VALUE_EXPR_COLUMNS, QUERY_SELECT__WHERE_CLAUSE, QUERY_SELECT__WITH_TABLE_SPECIFICATION, QUERY_SELECT_FEATURE_COUNT, QUERY_SELECT_STATEMENT, QUERY_SELECT_STATEMENT__COMMENTS, QUERY_SELECT_STATEMENT__DEPENDENCIES, QUERY_SELECT_STATEMENT__DESCRIPTION, QUERY_SELECT_STATEMENT__EANNOTATIONS, QUERY_SELECT_STATEMENT__LABEL, QUERY_SELECT_STATEMENT__NAME, QUERY_SELECT_STATEMENT__ORDER_BY_CLAUSE, QUERY_SELECT_STATEMENT__PRIVILEGES, QUERY_SELECT_STATEMENT__QUERY_EXPR, QUERY_SELECT_STATEMENT_FEATURE_COUNT, QUERY_STATEMENT, QUERY_STATEMENT__COMMENTS, QUERY_STATEMENT__DEPENDENCIES, QUERY_STATEMENT__DESCRIPTION, QUERY_STATEMENT__EANNOTATIONS, QUERY_STATEMENT__LABEL, QUERY_STATEMENT__NAME, QUERY_STATEMENT__PRIVILEGES, QUERY_STATEMENT_FEATURE_COUNT, QUERY_UPDATE_STATEMENT, QUERY_UPDATE_STATEMENT__ASSIGNMENT_CLAUSE, QUERY_UPDATE_STATEMENT__COMMENTS, QUERY_UPDATE_STATEMENT__DEPENDENCIES, QUERY_UPDATE_STATEMENT__DESCRIPTION, QUERY_UPDATE_STATEMENT__EANNOTATIONS, QUERY_UPDATE_STATEMENT__LABEL, QUERY_UPDATE_STATEMENT__NAME, QUERY_UPDATE_STATEMENT__PRIVILEGES, QUERY_UPDATE_STATEMENT__TARGET_TABLE, QUERY_UPDATE_STATEMENT__WHERE_CLAUSE, QUERY_UPDATE_STATEMENT__WHERE_CURRENT_OF_CLAUSE, QUERY_UPDATE_STATEMENT_FEATURE_COUNT, QUERY_VALUE_EXPRESSION, QUERY_VALUE_EXPRESSION__BASIC_LEFT, QUERY_VALUE_EXPRESSION__BASIC_RIGHT, QUERY_VALUE_EXPRESSION__BETWEEN_LEFT, QUERY_VALUE_EXPRESSION__BETWEEN_RIGHT1, QUERY_VALUE_EXPRESSION__BETWEEN_RIGHT2, QUERY_VALUE_EXPRESSION__COMMENTS, QUERY_VALUE_EXPRESSION__DATA_TYPE, QUERY_VALUE_EXPRESSION__DEPENDENCIES, QUERY_VALUE_EXPRESSION__DESCRIPTION, QUERY_VALUE_EXPRESSION__EANNOTATIONS, QUERY_VALUE_EXPRESSION__GROUPING_EXPR, QUERY_VALUE_EXPRESSION__IN_VALUE_LIST_LEFT, QUERY_VALUE_EXPRESSION__IN_VALUE_LIST_RIGHT, QUERY_VALUE_EXPRESSION__IN_VALUE_ROW_SELECT_LEFT, QUERY_VALUE_EXPRESSION__IN_VALUE_SELECT_LEFT, QUERY_VALUE_EXPRESSION__LABEL, QUERY_VALUE_EXPRESSION__LIKE_ESCAPE, QUERY_VALUE_EXPRESSION__LIKE_MATCHING, QUERY_VALUE_EXPRESSION__LIKE_PATTERN, QUERY_VALUE_EXPRESSION__NAME, QUERY_VALUE_EXPRESSION__NEST, QUERY_VALUE_EXPRESSION__ORDER_BY_VALUE_EXPR, QUERY_VALUE_EXPRESSION__PREDICATE_NULL, QUERY_VALUE_EXPRESSION__PRIVILEGES, QUERY_VALUE_EXPRESSION__QUANTIFIED_ROW_SELECT_LEFT, QUERY_VALUE_EXPRESSION__QUANTIFIED_VALUE_SELECT_LEFT, QUERY_VALUE_EXPRESSION__RESULT_COLUMN, QUERY_VALUE_EXPRESSION__UNARY_OPERATOR, QUERY_VALUE_EXPRESSION__UPDATE_SOURCE_EXPR_LIST, QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_ELSE, QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SEARCH_CONTENT, QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE, QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, QUERY_VALUE_EXPRESSION__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, QUERY_VALUE_EXPRESSION__VALUE_EXPR_CAST, QUERY_VALUE_EXPRESSION__VALUE_EXPR_COMBINED_LEFT, QUERY_VALUE_EXPRESSION__VALUE_EXPR_COMBINED_RIGHT, QUERY_VALUE_EXPRESSION__VALUE_EXPR_FUNCTION, QUERY_VALUE_EXPRESSION__VALUE_EXPR_LABELED_DURATION, QUERY_VALUE_EXPRESSION__VALUES_ROW, QUERY_VALUE_EXPRESSION_FEATURE_COUNT, QUERY_VALUES, QUERY_VALUES__COLUMN_LIST, QUERY_VALUES__COMBINED_LEFT, QUERY_VALUES__COMBINED_RIGHT, QUERY_VALUES__COMMENTS, QUERY_VALUES__DEPENDENCIES, QUERY_VALUES__DESCRIPTION, QUERY_VALUES__EANNOTATIONS, QUERY_VALUES__LABEL, QUERY_VALUES__NAME, QUERY_VALUES__NEST, QUERY_VALUES__PREDICATE_EXISTS, QUERY_VALUES__PRIVILEGES, QUERY_VALUES__QUERY_EXPRESSION, QUERY_VALUES__QUERY_SELECT, QUERY_VALUES__RESULT_TABLE_ALL_COLUMNS, QUERY_VALUES__TABLE_CORRELATION, QUERY_VALUES__TABLE_JOINED_LEFT, QUERY_VALUES__TABLE_JOINED_RIGHT, QUERY_VALUES__UPDATE_SOURCE_QUERY, QUERY_VALUES__VALUE_EXPR_COLUMNS, QUERY_VALUES__VALUES_ROW_LIST, QUERY_VALUES__WITH_TABLE_SPECIFICATION, QUERY_VALUES_FEATURE_COUNT, RESULT_COLUMN, RESULT_COLUMN__COMMENTS, RESULT_COLUMN__DEPENDENCIES, RESULT_COLUMN__DESCRIPTION, RESULT_COLUMN__EANNOTATIONS, RESULT_COLUMN__LABEL, RESULT_COLUMN__NAME, RESULT_COLUMN__ORDER_BY_RESULT_COL, RESULT_COLUMN__PRIVILEGES, RESULT_COLUMN__QUERY_SELECT, RESULT_COLUMN__VALUE_EXPR, RESULT_COLUMN_FEATURE_COUNT, RESULT_TABLE_ALL_COLUMNS, RESULT_TABLE_ALL_COLUMNS__COMMENTS, RESULT_TABLE_ALL_COLUMNS__DEPENDENCIES, RESULT_TABLE_ALL_COLUMNS__DESCRIPTION, RESULT_TABLE_ALL_COLUMNS__EANNOTATIONS, RESULT_TABLE_ALL_COLUMNS__LABEL, RESULT_TABLE_ALL_COLUMNS__NAME, RESULT_TABLE_ALL_COLUMNS__PRIVILEGES, RESULT_TABLE_ALL_COLUMNS__QUERY_SELECT, RESULT_TABLE_ALL_COLUMNS__TABLE_EXPR, RESULT_TABLE_ALL_COLUMNS_FEATURE_COUNT, SEARCH_CONDITION_COMBINED, SEARCH_CONDITION_COMBINED__COMBINED_LEFT, SEARCH_CONDITION_COMBINED__COMBINED_OPERATOR, SEARCH_CONDITION_COMBINED__COMBINED_RIGHT, SEARCH_CONDITION_COMBINED__COMMENTS, SEARCH_CONDITION_COMBINED__DELETE_STATEMENT, SEARCH_CONDITION_COMBINED__DEPENDENCIES, SEARCH_CONDITION_COMBINED__DESCRIPTION, SEARCH_CONDITION_COMBINED__EANNOTATIONS, SEARCH_CONDITION_COMBINED__LABEL, SEARCH_CONDITION_COMBINED__LEFT_CONDITION, SEARCH_CONDITION_COMBINED__NAME, SEARCH_CONDITION_COMBINED__NEGATED_CONDITION, SEARCH_CONDITION_COMBINED__NEST, SEARCH_CONDITION_COMBINED__PRIVILEGES, SEARCH_CONDITION_COMBINED__QUERY_SELECT_HAVING, SEARCH_CONDITION_COMBINED__QUERY_SELECT_WHERE, SEARCH_CONDITION_COMBINED__RIGHT_CONDITION, SEARCH_CONDITION_COMBINED__TABLE_JOINED, SEARCH_CONDITION_COMBINED__UPDATE_STATEMENT, SEARCH_CONDITION_COMBINED__VALUE_EXPR_CASE_SEARCH_CONTENT, SEARCH_CONDITION_COMBINED_FEATURE_COUNT, SEARCH_CONDITION_COMBINED_OPERATOR, SEARCH_CONDITION_NESTED, SEARCH_CONDITION_NESTED__COMBINED_LEFT, SEARCH_CONDITION_NESTED__COMBINED_RIGHT, SEARCH_CONDITION_NESTED__COMMENTS, SEARCH_CONDITION_NESTED__DELETE_STATEMENT, SEARCH_CONDITION_NESTED__DEPENDENCIES, SEARCH_CONDITION_NESTED__DESCRIPTION, SEARCH_CONDITION_NESTED__EANNOTATIONS, SEARCH_CONDITION_NESTED__LABEL, SEARCH_CONDITION_NESTED__NAME, SEARCH_CONDITION_NESTED__NEGATED_CONDITION, SEARCH_CONDITION_NESTED__NEST, SEARCH_CONDITION_NESTED__NESTED_CONDITION, SEARCH_CONDITION_NESTED__PRIVILEGES, SEARCH_CONDITION_NESTED__QUERY_SELECT_HAVING, SEARCH_CONDITION_NESTED__QUERY_SELECT_WHERE, SEARCH_CONDITION_NESTED__TABLE_JOINED, SEARCH_CONDITION_NESTED__UPDATE_STATEMENT, SEARCH_CONDITION_NESTED__VALUE_EXPR_CASE_SEARCH_CONTENT, SEARCH_CONDITION_NESTED_FEATURE_COUNT, SQL_QUERY_OBJECT, SQL_QUERY_OBJECT__COMMENTS, SQL_QUERY_OBJECT__DEPENDENCIES, SQL_QUERY_OBJECT__DESCRIPTION, SQL_QUERY_OBJECT__EANNOTATIONS, SQL_QUERY_OBJECT__LABEL, SQL_QUERY_OBJECT__NAME, SQL_QUERY_OBJECT__PRIVILEGES, SQL_QUERY_OBJECT_FEATURE_COUNT, SUPER_GROUP, SUPER_GROUP__COMMENTS, SUPER_GROUP__DEPENDENCIES, SUPER_GROUP__DESCRIPTION, SUPER_GROUP__EANNOTATIONS, SUPER_GROUP__GROUPING_SETS_ELEMENT_EXPR, SUPER_GROUP__LABEL, SUPER_GROUP__NAME, SUPER_GROUP__PRIVILEGES, SUPER_GROUP__QUERY_SELECT, SUPER_GROUP__SUPER_GROUP_ELEMENT_LIST, SUPER_GROUP__SUPER_GROUP_TYPE, SUPER_GROUP_ELEMENT, SUPER_GROUP_ELEMENT__COMMENTS, SUPER_GROUP_ELEMENT__DEPENDENCIES, SUPER_GROUP_ELEMENT__DESCRIPTION, SUPER_GROUP_ELEMENT__EANNOTATIONS, SUPER_GROUP_ELEMENT__LABEL, SUPER_GROUP_ELEMENT__NAME, SUPER_GROUP_ELEMENT__PRIVILEGES, SUPER_GROUP_ELEMENT__SUPER_GROUP, SUPER_GROUP_ELEMENT_EXPRESSION, SUPER_GROUP_ELEMENT_EXPRESSION__COMMENTS, SUPER_GROUP_ELEMENT_EXPRESSION__DEPENDENCIES, SUPER_GROUP_ELEMENT_EXPRESSION__DESCRIPTION, SUPER_GROUP_ELEMENT_EXPRESSION__EANNOTATIONS, SUPER_GROUP_ELEMENT_EXPRESSION__GROUPING_EXPR, SUPER_GROUP_ELEMENT_EXPRESSION__LABEL, SUPER_GROUP_ELEMENT_EXPRESSION__NAME, SUPER_GROUP_ELEMENT_EXPRESSION__PRIVILEGES, SUPER_GROUP_ELEMENT_EXPRESSION__SUPER_GROUP, SUPER_GROUP_ELEMENT_EXPRESSION__SUPER_GROUP_ELEMENT_SUBLIST, SUPER_GROUP_ELEMENT_EXPRESSION_FEATURE_COUNT, SUPER_GROUP_ELEMENT_FEATURE_COUNT, SUPER_GROUP_ELEMENT_SUBLIST, SUPER_GROUP_ELEMENT_SUBLIST__COMMENTS, SUPER_GROUP_ELEMENT_SUBLIST__DEPENDENCIES, SUPER_GROUP_ELEMENT_SUBLIST__DESCRIPTION, SUPER_GROUP_ELEMENT_SUBLIST__EANNOTATIONS, SUPER_GROUP_ELEMENT_SUBLIST__LABEL, SUPER_GROUP_ELEMENT_SUBLIST__NAME, SUPER_GROUP_ELEMENT_SUBLIST__PRIVILEGES, SUPER_GROUP_ELEMENT_SUBLIST__SUPER_GROUP, SUPER_GROUP_ELEMENT_SUBLIST__SUPER_GROUP_ELEMENT_EXPR_LIST, SUPER_GROUP_ELEMENT_SUBLIST_FEATURE_COUNT, SUPER_GROUP_FEATURE_COUNT, SUPER_GROUP_TYPE, TABLE_CORRELATION, TABLE_CORRELATION__COLUMN_NAME_LIST, TABLE_CORRELATION__COMMENTS, TABLE_CORRELATION__DEPENDENCIES, TABLE_CORRELATION__DESCRIPTION, TABLE_CORRELATION__EANNOTATIONS, TABLE_CORRELATION__LABEL, TABLE_CORRELATION__NAME, TABLE_CORRELATION__PRIVILEGES, TABLE_CORRELATION__TABLE_EXPR, TABLE_CORRELATION_FEATURE_COUNT, TABLE_EXPRESSION, TABLE_EXPRESSION__COLUMN_LIST, TABLE_EXPRESSION__COMMENTS, TABLE_EXPRESSION__DEPENDENCIES, TABLE_EXPRESSION__DESCRIPTION, TABLE_EXPRESSION__EANNOTATIONS, TABLE_EXPRESSION__LABEL, TABLE_EXPRESSION__NAME, TABLE_EXPRESSION__NEST, TABLE_EXPRESSION__PRIVILEGES, TABLE_EXPRESSION__QUERY_SELECT, TABLE_EXPRESSION__RESULT_TABLE_ALL_COLUMNS, TABLE_EXPRESSION__TABLE_CORRELATION, TABLE_EXPRESSION__TABLE_JOINED_LEFT, TABLE_EXPRESSION__TABLE_JOINED_RIGHT, TABLE_EXPRESSION__VALUE_EXPR_COLUMNS, TABLE_EXPRESSION_FEATURE_COUNT, TABLE_FUNCTION, TABLE_FUNCTION__COLUMN_LIST, TABLE_FUNCTION__COMMENTS, TABLE_FUNCTION__DEPENDENCIES, TABLE_FUNCTION__DESCRIPTION, TABLE_FUNCTION__EANNOTATIONS, TABLE_FUNCTION__LABEL, TABLE_FUNCTION__NAME, TABLE_FUNCTION__NEST, TABLE_FUNCTION__PRIVILEGES, TABLE_FUNCTION__QUERY_SELECT, TABLE_FUNCTION__RESULT_TABLE_ALL_COLUMNS, TABLE_FUNCTION__TABLE_CORRELATION, TABLE_FUNCTION__TABLE_JOINED_LEFT, TABLE_FUNCTION__TABLE_JOINED_RIGHT, TABLE_FUNCTION__VALUE_EXPR_COLUMNS, TABLE_FUNCTION_FEATURE_COUNT, TABLE_IN_DATABASE, TABLE_IN_DATABASE__COLUMN_LIST, TABLE_IN_DATABASE__COMMENTS, TABLE_IN_DATABASE__DATABASE_TABLE, TABLE_IN_DATABASE__DELETE_STATEMENT, TABLE_IN_DATABASE__DEPENDENCIES, TABLE_IN_DATABASE__DERIVED_COLUMN_LIST, TABLE_IN_DATABASE__DESCRIPTION, TABLE_IN_DATABASE__EANNOTATIONS, TABLE_IN_DATABASE__INSERT_STATEMENT, TABLE_IN_DATABASE__LABEL, TABLE_IN_DATABASE__NAME, TABLE_IN_DATABASE__NEST, TABLE_IN_DATABASE__PRIVILEGES, TABLE_IN_DATABASE__QUERY_SELECT, TABLE_IN_DATABASE__RESULT_TABLE_ALL_COLUMNS, TABLE_IN_DATABASE__TABLE_CORRELATION, TABLE_IN_DATABASE__TABLE_JOINED_LEFT, TABLE_IN_DATABASE__TABLE_JOINED_RIGHT, TABLE_IN_DATABASE__UPDATE_STATEMENT, TABLE_IN_DATABASE__VALUE_EXPR_COLUMNS, TABLE_IN_DATABASE_FEATURE_COUNT, TABLE_JOINED, TABLE_JOINED__COMMENTS, TABLE_JOINED__DEPENDENCIES, TABLE_JOINED__DESCRIPTION, TABLE_JOINED__EANNOTATIONS, TABLE_JOINED__JOIN_CONDITION, TABLE_JOINED__JOIN_OPERATOR, TABLE_JOINED__LABEL, TABLE_JOINED__NAME, TABLE_JOINED__NEST, TABLE_JOINED__PRIVILEGES, TABLE_JOINED__QUERY_SELECT, TABLE_JOINED__TABLE_JOINED_LEFT, TABLE_JOINED__TABLE_JOINED_RIGHT, TABLE_JOINED__TABLE_REF_LEFT, TABLE_JOINED__TABLE_REF_RIGHT, TABLE_JOINED_FEATURE_COUNT, TABLE_JOINED_OPERATOR, TABLE_NESTED, TABLE_NESTED__COMMENTS, TABLE_NESTED__DEPENDENCIES, TABLE_NESTED__DESCRIPTION, TABLE_NESTED__EANNOTATIONS, TABLE_NESTED__LABEL, TABLE_NESTED__NAME, TABLE_NESTED__NEST, TABLE_NESTED__NESTED_TABLE_REF, TABLE_NESTED__PRIVILEGES, TABLE_NESTED__QUERY_SELECT, TABLE_NESTED__TABLE_JOINED_LEFT, TABLE_NESTED__TABLE_JOINED_RIGHT, TABLE_NESTED_FEATURE_COUNT, TABLE_REFERENCE, TABLE_REFERENCE__COMMENTS, TABLE_REFERENCE__DEPENDENCIES, TABLE_REFERENCE__DESCRIPTION, TABLE_REFERENCE__EANNOTATIONS, TABLE_REFERENCE__LABEL, TABLE_REFERENCE__NAME, TABLE_REFERENCE__NEST, TABLE_REFERENCE__PRIVILEGES, TABLE_REFERENCE__QUERY_SELECT, TABLE_REFERENCE__TABLE_JOINED_LEFT, TABLE_REFERENCE__TABLE_JOINED_RIGHT, TABLE_REFERENCE_FEATURE_COUNT, UPDATE_ASSIGNMENT_EXPRESSION, UPDATE_ASSIGNMENT_EXPRESSION__COMMENTS, UPDATE_ASSIGNMENT_EXPRESSION__DEPENDENCIES, UPDATE_ASSIGNMENT_EXPRESSION__DESCRIPTION, UPDATE_ASSIGNMENT_EXPRESSION__EANNOTATIONS, UPDATE_ASSIGNMENT_EXPRESSION__LABEL, UPDATE_ASSIGNMENT_EXPRESSION__NAME, UPDATE_ASSIGNMENT_EXPRESSION__PRIVILEGES, UPDATE_ASSIGNMENT_EXPRESSION__TARGET_COLUMN_LIST, UPDATE_ASSIGNMENT_EXPRESSION__UPDATE_SOURCE, UPDATE_ASSIGNMENT_EXPRESSION__UPDATE_STATEMENT, UPDATE_ASSIGNMENT_EXPRESSION_FEATURE_COUNT, UPDATE_SOURCE, UPDATE_SOURCE__COMMENTS, UPDATE_SOURCE__DEPENDENCIES, UPDATE_SOURCE__DESCRIPTION, UPDATE_SOURCE__EANNOTATIONS, UPDATE_SOURCE__LABEL, UPDATE_SOURCE__NAME, UPDATE_SOURCE__PRIVILEGES, UPDATE_SOURCE__UPDATE_ASSIGNMENT_EXPR, UPDATE_SOURCE_EXPR_LIST, UPDATE_SOURCE_EXPR_LIST__COMMENTS, UPDATE_SOURCE_EXPR_LIST__DEPENDENCIES, UPDATE_SOURCE_EXPR_LIST__DESCRIPTION, UPDATE_SOURCE_EXPR_LIST__EANNOTATIONS, UPDATE_SOURCE_EXPR_LIST__LABEL, UPDATE_SOURCE_EXPR_LIST__NAME, UPDATE_SOURCE_EXPR_LIST__PRIVILEGES, UPDATE_SOURCE_EXPR_LIST__UPDATE_ASSIGNMENT_EXPR, UPDATE_SOURCE_EXPR_LIST__VALUE_EXPR_LIST, UPDATE_SOURCE_EXPR_LIST_FEATURE_COUNT, UPDATE_SOURCE_FEATURE_COUNT, UPDATE_SOURCE_QUERY, UPDATE_SOURCE_QUERY__COMMENTS, UPDATE_SOURCE_QUERY__DEPENDENCIES, UPDATE_SOURCE_QUERY__DESCRIPTION, UPDATE_SOURCE_QUERY__EANNOTATIONS, UPDATE_SOURCE_QUERY__LABEL, UPDATE_SOURCE_QUERY__NAME, UPDATE_SOURCE_QUERY__PRIVILEGES, UPDATE_SOURCE_QUERY__QUERY_EXPR, UPDATE_SOURCE_QUERY__UPDATE_ASSIGNMENT_EXPR, UPDATE_SOURCE_QUERY_FEATURE_COUNT, VALUE_EXPRESSION_ATOMIC, VALUE_EXPRESSION_ATOMIC__BASIC_LEFT, VALUE_EXPRESSION_ATOMIC__BASIC_RIGHT, VALUE_EXPRESSION_ATOMIC__BETWEEN_LEFT, VALUE_EXPRESSION_ATOMIC__BETWEEN_RIGHT1, VALUE_EXPRESSION_ATOMIC__BETWEEN_RIGHT2, VALUE_EXPRESSION_ATOMIC__COMMENTS, VALUE_EXPRESSION_ATOMIC__DATA_TYPE, VALUE_EXPRESSION_ATOMIC__DEPENDENCIES, VALUE_EXPRESSION_ATOMIC__DESCRIPTION, VALUE_EXPRESSION_ATOMIC__EANNOTATIONS, VALUE_EXPRESSION_ATOMIC__GROUPING_EXPR, VALUE_EXPRESSION_ATOMIC__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_ATOMIC__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_ATOMIC__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_ATOMIC__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_ATOMIC__LABEL, VALUE_EXPRESSION_ATOMIC__LIKE_ESCAPE, VALUE_EXPRESSION_ATOMIC__LIKE_MATCHING, VALUE_EXPRESSION_ATOMIC__LIKE_PATTERN, VALUE_EXPRESSION_ATOMIC__NAME, VALUE_EXPRESSION_ATOMIC__NEST, VALUE_EXPRESSION_ATOMIC__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_ATOMIC__PREDICATE_NULL, VALUE_EXPRESSION_ATOMIC__PRIVILEGES, VALUE_EXPRESSION_ATOMIC__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_ATOMIC__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_ATOMIC__RESULT_COLUMN, VALUE_EXPRESSION_ATOMIC__UNARY_OPERATOR, VALUE_EXPRESSION_ATOMIC__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_ATOMIC__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_ATOMIC__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_ATOMIC__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_ATOMIC__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_ATOMIC__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_ATOMIC__VALUE_EXPR_CAST, VALUE_EXPRESSION_ATOMIC__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_ATOMIC__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_ATOMIC__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_ATOMIC__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_ATOMIC__VALUES_ROW, VALUE_EXPRESSION_ATOMIC_FEATURE_COUNT, VALUE_EXPRESSION_CASE, VALUE_EXPRESSION_CASE__BASIC_LEFT, VALUE_EXPRESSION_CASE__BASIC_RIGHT, VALUE_EXPRESSION_CASE__BETWEEN_LEFT, VALUE_EXPRESSION_CASE__BETWEEN_RIGHT1, VALUE_EXPRESSION_CASE__BETWEEN_RIGHT2, VALUE_EXPRESSION_CASE__CASE_ELSE, VALUE_EXPRESSION_CASE__COMMENTS, VALUE_EXPRESSION_CASE__DATA_TYPE, VALUE_EXPRESSION_CASE__DEPENDENCIES, VALUE_EXPRESSION_CASE__DESCRIPTION, VALUE_EXPRESSION_CASE__EANNOTATIONS, VALUE_EXPRESSION_CASE__GROUPING_EXPR, VALUE_EXPRESSION_CASE__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_CASE__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_CASE__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_CASE__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_CASE__LABEL, VALUE_EXPRESSION_CASE__LIKE_ESCAPE, VALUE_EXPRESSION_CASE__LIKE_MATCHING, VALUE_EXPRESSION_CASE__LIKE_PATTERN, VALUE_EXPRESSION_CASE__NAME, VALUE_EXPRESSION_CASE__NEST, VALUE_EXPRESSION_CASE__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_CASE__PREDICATE_NULL, VALUE_EXPRESSION_CASE__PRIVILEGES, VALUE_EXPRESSION_CASE__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_CASE__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_CASE__RESULT_COLUMN, VALUE_EXPRESSION_CASE__UNARY_OPERATOR, VALUE_EXPRESSION_CASE__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_CASE__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_CASE__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_CASE__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_CASE__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_CASE__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_CASE__VALUE_EXPR_CAST, VALUE_EXPRESSION_CASE__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_CASE__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_CASE__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_CASE__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_CASE__VALUES_ROW, VALUE_EXPRESSION_CASE_ELSE, VALUE_EXPRESSION_CASE_ELSE__COMMENTS, VALUE_EXPRESSION_CASE_ELSE__DEPENDENCIES, VALUE_EXPRESSION_CASE_ELSE__DESCRIPTION, VALUE_EXPRESSION_CASE_ELSE__EANNOTATIONS, VALUE_EXPRESSION_CASE_ELSE__LABEL, VALUE_EXPRESSION_CASE_ELSE__NAME, VALUE_EXPRESSION_CASE_ELSE__PRIVILEGES, VALUE_EXPRESSION_CASE_ELSE__VALUE_EXPR, VALUE_EXPRESSION_CASE_ELSE__VALUE_EXPR_CASE, VALUE_EXPRESSION_CASE_ELSE_FEATURE_COUNT, VALUE_EXPRESSION_CASE_FEATURE_COUNT, VALUE_EXPRESSION_CASE_SEARCH, VALUE_EXPRESSION_CASE_SEARCH__BASIC_LEFT, VALUE_EXPRESSION_CASE_SEARCH__BASIC_RIGHT, VALUE_EXPRESSION_CASE_SEARCH__BETWEEN_LEFT, VALUE_EXPRESSION_CASE_SEARCH__BETWEEN_RIGHT1, VALUE_EXPRESSION_CASE_SEARCH__BETWEEN_RIGHT2, VALUE_EXPRESSION_CASE_SEARCH__CASE_ELSE, VALUE_EXPRESSION_CASE_SEARCH__COMMENTS, VALUE_EXPRESSION_CASE_SEARCH__DATA_TYPE, VALUE_EXPRESSION_CASE_SEARCH__DEPENDENCIES, VALUE_EXPRESSION_CASE_SEARCH__DESCRIPTION, VALUE_EXPRESSION_CASE_SEARCH__EANNOTATIONS, VALUE_EXPRESSION_CASE_SEARCH__GROUPING_EXPR, VALUE_EXPRESSION_CASE_SEARCH__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_CASE_SEARCH__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_CASE_SEARCH__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_CASE_SEARCH__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_CASE_SEARCH__LABEL, VALUE_EXPRESSION_CASE_SEARCH__LIKE_ESCAPE, VALUE_EXPRESSION_CASE_SEARCH__LIKE_MATCHING, VALUE_EXPRESSION_CASE_SEARCH__LIKE_PATTERN, VALUE_EXPRESSION_CASE_SEARCH__NAME, VALUE_EXPRESSION_CASE_SEARCH__NEST, VALUE_EXPRESSION_CASE_SEARCH__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_CASE_SEARCH__PREDICATE_NULL, VALUE_EXPRESSION_CASE_SEARCH__PRIVILEGES, VALUE_EXPRESSION_CASE_SEARCH__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_CASE_SEARCH__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_CASE_SEARCH__RESULT_COLUMN, VALUE_EXPRESSION_CASE_SEARCH__SEARCH_CONTENT_LIST, VALUE_EXPRESSION_CASE_SEARCH__UNARY_OPERATOR, VALUE_EXPRESSION_CASE_SEARCH__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_CASE_SEARCH__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_CASE_SEARCH__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_CASE_SEARCH__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_CASE_SEARCH__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_CASE_SEARCH__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_CASE_SEARCH__VALUE_EXPR_CAST, VALUE_EXPRESSION_CASE_SEARCH__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_CASE_SEARCH__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_CASE_SEARCH__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_CASE_SEARCH__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_CASE_SEARCH__VALUES_ROW, VALUE_EXPRESSION_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_CASE_SEARCH_CONTENT__COMMENTS, VALUE_EXPRESSION_CASE_SEARCH_CONTENT__DEPENDENCIES, VALUE_EXPRESSION_CASE_SEARCH_CONTENT__DESCRIPTION, VALUE_EXPRESSION_CASE_SEARCH_CONTENT__EANNOTATIONS, VALUE_EXPRESSION_CASE_SEARCH_CONTENT__LABEL, VALUE_EXPRESSION_CASE_SEARCH_CONTENT__NAME, VALUE_EXPRESSION_CASE_SEARCH_CONTENT__PRIVILEGES, VALUE_EXPRESSION_CASE_SEARCH_CONTENT__SEARCH_CONDITION, VALUE_EXPRESSION_CASE_SEARCH_CONTENT__VALUE_EXPR, VALUE_EXPRESSION_CASE_SEARCH_CONTENT__VALUE_EXPR_CASE_SEARCH, VALUE_EXPRESSION_CASE_SEARCH_CONTENT_FEATURE_COUNT, VALUE_EXPRESSION_CASE_SEARCH_FEATURE_COUNT, VALUE_EXPRESSION_CASE_SIMPLE, VALUE_EXPRESSION_CASE_SIMPLE__BASIC_LEFT, VALUE_EXPRESSION_CASE_SIMPLE__BASIC_RIGHT, VALUE_EXPRESSION_CASE_SIMPLE__BETWEEN_LEFT, VALUE_EXPRESSION_CASE_SIMPLE__BETWEEN_RIGHT1, VALUE_EXPRESSION_CASE_SIMPLE__BETWEEN_RIGHT2, VALUE_EXPRESSION_CASE_SIMPLE__CASE_ELSE, VALUE_EXPRESSION_CASE_SIMPLE__COMMENTS, VALUE_EXPRESSION_CASE_SIMPLE__CONTENT_LIST, VALUE_EXPRESSION_CASE_SIMPLE__DATA_TYPE, VALUE_EXPRESSION_CASE_SIMPLE__DEPENDENCIES, VALUE_EXPRESSION_CASE_SIMPLE__DESCRIPTION, VALUE_EXPRESSION_CASE_SIMPLE__EANNOTATIONS, VALUE_EXPRESSION_CASE_SIMPLE__GROUPING_EXPR, VALUE_EXPRESSION_CASE_SIMPLE__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_CASE_SIMPLE__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_CASE_SIMPLE__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_CASE_SIMPLE__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_CASE_SIMPLE__LABEL, VALUE_EXPRESSION_CASE_SIMPLE__LIKE_ESCAPE, VALUE_EXPRESSION_CASE_SIMPLE__LIKE_MATCHING, VALUE_EXPRESSION_CASE_SIMPLE__LIKE_PATTERN, VALUE_EXPRESSION_CASE_SIMPLE__NAME, VALUE_EXPRESSION_CASE_SIMPLE__NEST, VALUE_EXPRESSION_CASE_SIMPLE__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_CASE_SIMPLE__PREDICATE_NULL, VALUE_EXPRESSION_CASE_SIMPLE__PRIVILEGES, VALUE_EXPRESSION_CASE_SIMPLE__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_CASE_SIMPLE__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_CASE_SIMPLE__RESULT_COLUMN, VALUE_EXPRESSION_CASE_SIMPLE__UNARY_OPERATOR, VALUE_EXPRESSION_CASE_SIMPLE__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR_CAST, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_CASE_SIMPLE__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_CASE_SIMPLE__VALUES_ROW, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__COMMENTS, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__DEPENDENCIES, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__DESCRIPTION, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__EANNOTATIONS, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__LABEL, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__NAME, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__PRIVILEGES, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__RESULT_VALUE_EXPR, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT__WHEN_VALUE_EXPR, VALUE_EXPRESSION_CASE_SIMPLE_CONTENT_FEATURE_COUNT, VALUE_EXPRESSION_CASE_SIMPLE_FEATURE_COUNT, VALUE_EXPRESSION_CAST, VALUE_EXPRESSION_CAST__BASIC_LEFT, VALUE_EXPRESSION_CAST__BASIC_RIGHT, VALUE_EXPRESSION_CAST__BETWEEN_LEFT, VALUE_EXPRESSION_CAST__BETWEEN_RIGHT1, VALUE_EXPRESSION_CAST__BETWEEN_RIGHT2, VALUE_EXPRESSION_CAST__COMMENTS, VALUE_EXPRESSION_CAST__DATA_TYPE, VALUE_EXPRESSION_CAST__DEPENDENCIES, VALUE_EXPRESSION_CAST__DESCRIPTION, VALUE_EXPRESSION_CAST__EANNOTATIONS, VALUE_EXPRESSION_CAST__GROUPING_EXPR, VALUE_EXPRESSION_CAST__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_CAST__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_CAST__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_CAST__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_CAST__LABEL, VALUE_EXPRESSION_CAST__LIKE_ESCAPE, VALUE_EXPRESSION_CAST__LIKE_MATCHING, VALUE_EXPRESSION_CAST__LIKE_PATTERN, VALUE_EXPRESSION_CAST__NAME, VALUE_EXPRESSION_CAST__NEST, VALUE_EXPRESSION_CAST__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_CAST__PREDICATE_NULL, VALUE_EXPRESSION_CAST__PRIVILEGES, VALUE_EXPRESSION_CAST__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_CAST__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_CAST__RESULT_COLUMN, VALUE_EXPRESSION_CAST__UNARY_OPERATOR, VALUE_EXPRESSION_CAST__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_CAST__VALUE_EXPR, VALUE_EXPRESSION_CAST__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_CAST__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_CAST__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_CAST__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_CAST__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_CAST__VALUE_EXPR_CAST, VALUE_EXPRESSION_CAST__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_CAST__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_CAST__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_CAST__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_CAST__VALUES_ROW, VALUE_EXPRESSION_CAST_FEATURE_COUNT, VALUE_EXPRESSION_COLUMN, VALUE_EXPRESSION_COLUMN__ASSIGNMENT_EXPR_TARGET, VALUE_EXPRESSION_COLUMN__BASIC_LEFT, VALUE_EXPRESSION_COLUMN__BASIC_RIGHT, VALUE_EXPRESSION_COLUMN__BETWEEN_LEFT, VALUE_EXPRESSION_COLUMN__BETWEEN_RIGHT1, VALUE_EXPRESSION_COLUMN__BETWEEN_RIGHT2, VALUE_EXPRESSION_COLUMN__COMMENTS, VALUE_EXPRESSION_COLUMN__DATA_TYPE, VALUE_EXPRESSION_COLUMN__DEPENDENCIES, VALUE_EXPRESSION_COLUMN__DESCRIPTION, VALUE_EXPRESSION_COLUMN__EANNOTATIONS, VALUE_EXPRESSION_COLUMN__GROUPING_EXPR, VALUE_EXPRESSION_COLUMN__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_COLUMN__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_COLUMN__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_COLUMN__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_COLUMN__INSERT_STATEMENT, VALUE_EXPRESSION_COLUMN__LABEL, VALUE_EXPRESSION_COLUMN__LIKE_ESCAPE, VALUE_EXPRESSION_COLUMN__LIKE_MATCHING, VALUE_EXPRESSION_COLUMN__LIKE_PATTERN, VALUE_EXPRESSION_COLUMN__NAME, VALUE_EXPRESSION_COLUMN__NEST, VALUE_EXPRESSION_COLUMN__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_COLUMN__PARENT_TABLE_EXPR, VALUE_EXPRESSION_COLUMN__PREDICATE_NULL, VALUE_EXPRESSION_COLUMN__PRIVILEGES, VALUE_EXPRESSION_COLUMN__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_COLUMN__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_COLUMN__RESULT_COLUMN, VALUE_EXPRESSION_COLUMN__TABLE_EXPR, VALUE_EXPRESSION_COLUMN__TABLE_IN_DATABASE, VALUE_EXPRESSION_COLUMN__UNARY_OPERATOR, VALUE_EXPRESSION_COLUMN__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_COLUMN__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_COLUMN__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_COLUMN__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_COLUMN__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_COLUMN__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_COLUMN__VALUE_EXPR_CAST, VALUE_EXPRESSION_COLUMN__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_COLUMN__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_COLUMN__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_COLUMN__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_COLUMN__VALUES_ROW, VALUE_EXPRESSION_COLUMN_FEATURE_COUNT, VALUE_EXPRESSION_COMBINED, VALUE_EXPRESSION_COMBINED__BASIC_LEFT, VALUE_EXPRESSION_COMBINED__BASIC_RIGHT, VALUE_EXPRESSION_COMBINED__BETWEEN_LEFT, VALUE_EXPRESSION_COMBINED__BETWEEN_RIGHT1, VALUE_EXPRESSION_COMBINED__BETWEEN_RIGHT2, VALUE_EXPRESSION_COMBINED__COMBINED_OPERATOR, VALUE_EXPRESSION_COMBINED__COMMENTS, VALUE_EXPRESSION_COMBINED__DATA_TYPE, VALUE_EXPRESSION_COMBINED__DEPENDENCIES, VALUE_EXPRESSION_COMBINED__DESCRIPTION, VALUE_EXPRESSION_COMBINED__EANNOTATIONS, VALUE_EXPRESSION_COMBINED__GROUPING_EXPR, VALUE_EXPRESSION_COMBINED__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_COMBINED__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_COMBINED__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_COMBINED__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_COMBINED__LABEL, VALUE_EXPRESSION_COMBINED__LEFT_VALUE_EXPR, VALUE_EXPRESSION_COMBINED__LIKE_ESCAPE, VALUE_EXPRESSION_COMBINED__LIKE_MATCHING, VALUE_EXPRESSION_COMBINED__LIKE_PATTERN, VALUE_EXPRESSION_COMBINED__NAME, VALUE_EXPRESSION_COMBINED__NEST, VALUE_EXPRESSION_COMBINED__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_COMBINED__PREDICATE_NULL, VALUE_EXPRESSION_COMBINED__PRIVILEGES, VALUE_EXPRESSION_COMBINED__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_COMBINED__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_COMBINED__RESULT_COLUMN, VALUE_EXPRESSION_COMBINED__RIGHT_VALUE_EXPR, VALUE_EXPRESSION_COMBINED__UNARY_OPERATOR, VALUE_EXPRESSION_COMBINED__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_COMBINED__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_COMBINED__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_COMBINED__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_COMBINED__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_COMBINED__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_COMBINED__VALUE_EXPR_CAST, VALUE_EXPRESSION_COMBINED__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_COMBINED__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_COMBINED__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_COMBINED__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_COMBINED__VALUES_ROW, VALUE_EXPRESSION_COMBINED_FEATURE_COUNT, VALUE_EXPRESSION_COMBINED_OPERATOR, VALUE_EXPRESSION_DEFAULT_VALUE, VALUE_EXPRESSION_DEFAULT_VALUE__BASIC_LEFT, VALUE_EXPRESSION_DEFAULT_VALUE__BASIC_RIGHT, VALUE_EXPRESSION_DEFAULT_VALUE__BETWEEN_LEFT, VALUE_EXPRESSION_DEFAULT_VALUE__BETWEEN_RIGHT1, VALUE_EXPRESSION_DEFAULT_VALUE__BETWEEN_RIGHT2, VALUE_EXPRESSION_DEFAULT_VALUE__COMMENTS, VALUE_EXPRESSION_DEFAULT_VALUE__DATA_TYPE, VALUE_EXPRESSION_DEFAULT_VALUE__DEPENDENCIES, VALUE_EXPRESSION_DEFAULT_VALUE__DESCRIPTION, VALUE_EXPRESSION_DEFAULT_VALUE__EANNOTATIONS, VALUE_EXPRESSION_DEFAULT_VALUE__GROUPING_EXPR, VALUE_EXPRESSION_DEFAULT_VALUE__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_DEFAULT_VALUE__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_DEFAULT_VALUE__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_DEFAULT_VALUE__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_DEFAULT_VALUE__LABEL, VALUE_EXPRESSION_DEFAULT_VALUE__LIKE_ESCAPE, VALUE_EXPRESSION_DEFAULT_VALUE__LIKE_MATCHING, VALUE_EXPRESSION_DEFAULT_VALUE__LIKE_PATTERN, VALUE_EXPRESSION_DEFAULT_VALUE__NAME, VALUE_EXPRESSION_DEFAULT_VALUE__NEST, VALUE_EXPRESSION_DEFAULT_VALUE__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_DEFAULT_VALUE__PREDICATE_NULL, VALUE_EXPRESSION_DEFAULT_VALUE__PRIVILEGES, VALUE_EXPRESSION_DEFAULT_VALUE__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_DEFAULT_VALUE__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_DEFAULT_VALUE__RESULT_COLUMN, VALUE_EXPRESSION_DEFAULT_VALUE__UNARY_OPERATOR, VALUE_EXPRESSION_DEFAULT_VALUE__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_DEFAULT_VALUE__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_DEFAULT_VALUE__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_DEFAULT_VALUE__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_DEFAULT_VALUE__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_DEFAULT_VALUE__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_DEFAULT_VALUE__VALUE_EXPR_CAST, VALUE_EXPRESSION_DEFAULT_VALUE__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_DEFAULT_VALUE__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_DEFAULT_VALUE__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_DEFAULT_VALUE__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_DEFAULT_VALUE__VALUES_ROW, VALUE_EXPRESSION_DEFAULT_VALUE_FEATURE_COUNT, VALUE_EXPRESSION_FUNCTION, VALUE_EXPRESSION_FUNCTION__BASIC_LEFT, VALUE_EXPRESSION_FUNCTION__BASIC_RIGHT, VALUE_EXPRESSION_FUNCTION__BETWEEN_LEFT, VALUE_EXPRESSION_FUNCTION__BETWEEN_RIGHT1, VALUE_EXPRESSION_FUNCTION__BETWEEN_RIGHT2, VALUE_EXPRESSION_FUNCTION__COLUMN_FUNCTION, VALUE_EXPRESSION_FUNCTION__COMMENTS, VALUE_EXPRESSION_FUNCTION__DATA_TYPE, VALUE_EXPRESSION_FUNCTION__DEPENDENCIES, VALUE_EXPRESSION_FUNCTION__DESCRIPTION, VALUE_EXPRESSION_FUNCTION__DISTINCT, VALUE_EXPRESSION_FUNCTION__EANNOTATIONS, VALUE_EXPRESSION_FUNCTION__FUNCTION, VALUE_EXPRESSION_FUNCTION__GROUPING_EXPR, VALUE_EXPRESSION_FUNCTION__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_FUNCTION__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_FUNCTION__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_FUNCTION__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_FUNCTION__LABEL, VALUE_EXPRESSION_FUNCTION__LIKE_ESCAPE, VALUE_EXPRESSION_FUNCTION__LIKE_MATCHING, VALUE_EXPRESSION_FUNCTION__LIKE_PATTERN, VALUE_EXPRESSION_FUNCTION__NAME, VALUE_EXPRESSION_FUNCTION__NEST, VALUE_EXPRESSION_FUNCTION__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_FUNCTION__PARAMETER_LIST, VALUE_EXPRESSION_FUNCTION__PREDICATE_NULL, VALUE_EXPRESSION_FUNCTION__PRIVILEGES, VALUE_EXPRESSION_FUNCTION__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_FUNCTION__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_FUNCTION__RESULT_COLUMN, VALUE_EXPRESSION_FUNCTION__SPECIAL_REGISTER, VALUE_EXPRESSION_FUNCTION__UNARY_OPERATOR, VALUE_EXPRESSION_FUNCTION__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_FUNCTION__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_FUNCTION__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_FUNCTION__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_FUNCTION__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_FUNCTION__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_FUNCTION__VALUE_EXPR_CAST, VALUE_EXPRESSION_FUNCTION__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_FUNCTION__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_FUNCTION__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_FUNCTION__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_FUNCTION__VALUES_ROW, VALUE_EXPRESSION_FUNCTION_FEATURE_COUNT, VALUE_EXPRESSION_LABELED_DURATION, VALUE_EXPRESSION_LABELED_DURATION__BASIC_LEFT, VALUE_EXPRESSION_LABELED_DURATION__BASIC_RIGHT, VALUE_EXPRESSION_LABELED_DURATION__BETWEEN_LEFT, VALUE_EXPRESSION_LABELED_DURATION__BETWEEN_RIGHT1, VALUE_EXPRESSION_LABELED_DURATION__BETWEEN_RIGHT2, VALUE_EXPRESSION_LABELED_DURATION__COMMENTS, VALUE_EXPRESSION_LABELED_DURATION__DATA_TYPE, VALUE_EXPRESSION_LABELED_DURATION__DEPENDENCIES, VALUE_EXPRESSION_LABELED_DURATION__DESCRIPTION, VALUE_EXPRESSION_LABELED_DURATION__EANNOTATIONS, VALUE_EXPRESSION_LABELED_DURATION__GROUPING_EXPR, VALUE_EXPRESSION_LABELED_DURATION__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_LABELED_DURATION__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_LABELED_DURATION__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_LABELED_DURATION__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_LABELED_DURATION__LABEL, VALUE_EXPRESSION_LABELED_DURATION__LABELED_DURATION_TYPE, VALUE_EXPRESSION_LABELED_DURATION__LIKE_ESCAPE, VALUE_EXPRESSION_LABELED_DURATION__LIKE_MATCHING, VALUE_EXPRESSION_LABELED_DURATION__LIKE_PATTERN, VALUE_EXPRESSION_LABELED_DURATION__NAME, VALUE_EXPRESSION_LABELED_DURATION__NEST, VALUE_EXPRESSION_LABELED_DURATION__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_LABELED_DURATION__PREDICATE_NULL, VALUE_EXPRESSION_LABELED_DURATION__PRIVILEGES, VALUE_EXPRESSION_LABELED_DURATION__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_LABELED_DURATION__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_LABELED_DURATION__RESULT_COLUMN, VALUE_EXPRESSION_LABELED_DURATION__UNARY_OPERATOR, VALUE_EXPRESSION_LABELED_DURATION__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR_CAST, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_LABELED_DURATION__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_LABELED_DURATION__VALUES_ROW, VALUE_EXPRESSION_LABELED_DURATION_FEATURE_COUNT, VALUE_EXPRESSION_LABELED_DURATION_TYPE, VALUE_EXPRESSION_NESTED, VALUE_EXPRESSION_NESTED__BASIC_LEFT, VALUE_EXPRESSION_NESTED__BASIC_RIGHT, VALUE_EXPRESSION_NESTED__BETWEEN_LEFT, VALUE_EXPRESSION_NESTED__BETWEEN_RIGHT1, VALUE_EXPRESSION_NESTED__BETWEEN_RIGHT2, VALUE_EXPRESSION_NESTED__COMMENTS, VALUE_EXPRESSION_NESTED__DATA_TYPE, VALUE_EXPRESSION_NESTED__DEPENDENCIES, VALUE_EXPRESSION_NESTED__DESCRIPTION, VALUE_EXPRESSION_NESTED__EANNOTATIONS, VALUE_EXPRESSION_NESTED__GROUPING_EXPR, VALUE_EXPRESSION_NESTED__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_NESTED__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_NESTED__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_NESTED__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_NESTED__LABEL, VALUE_EXPRESSION_NESTED__LIKE_ESCAPE, VALUE_EXPRESSION_NESTED__LIKE_MATCHING, VALUE_EXPRESSION_NESTED__LIKE_PATTERN, VALUE_EXPRESSION_NESTED__NAME, VALUE_EXPRESSION_NESTED__NEST, VALUE_EXPRESSION_NESTED__NESTED_VALUE_EXPR, VALUE_EXPRESSION_NESTED__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_NESTED__PREDICATE_NULL, VALUE_EXPRESSION_NESTED__PRIVILEGES, VALUE_EXPRESSION_NESTED__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_NESTED__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_NESTED__RESULT_COLUMN, VALUE_EXPRESSION_NESTED__UNARY_OPERATOR, VALUE_EXPRESSION_NESTED__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_NESTED__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_NESTED__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_NESTED__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_NESTED__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_NESTED__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_NESTED__VALUE_EXPR_CAST, VALUE_EXPRESSION_NESTED__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_NESTED__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_NESTED__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_NESTED__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_NESTED__VALUES_ROW, VALUE_EXPRESSION_NESTED_FEATURE_COUNT, VALUE_EXPRESSION_NULL_VALUE, VALUE_EXPRESSION_NULL_VALUE__BASIC_LEFT, VALUE_EXPRESSION_NULL_VALUE__BASIC_RIGHT, VALUE_EXPRESSION_NULL_VALUE__BETWEEN_LEFT, VALUE_EXPRESSION_NULL_VALUE__BETWEEN_RIGHT1, VALUE_EXPRESSION_NULL_VALUE__BETWEEN_RIGHT2, VALUE_EXPRESSION_NULL_VALUE__COMMENTS, VALUE_EXPRESSION_NULL_VALUE__DATA_TYPE, VALUE_EXPRESSION_NULL_VALUE__DEPENDENCIES, VALUE_EXPRESSION_NULL_VALUE__DESCRIPTION, VALUE_EXPRESSION_NULL_VALUE__EANNOTATIONS, VALUE_EXPRESSION_NULL_VALUE__GROUPING_EXPR, VALUE_EXPRESSION_NULL_VALUE__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_NULL_VALUE__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_NULL_VALUE__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_NULL_VALUE__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_NULL_VALUE__LABEL, VALUE_EXPRESSION_NULL_VALUE__LIKE_ESCAPE, VALUE_EXPRESSION_NULL_VALUE__LIKE_MATCHING, VALUE_EXPRESSION_NULL_VALUE__LIKE_PATTERN, VALUE_EXPRESSION_NULL_VALUE__NAME, VALUE_EXPRESSION_NULL_VALUE__NEST, VALUE_EXPRESSION_NULL_VALUE__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_NULL_VALUE__PREDICATE_NULL, VALUE_EXPRESSION_NULL_VALUE__PRIVILEGES, VALUE_EXPRESSION_NULL_VALUE__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_NULL_VALUE__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_NULL_VALUE__RESULT_COLUMN, VALUE_EXPRESSION_NULL_VALUE__UNARY_OPERATOR, VALUE_EXPRESSION_NULL_VALUE__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_NULL_VALUE__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_NULL_VALUE__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_NULL_VALUE__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_NULL_VALUE__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_NULL_VALUE__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_NULL_VALUE__VALUE_EXPR_CAST, VALUE_EXPRESSION_NULL_VALUE__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_NULL_VALUE__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_NULL_VALUE__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_NULL_VALUE__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_NULL_VALUE__VALUES_ROW, VALUE_EXPRESSION_NULL_VALUE_FEATURE_COUNT, VALUE_EXPRESSION_SCALAR_SELECT, VALUE_EXPRESSION_SCALAR_SELECT__BASIC_LEFT, VALUE_EXPRESSION_SCALAR_SELECT__BASIC_RIGHT, VALUE_EXPRESSION_SCALAR_SELECT__BETWEEN_LEFT, VALUE_EXPRESSION_SCALAR_SELECT__BETWEEN_RIGHT1, VALUE_EXPRESSION_SCALAR_SELECT__BETWEEN_RIGHT2, VALUE_EXPRESSION_SCALAR_SELECT__COMMENTS, VALUE_EXPRESSION_SCALAR_SELECT__DATA_TYPE, VALUE_EXPRESSION_SCALAR_SELECT__DEPENDENCIES, VALUE_EXPRESSION_SCALAR_SELECT__DESCRIPTION, VALUE_EXPRESSION_SCALAR_SELECT__EANNOTATIONS, VALUE_EXPRESSION_SCALAR_SELECT__GROUPING_EXPR, VALUE_EXPRESSION_SCALAR_SELECT__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_SCALAR_SELECT__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_SCALAR_SELECT__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_SCALAR_SELECT__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_SCALAR_SELECT__LABEL, VALUE_EXPRESSION_SCALAR_SELECT__LIKE_ESCAPE, VALUE_EXPRESSION_SCALAR_SELECT__LIKE_MATCHING, VALUE_EXPRESSION_SCALAR_SELECT__LIKE_PATTERN, VALUE_EXPRESSION_SCALAR_SELECT__NAME, VALUE_EXPRESSION_SCALAR_SELECT__NEST, VALUE_EXPRESSION_SCALAR_SELECT__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_SCALAR_SELECT__PREDICATE_NULL, VALUE_EXPRESSION_SCALAR_SELECT__PRIVILEGES, VALUE_EXPRESSION_SCALAR_SELECT__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_SCALAR_SELECT__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_SCALAR_SELECT__QUERY_EXPR, VALUE_EXPRESSION_SCALAR_SELECT__RESULT_COLUMN, VALUE_EXPRESSION_SCALAR_SELECT__UNARY_OPERATOR, VALUE_EXPRESSION_SCALAR_SELECT__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_SCALAR_SELECT__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_SCALAR_SELECT__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_SCALAR_SELECT__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_SCALAR_SELECT__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_SCALAR_SELECT__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_SCALAR_SELECT__VALUE_EXPR_CAST, VALUE_EXPRESSION_SCALAR_SELECT__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_SCALAR_SELECT__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_SCALAR_SELECT__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_SCALAR_SELECT__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_SCALAR_SELECT__VALUES_ROW, VALUE_EXPRESSION_SCALAR_SELECT_FEATURE_COUNT, VALUE_EXPRESSION_SIMPLE, VALUE_EXPRESSION_SIMPLE__BASIC_LEFT, VALUE_EXPRESSION_SIMPLE__BASIC_RIGHT, VALUE_EXPRESSION_SIMPLE__BETWEEN_LEFT, VALUE_EXPRESSION_SIMPLE__BETWEEN_RIGHT1, VALUE_EXPRESSION_SIMPLE__BETWEEN_RIGHT2, VALUE_EXPRESSION_SIMPLE__COMMENTS, VALUE_EXPRESSION_SIMPLE__DATA_TYPE, VALUE_EXPRESSION_SIMPLE__DEPENDENCIES, VALUE_EXPRESSION_SIMPLE__DESCRIPTION, VALUE_EXPRESSION_SIMPLE__EANNOTATIONS, VALUE_EXPRESSION_SIMPLE__GROUPING_EXPR, VALUE_EXPRESSION_SIMPLE__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_SIMPLE__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_SIMPLE__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_SIMPLE__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_SIMPLE__LABEL, VALUE_EXPRESSION_SIMPLE__LIKE_ESCAPE, VALUE_EXPRESSION_SIMPLE__LIKE_MATCHING, VALUE_EXPRESSION_SIMPLE__LIKE_PATTERN, VALUE_EXPRESSION_SIMPLE__NAME, VALUE_EXPRESSION_SIMPLE__NEST, VALUE_EXPRESSION_SIMPLE__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_SIMPLE__PREDICATE_NULL, VALUE_EXPRESSION_SIMPLE__PRIVILEGES, VALUE_EXPRESSION_SIMPLE__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_SIMPLE__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_SIMPLE__RESULT_COLUMN, VALUE_EXPRESSION_SIMPLE__UNARY_OPERATOR, VALUE_EXPRESSION_SIMPLE__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_SIMPLE__VALUE, VALUE_EXPRESSION_SIMPLE__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_SIMPLE__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_SIMPLE__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_SIMPLE__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_SIMPLE__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_SIMPLE__VALUE_EXPR_CAST, VALUE_EXPRESSION_SIMPLE__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_SIMPLE__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_SIMPLE__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_SIMPLE__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_SIMPLE__VALUES_ROW, VALUE_EXPRESSION_SIMPLE_FEATURE_COUNT, VALUE_EXPRESSION_UNARY_OPERATOR, VALUE_EXPRESSION_VARIABLE, VALUE_EXPRESSION_VARIABLE__BASIC_LEFT, VALUE_EXPRESSION_VARIABLE__BASIC_RIGHT, VALUE_EXPRESSION_VARIABLE__BETWEEN_LEFT, VALUE_EXPRESSION_VARIABLE__BETWEEN_RIGHT1, VALUE_EXPRESSION_VARIABLE__BETWEEN_RIGHT2, VALUE_EXPRESSION_VARIABLE__COMMENTS, VALUE_EXPRESSION_VARIABLE__DATA_TYPE, VALUE_EXPRESSION_VARIABLE__DEPENDENCIES, VALUE_EXPRESSION_VARIABLE__DESCRIPTION, VALUE_EXPRESSION_VARIABLE__EANNOTATIONS, VALUE_EXPRESSION_VARIABLE__GROUPING_EXPR, VALUE_EXPRESSION_VARIABLE__IN_VALUE_LIST_LEFT, VALUE_EXPRESSION_VARIABLE__IN_VALUE_LIST_RIGHT, VALUE_EXPRESSION_VARIABLE__IN_VALUE_ROW_SELECT_LEFT, VALUE_EXPRESSION_VARIABLE__IN_VALUE_SELECT_LEFT, VALUE_EXPRESSION_VARIABLE__LABEL, VALUE_EXPRESSION_VARIABLE__LIKE_ESCAPE, VALUE_EXPRESSION_VARIABLE__LIKE_MATCHING, VALUE_EXPRESSION_VARIABLE__LIKE_PATTERN, VALUE_EXPRESSION_VARIABLE__NAME, VALUE_EXPRESSION_VARIABLE__NEST, VALUE_EXPRESSION_VARIABLE__ORDER_BY_VALUE_EXPR, VALUE_EXPRESSION_VARIABLE__PREDICATE_NULL, VALUE_EXPRESSION_VARIABLE__PRIVILEGES, VALUE_EXPRESSION_VARIABLE__QUANTIFIED_ROW_SELECT_LEFT, VALUE_EXPRESSION_VARIABLE__QUANTIFIED_VALUE_SELECT_LEFT, VALUE_EXPRESSION_VARIABLE__QUERY_SELECT, VALUE_EXPRESSION_VARIABLE__RESULT_COLUMN, VALUE_EXPRESSION_VARIABLE__UNARY_OPERATOR, VALUE_EXPRESSION_VARIABLE__UPDATE_SOURCE_EXPR_LIST, VALUE_EXPRESSION_VARIABLE__VALUE_EXPR_CASE_ELSE, VALUE_EXPRESSION_VARIABLE__VALUE_EXPR_CASE_SEARCH_CONTENT, VALUE_EXPRESSION_VARIABLE__VALUE_EXPR_CASE_SIMPLE, VALUE_EXPRESSION_VARIABLE__VALUE_EXPR_CASE_SIMPLE_CONTENT_RESULT, VALUE_EXPRESSION_VARIABLE__VALUE_EXPR_CASE_SIMPLE_CONTENT_WHEN, VALUE_EXPRESSION_VARIABLE__VALUE_EXPR_CAST, VALUE_EXPRESSION_VARIABLE__VALUE_EXPR_COMBINED_LEFT, VALUE_EXPRESSION_VARIABLE__VALUE_EXPR_COMBINED_RIGHT, VALUE_EXPRESSION_VARIABLE__VALUE_EXPR_FUNCTION, VALUE_EXPRESSION_VARIABLE__VALUE_EXPR_LABELED_DURATION, VALUE_EXPRESSION_VARIABLE__VALUES_ROW, VALUE_EXPRESSION_VARIABLE_FEATURE_COUNT, VALUES_ROW, VALUES_ROW__COMMENTS, VALUES_ROW__DEPENDENCIES, VALUES_ROW__DESCRIPTION, VALUES_ROW__EANNOTATIONS, VALUES_ROW__EXPR_LIST, VALUES_ROW__INSERT_STATEMENT, VALUES_ROW__LABEL, VALUES_ROW__NAME, VALUES_ROW__PRIVILEGES, VALUES_ROW__QUERY_VALUES, VALUES_ROW_FEATURE_COUNT, WITH_TABLE_REFERENCE, WITH_TABLE_REFERENCE__COLUMN_LIST, WITH_TABLE_REFERENCE__COMMENTS, WITH_TABLE_REFERENCE__DEPENDENCIES, WITH_TABLE_REFERENCE__DESCRIPTION, WITH_TABLE_REFERENCE__EANNOTATIONS, WITH_TABLE_REFERENCE__LABEL, WITH_TABLE_REFERENCE__NAME, WITH_TABLE_REFERENCE__NEST, WITH_TABLE_REFERENCE__PRIVILEGES, WITH_TABLE_REFERENCE__QUERY_SELECT, WITH_TABLE_REFERENCE__RESULT_TABLE_ALL_COLUMNS, WITH_TABLE_REFERENCE__TABLE_CORRELATION, WITH_TABLE_REFERENCE__TABLE_JOINED_LEFT, WITH_TABLE_REFERENCE__TABLE_JOINED_RIGHT, WITH_TABLE_REFERENCE__VALUE_EXPR_COLUMNS, WITH_TABLE_REFERENCE__WITH_TABLE_SPECIFICATION, WITH_TABLE_REFERENCE_FEATURE_COUNT, WITH_TABLE_SPECIFICATION, WITH_TABLE_SPECIFICATION__COLUMN_NAME_LIST, WITH_TABLE_SPECIFICATION__COMMENTS, WITH_TABLE_SPECIFICATION__DEPENDENCIES, WITH_TABLE_SPECIFICATION__DESCRIPTION, WITH_TABLE_SPECIFICATION__EANNOTATIONS, WITH_TABLE_SPECIFICATION__LABEL, WITH_TABLE_SPECIFICATION__NAME, WITH_TABLE_SPECIFICATION__PRIVILEGES, WITH_TABLE_SPECIFICATION__QUERY_EXPRESSION_ROOT, WITH_TABLE_SPECIFICATION__WITH_TABLE_QUERY_EXPR, WITH_TABLE_SPECIFICATION__WITH_TABLE_REFERENCES, WITH_TABLE_SPECIFICATION_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getColumnName_TableCorrelation()`
`EReference` `getColumnName_WithTableSpecification()`
`EClass` `getColumnName()`
`EReference` `getCursorReference_DeleteStatement()`
`EReference` `getCursorReference_UpdateStatement()`
`EClass` `getCursorReference()`
`EReference` `getGrouping_GroupingSetsElementExpr()`
`EClass` `getGrouping()`
`EReference` `getGroupingExpression_SuperGroupElementExpr()`
`EReference` `getGroupingExpression_ValueExpr()`
`EClass` `getGroupingExpression()`
`EReference` `getGroupingSets_GroupingSetsElementList()`
`EClass` `getGroupingSets()`
`EReference` `getGroupingSetsElement_GroupingSets()`
`EClass` `getGroupingSetsElement()`
`EReference` `getGroupingSetsElementExpression_Grouping()`
`EReference` `getGroupingSetsElementExpression_GroupingSetsElementSublist()`
`EClass` `getGroupingSetsElementExpression()`
`EReference` `getGroupingSetsElementSublist_GroupingSetsElementExprList()`
`EClass` `getGroupingSetsElementSublist()`
`EReference` `getGroupingSpecification_QuerySelect()`
`EClass` `getGroupingSpecification()`
`EEnum` `getNullOrderingType()`
`EAttribute` `getOrderByOrdinal_OrdinalValue()`
`EClass` `getOrderByOrdinal()`
`EReference` `getOrderByResultColumn_ResultCol()`
`EClass` `getOrderByResultColumn()`
`EAttribute` `getOrderBySpecification_Descending()`
`EAttribute` `getOrderBySpecification_NullOrderingOption()`
`EAttribute` `getOrderBySpecification_OrderingSpecOption()`
`EReference` `getOrderBySpecification_SelectStatement()`
`EClass` `getOrderBySpecification()`
`EReference` `getOrderByValueExpression_ValueExpr()`
`EClass` `getOrderByValueExpression()`
`EEnum` `getOrderingSpecType()`
`EAttribute` `getPredicate_HasSelectivity()`
`EAttribute` `getPredicate_NegatedPredicate()`
`EAttribute` `getPredicate_SelectivityValue()`
`EClass` `getPredicate()`
`EAttribute` `getPredicateBasic_ComparisonOperator()`
`EReference` `getPredicateBasic_LeftValueExpr()`
`EReference` `getPredicateBasic_RightValueExpr()`
`EClass` `getPredicateBasic()`
`EReference` `getPredicateBetween_LeftValueExpr()`
`EAttribute` `getPredicateBetween_NotBetween()`
`EReference` `getPredicateBetween_RightValueExpr1()`
`EReference` `getPredicateBetween_RightValueExpr2()`
`EClass` `getPredicateBetween()`
`EEnum` `getPredicateComparisonOperator()`
`EReference` `getPredicateExists_QueryExpr()`
`EClass` `getPredicateExists()`
`EAttribute` `getPredicateIn_NotIn()`
`EClass` `getPredicateIn()`
`EReference` `getPredicateInValueList_ValueExpr()`
`EReference` `getPredicateInValueList_ValueExprList()`
`EClass` `getPredicateInValueList()`
`EReference` `getPredicateInValueRowSelect_QueryExpr()`
`EReference` `getPredicateInValueRowSelect_ValueExprList()`
`EClass` `getPredicateInValueRowSelect()`
`EReference` `getPredicateInValueSelect_QueryExpr()`
`EReference` `getPredicateInValueSelect_ValueExpr()`
`EClass` `getPredicateInValueSelect()`
`EAttribute` `getPredicateIsNull_NotNull()`
`EReference` `getPredicateIsNull_ValueExpr()`
`EClass` `getPredicateIsNull()`
`EReference` `getPredicateLike_EscapeValueExpr()`
`EReference` `getPredicateLike_MatchingValueExpr()`
`EAttribute` `getPredicateLike_NotLike()`
`EReference` `getPredicateLike_PatternValueExpr()`
`EClass` `getPredicateLike()`
`EClass` `getPredicateQuantified()`
`EAttribute` `getPredicateQuantifiedRowSelect_QuantifiedType()`
`EReference` `getPredicateQuantifiedRowSelect_QueryExpr()`
`EReference` `getPredicateQuantifiedRowSelect_ValueExprList()`
`EClass` `getPredicateQuantifiedRowSelect()`
`EEnum` `getPredicateQuantifiedType()`
`EAttribute` `getPredicateQuantifiedValueSelect_ComparisonOperator()`
`EAttribute` `getPredicateQuantifiedValueSelect_QuantifiedType()`
`EReference` `getPredicateQuantifiedValueSelect_QueryExpr()`
`EReference` `getPredicateQuantifiedValueSelect_ValueExpr()`
`EClass` `getPredicateQuantifiedValueSelect()`
`EClass` `getQueryChangeStatement()`
`EAttribute` `getQueryCombined_CombinedOperator()`
`EReference` `getQueryCombined_LeftQuery()`
`EReference` `getQueryCombined_RightQuery()`
`EClass` `getQueryCombined()`
`EEnum` `getQueryCombinedOperator()`
`EReference` `getQueryDeleteStatement_TargetTable()`
`EReference` `getQueryDeleteStatement_WhereClause()`
`EReference` `getQueryDeleteStatement_WhereCurrentOfClause()`
`EClass` `getQueryDeleteStatement()`
`EReference` `getQueryExpressionBody_CombinedLeft()`
`EReference` `getQueryExpressionBody_CombinedRight()`
`EReference` `getQueryExpressionBody_PredicateExists()`
`EReference` `getQueryExpressionBody_QueryExpression()`
`EReference` `getQueryExpressionBody_UpdateSourceQuery()`
`EReference` `getQueryExpressionBody_WithTableSpecification()`
`EClass` `getQueryExpressionBody()`
`EReference` `getQueryExpressionRoot_InsertStatement()`
`EReference` `getQueryExpressionRoot_InValueRowSelectRight()`
`EReference` `getQueryExpressionRoot_InValueSelectRight()`
`EReference` `getQueryExpressionRoot_QuantifiedRowSelectRight()`
`EReference` `getQueryExpressionRoot_QuantifiedValueSelectRight()`
`EReference` `getQueryExpressionRoot_Query()`
`EReference` `getQueryExpressionRoot_SelectStatement()`
`EReference` `getQueryExpressionRoot_ValueExprScalarSelects()`
`EReference` `getQueryExpressionRoot_WithClause()`
`EClass` `getQueryExpressionRoot()`
`EReference` `getQueryInsertStatement_SourceQuery()`
`EReference` `getQueryInsertStatement_SourceValuesRowList()`
`EReference` `getQueryInsertStatement_TargetColumnList()`
`EReference` `getQueryInsertStatement_TargetTable()`
`EClass` `getQueryInsertStatement()`
`EClass` `getQueryMergeStatement()`
`EReference` `getQueryResultSpecification_QuerySelect()`
`EClass` `getQueryResultSpecification()`
`EReference` `getQuerySearchCondition_CombinedLeft()`
`EReference` `getQuerySearchCondition_CombinedRight()`
`EReference` `getQuerySearchCondition_DeleteStatement()`
`EAttribute` `getQuerySearchCondition_NegatedCondition()`
`EReference` `getQuerySearchCondition_Nest()`
`EReference` `getQuerySearchCondition_QuerySelectHaving()`
`EReference` `getQuerySearchCondition_QuerySelectWhere()`
`EReference` `getQuerySearchCondition_TableJoined()`
`EReference` `getQuerySearchCondition_UpdateStatement()`
`EReference` `getQuerySearchCondition_ValueExprCaseSearchContent()`
`EClass` `getQuerySearchCondition()`
`EAttribute` `getQuerySelect_Distinct()`
`EReference` `getQuerySelect_FromClause()`
`EReference` `getQuerySelect_GroupByClause()`
`EReference` `getQuerySelect_HavingClause()`
`EReference` `getQuerySelect_IntoClause()`
`EReference` `getQuerySelect_SelectClause()`
`EReference` `getQuerySelect_WhereClause()`
`EClass` `getQuerySelect()`
`EReference` `getQuerySelectStatement_OrderByClause()`
`EReference` `getQuerySelectStatement_QueryExpr()`
`EClass` `getQuerySelectStatement()`
`EClass` `getQueryStatement()`
`EReference` `getQueryUpdateStatement_AssignmentClause()`
`EReference` `getQueryUpdateStatement_TargetTable()`
`EReference` `getQueryUpdateStatement_WhereClause()`
`EReference` `getQueryUpdateStatement_WhereCurrentOfClause()`
`EClass` `getQueryUpdateStatement()`
`EReference` `getQueryValueExpression_BasicLeft()`
`EReference` `getQueryValueExpression_BasicRight()`
`EReference` `getQueryValueExpression_BetweenLeft()`
`EReference` `getQueryValueExpression_BetweenRight1()`
`EReference` `getQueryValueExpression_BetweenRight2()`
`EReference` `getQueryValueExpression_DataType()`
`EReference` `getQueryValueExpression_GroupingExpr()`
`EReference` `getQueryValueExpression_InValueListLeft()`
`EReference` `getQueryValueExpression_InValueListRight()`
`EReference` `getQueryValueExpression_InValueRowSelectLeft()`
`EReference` `getQueryValueExpression_InValueSelectLeft()`
`EReference` `getQueryValueExpression_LikeEscape()`
`EReference` `getQueryValueExpression_LikeMatching()`
`EReference` `getQueryValueExpression_LikePattern()`
`EReference` `getQueryValueExpression_Nest()`
`EReference` `getQueryValueExpression_OrderByValueExpr()`
`EReference` `getQueryValueExpression_PredicateNull()`
`EReference` `getQueryValueExpression_QuantifiedRowSelectLeft()`
`EReference` `getQueryValueExpression_QuantifiedValueSelectLeft()`
`EReference` `getQueryValueExpression_ResultColumn()`
`EAttribute` `getQueryValueExpression_UnaryOperator()`
`EReference` `getQueryValueExpression_UpdateSourceExprList()`
`EReference` `getQueryValueExpression_ValueExprCaseElse()`
`EReference` `getQueryValueExpression_ValueExprCaseSearchContent()`
`EReference` `getQueryValueExpression_ValueExprCaseSimple()`
`EReference` `getQueryValueExpression_ValueExprCaseSimpleContentResult()`
`EReference` `getQueryValueExpression_ValueExprCaseSimpleContentWhen()`
`EReference` `getQueryValueExpression_ValueExprCast()`
`EReference` `getQueryValueExpression_ValueExprCombinedLeft()`
`EReference` `getQueryValueExpression_ValueExprCombinedRight()`
`EReference` `getQueryValueExpression_ValueExprFunction()`
`EReference` `getQueryValueExpression_ValueExprLabeledDuration()`
`EReference` `getQueryValueExpression_ValuesRow()`
`EClass` `getQueryValueExpression()`
`EReference` `getQueryValues_ValuesRowList()`
`EClass` `getQueryValues()`
`EReference` `getResultColumn_OrderByResultCol()`
`EReference` `getResultColumn_ValueExpr()`
`EClass` `getResultColumn()`
`EReference` `getResultTableAllColumns_TableExpr()`
`EClass` `getResultTableAllColumns()`
`EAttribute` `getSearchConditionCombined_CombinedOperator()`
`EReference` `getSearchConditionCombined_LeftCondition()`
`EReference` `getSearchConditionCombined_RightCondition()`
`EClass` `getSearchConditionCombined()`
`EEnum` `getSearchConditionCombinedOperator()`
`EReference` `getSearchConditionNested_NestedCondition()`
`EClass` `getSearchConditionNested()`
`SQLQueryModelFactory` `getSQLQueryModelFactory()`
`EClass` `getSQLQueryObject()`
`EReference` `getSuperGroup_SuperGroupElementList()`
`EAttribute` `getSuperGroup_SuperGroupType()`
`EClass` `getSuperGroup()`
`EReference` `getSuperGroupElement_SuperGroup()`
`EClass` `getSuperGroupElement()`
`EReference` `getSuperGroupElementExpression_GroupingExpr()`
`EReference` `getSuperGroupElementExpression_SuperGroupElementSublist()`
`EClass` `getSuperGroupElementExpression()`
`EReference` `getSuperGroupElementSublist_SuperGroupElementExprList()`
`EClass` `getSuperGroupElementSublist()`
`EEnum` `getSuperGroupType()`
`EReference` `getTableCorrelation_ColumnNameList()`
`EReference` `getTableCorrelation_TableExpr()`
`EClass` `getTableCorrelation()`
`EReference` `getTableExpression_ColumnList()`
`EReference` `getTableExpression_ResultTableAllColumns()`
`EReference` `getTableExpression_TableCorrelation()`
`EReference` `getTableExpression_ValueExprColumns()`
`EClass` `getTableExpression()`
`EClass` `getTableFunction()`
`EReference` `getTableInDatabase_DatabaseTable()`
`EReference` `getTableInDatabase_DeleteStatement()`
`EReference` `getTableInDatabase_DerivedColumnList()`
`EReference` `getTableInDatabase_InsertStatement()`
`EReference` `getTableInDatabase_UpdateStatement()`
`EClass` `getTableInDatabase()`
`EReference` `getTableJoined_JoinCondition()`
`EAttribute` `getTableJoined_JoinOperator()`
`EReference` `getTableJoined_TableRefLeft()`
`EReference` `getTableJoined_TableRefRight()`
`EClass` `getTableJoined()`
`EEnum` `getTableJoinedOperator()`
`EReference` `getTableNested_NestedTableRef()`
`EClass` `getTableNested()`
`EReference` `getTableReference_Nest()`
`EReference` `getTableReference_QuerySelect()`
`EReference` `getTableReference_TableJoinedLeft()`
`EReference` `getTableReference_TableJoinedRight()`
`EClass` `getTableReference()`
`EReference` `getUpdateAssignmentExpression_TargetColumnList()`
`EReference` `getUpdateAssignmentExpression_UpdateSource()`
`EReference` `getUpdateAssignmentExpression_UpdateStatement()`
`EClass` `getUpdateAssignmentExpression()`
`EReference` `getUpdateSource_UpdateAssignmentExpr()`
`EClass` `getUpdateSource()`
`EReference` `getUpdateSourceExprList_ValueExprList()`
`EClass` `getUpdateSourceExprList()`
`EReference` `getUpdateSourceQuery_QueryExpr()`
`EClass` `getUpdateSourceQuery()`
`EClass` `getValueExpressionAtomic()`
`EReference` `getValueExpressionCase_CaseElse()`
`EClass` `getValueExpressionCase()`
`EReference` `getValueExpressionCaseElse_ValueExpr()`
`EReference` `getValueExpressionCaseElse_ValueExprCase()`
`EClass` `getValueExpressionCaseElse()`
`EReference` `getValueExpressionCaseSearch_SearchContentList()`
`EClass` `getValueExpressionCaseSearch()`
`EReference` `getValueExpressionCaseSearchContent_SearchCondition()`
`EReference` `getValueExpressionCaseSearchContent_ValueExpr()`
`EReference` `getValueExpressionCaseSearchContent_ValueExprCaseSearch()`
`EClass` `getValueExpressionCaseSearchContent()`
`EReference` `getValueExpressionCaseSimple_ContentList()`
`EReference` `getValueExpressionCaseSimple_ValueExpr()`
`EClass` `getValueExpressionCaseSimple()`
`EReference` `getValueExpressionCaseSimpleContent_ResultValueExpr()`
`EReference` `getValueExpressionCaseSimpleContent_ValueExprCaseSimple()`
`EReference` `getValueExpressionCaseSimpleContent_WhenValueExpr()`
`EClass` `getValueExpressionCaseSimpleContent()`
`EReference` `getValueExpressionCast_ValueExpr()`
`EClass` `getValueExpressionCast()`
`EReference` `getValueExpressionColumn_AssignmentExprTarget()`
`EReference` `getValueExpressionColumn_InsertStatement()`
`EReference` `getValueExpressionColumn_ParentTableExpr()`
`EReference` `getValueExpressionColumn_TableExpr()`
`EReference` `getValueExpressionColumn_TableInDatabase()`
`EClass` `getValueExpressionColumn()`
`EAttribute` `getValueExpressionCombined_CombinedOperator()`
`EReference` `getValueExpressionCombined_LeftValueExpr()`
`EReference` `getValueExpressionCombined_RightValueExpr()`
`EClass` `getValueExpressionCombined()`
`EEnum` `getValueExpressionCombinedOperator()`
`EClass` `getValueExpressionDefaultValue()`
`EAttribute` `getValueExpressionFunction_ColumnFunction()`
`EAttribute` `getValueExpressionFunction_Distinct()`
`EReference` `getValueExpressionFunction_Function()`
`EReference` `getValueExpressionFunction_ParameterList()`
`EAttribute` `getValueExpressionFunction_SpecialRegister()`
`EClass` `getValueExpressionFunction()`
`EAttribute` `getValueExpressionLabeledDuration_LabeledDurationType()`
`EReference` `getValueExpressionLabeledDuration_ValueExpr()`
`EClass` `getValueExpressionLabeledDuration()`
`EEnum` `getValueExpressionLabeledDurationType()`
`EReference` `getValueExpressionNested_NestedValueExpr()`
`EClass` `getValueExpressionNested()`
`EClass` `getValueExpressionNullValue()`
`EReference` `getValueExpressionScalarSelect_QueryExpr()`
`EClass` `getValueExpressionScalarSelect()`
`EAttribute` `getValueExpressionSimple_Value()`
`EClass` `getValueExpressionSimple()`
`EEnum` `getValueExpressionUnaryOperator()`
`EReference` `getValueExpressionVariable_QuerySelect()`
`EClass` `getValueExpressionVariable()`
`EReference` `getValuesRow_ExprList()`
`EReference` `getValuesRow_InsertStatement()`
`EReference` `getValuesRow_QueryValues()`
`EClass` `getValuesRow()`
`EReference` `getWithTableReference_WithTableSpecification()`
`EClass` `getWithTableReference()`
`EReference` `getWithTableSpecification_ColumnNameList()`
`EReference` `getWithTableSpecification_QueryExpressionRoot()`
`EReference` `getWithTableSpecification_WithTableQueryExpr()`
`EReference` `getWithTableSpecification_WithTableReferences()`
`EClass` `getWithTableSpecification()`
`static SQLQueryModelPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static SQLQueryModelPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SQLQueryModelPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getQueryStatement

    public EClass getQueryStatement()

  Specified by:
    `getQueryStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Statement'.
  See Also:
    `QueryStatement`

### getQueryDeleteStatement

    public EClass getQueryDeleteStatement()

  Specified by:
    `getQueryDeleteStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Delete Statement'.
  See Also:
    `QueryDeleteStatement`

### getQueryDeleteStatement_WhereCurrentOfClause

    public EReference getQueryDeleteStatement_WhereCurrentOfClause()

  Specified by:
    `getQueryDeleteStatement_WhereCurrentOfClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Where Current Of Clause'.
  See Also:
    `QueryDeleteStatement.getWhereCurrentOfClause()`, `SQLQueryModelPackage.getQueryDeleteStatement()`

### getQueryDeleteStatement_WhereClause

    public EReference getQueryDeleteStatement_WhereClause()

  Specified by:
    `getQueryDeleteStatement_WhereClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Where Clause'.
  See Also:
    `QueryDeleteStatement.getWhereClause()`, `SQLQueryModelPackage.getQueryDeleteStatement()`

### getQueryDeleteStatement_TargetTable

    public EReference getQueryDeleteStatement_TargetTable()

  Specified by:
    `getQueryDeleteStatement_TargetTable` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Target Table'.
  See Also:
    `QueryDeleteStatement.getTargetTable()`, `SQLQueryModelPackage.getQueryDeleteStatement()`

### getQueryInsertStatement

    public EClass getQueryInsertStatement()

  Specified by:
    `getQueryInsertStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Insert Statement'.
  See Also:
    `QueryInsertStatement`

### getQueryInsertStatement_SourceQuery

    public EReference getQueryInsertStatement_SourceQuery()

  Specified by:
    `getQueryInsertStatement_SourceQuery` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Source Query'.
  See Also:
    `QueryInsertStatement.getSourceQuery()`, `SQLQueryModelPackage.getQueryInsertStatement()`

### getQueryInsertStatement_SourceValuesRowList

    public EReference getQueryInsertStatement_SourceValuesRowList()

  Specified by:
    `getQueryInsertStatement_SourceValuesRowList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Source Values Row List'.
  See Also:
    `QueryInsertStatement.getSourceValuesRowList()`, `SQLQueryModelPackage.getQueryInsertStatement()`

### getQueryInsertStatement_TargetTable

    public EReference getQueryInsertStatement_TargetTable()

  Specified by:
    `getQueryInsertStatement_TargetTable` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Target Table'.
  See Also:
    `QueryInsertStatement.getTargetTable()`, `SQLQueryModelPackage.getQueryInsertStatement()`

### getQueryInsertStatement_TargetColumnList

    public EReference getQueryInsertStatement_TargetColumnList()

  Specified by:
    `getQueryInsertStatement_TargetColumnList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference list 'Target Column List'.
  See Also:
    `QueryInsertStatement.getTargetColumnList()`, `SQLQueryModelPackage.getQueryInsertStatement()`

### getQuerySelectStatement

    public EClass getQuerySelectStatement()

  Specified by:
    `getQuerySelectStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Select Statement'.
  See Also:
    `QuerySelectStatement`

### getQuerySelectStatement_QueryExpr

    public EReference getQuerySelectStatement_QueryExpr()

  Specified by:
    `getQuerySelectStatement_QueryExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Query Expr'.
  See Also:
    `QuerySelectStatement.getQueryExpr()`, `SQLQueryModelPackage.getQuerySelectStatement()`

### getQuerySelectStatement_OrderByClause

    public EReference getQuerySelectStatement_OrderByClause()

  Specified by:
    `getQuerySelectStatement_OrderByClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Order By Clause'.
  See Also:
    `QuerySelectStatement.getOrderByClause()`, `SQLQueryModelPackage.getQuerySelectStatement()`

### getQueryUpdateStatement

    public EClass getQueryUpdateStatement()

  Specified by:
    `getQueryUpdateStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Update Statement'.
  See Also:
    `QueryUpdateStatement`

### getQueryUpdateStatement_AssignmentClause

    public EReference getQueryUpdateStatement_AssignmentClause()

  Specified by:
    `getQueryUpdateStatement_AssignmentClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Assignment Clause'.
  See Also:
    `QueryUpdateStatement.getAssignmentClause()`, `SQLQueryModelPackage.getQueryUpdateStatement()`

### getQueryUpdateStatement_WhereCurrentOfClause

    public EReference getQueryUpdateStatement_WhereCurrentOfClause()

  Specified by:
    `getQueryUpdateStatement_WhereCurrentOfClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Where Current Of Clause'.
  See Also:
    `QueryUpdateStatement.getWhereCurrentOfClause()`, `SQLQueryModelPackage.getQueryUpdateStatement()`

### getQueryUpdateStatement_WhereClause

    public EReference getQueryUpdateStatement_WhereClause()

  Specified by:
    `getQueryUpdateStatement_WhereClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Where Clause'.
  See Also:
    `QueryUpdateStatement.getWhereClause()`, `SQLQueryModelPackage.getQueryUpdateStatement()`

### getQueryUpdateStatement_TargetTable

    public EReference getQueryUpdateStatement_TargetTable()

  Specified by:
    `getQueryUpdateStatement_TargetTable` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Target Table'.
  See Also:
    `QueryUpdateStatement.getTargetTable()`, `SQLQueryModelPackage.getQueryUpdateStatement()`

### getUpdateAssignmentExpression

    public EClass getUpdateAssignmentExpression()

  Specified by:
    `getUpdateAssignmentExpression` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Update Assignment Expression'.
  See Also:
    `UpdateAssignmentExpression`

### getUpdateAssignmentExpression_UpdateStatement

    public EReference getUpdateAssignmentExpression_UpdateStatement()

  Specified by:
    `getUpdateAssignmentExpression_UpdateStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Update Statement'.
  See Also:
    `UpdateAssignmentExpression.getUpdateStatement()`, `SQLQueryModelPackage.getUpdateAssignmentExpression()`

### getUpdateAssignmentExpression_TargetColumnList

    public EReference getUpdateAssignmentExpression_TargetColumnList()

  Specified by:
    `getUpdateAssignmentExpression_TargetColumnList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference list 'Target Column List'.
  See Also:
    `UpdateAssignmentExpression.getTargetColumnList()`, `SQLQueryModelPackage.getUpdateAssignmentExpression()`

### getUpdateAssignmentExpression_UpdateSource

    public EReference getUpdateAssignmentExpression_UpdateSource()

  Specified by:
    `getUpdateAssignmentExpression_UpdateSource` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Update Source'.
  See Also:
    `UpdateAssignmentExpression.getUpdateSource()`, `SQLQueryModelPackage.getUpdateAssignmentExpression()`

### getCursorReference

    public EClass getCursorReference()

  Specified by:
    `getCursorReference` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Cursor Reference'.
  See Also:
    `CursorReference`

### getCursorReference_UpdateStatement

    public EReference getCursorReference_UpdateStatement()

  Specified by:
    `getCursorReference_UpdateStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Update Statement'.
  See Also:
    `CursorReference.getUpdateStatement()`, `SQLQueryModelPackage.getCursorReference()`

### getCursorReference_DeleteStatement

    public EReference getCursorReference_DeleteStatement()

  Specified by:
    `getCursorReference_DeleteStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Delete Statement'.
  See Also:
    `CursorReference.getDeleteStatement()`, `SQLQueryModelPackage.getCursorReference()`

### getQuerySearchCondition

    public EClass getQuerySearchCondition()

  Specified by:
    `getQuerySearchCondition` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Search Condition'.
  See Also:
    `QuerySearchCondition`

### getQuerySearchCondition_NegatedCondition

    public EAttribute getQuerySearchCondition_NegatedCondition()

  Specified by:
    `getQuerySearchCondition_NegatedCondition` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Negated Condition'.
  See Also:
    `QuerySearchCondition.isNegatedCondition()`, `SQLQueryModelPackage.getQuerySearchCondition()`

### getQuerySearchCondition_UpdateStatement

    public EReference getQuerySearchCondition_UpdateStatement()

  Specified by:
    `getQuerySearchCondition_UpdateStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Update Statement'.
  See Also:
    `QuerySearchCondition.getUpdateStatement()`, `SQLQueryModelPackage.getQuerySearchCondition()`

### getQuerySearchCondition_DeleteStatement

    public EReference getQuerySearchCondition_DeleteStatement()

  Specified by:
    `getQuerySearchCondition_DeleteStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Delete Statement'.
  See Also:
    `QuerySearchCondition.getDeleteStatement()`, `SQLQueryModelPackage.getQuerySearchCondition()`

### getQuerySearchCondition_TableJoined

    public EReference getQuerySearchCondition_TableJoined()

  Specified by:
    `getQuerySearchCondition_TableJoined` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Table Joined'.
  See Also:
    `QuerySearchCondition.getTableJoined()`, `SQLQueryModelPackage.getQuerySearchCondition()`

### getQuerySearchCondition_CombinedLeft

    public EReference getQuerySearchCondition_CombinedLeft()

  Specified by:
    `getQuerySearchCondition_CombinedLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Combined Left'.
  See Also:
    `QuerySearchCondition.getCombinedLeft()`, `SQLQueryModelPackage.getQuerySearchCondition()`

### getQuerySearchCondition_CombinedRight

    public EReference getQuerySearchCondition_CombinedRight()

  Specified by:
    `getQuerySearchCondition_CombinedRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Combined Right'.
  See Also:
    `QuerySearchCondition.getCombinedRight()`, `SQLQueryModelPackage.getQuerySearchCondition()`

### getQuerySearchCondition_QuerySelectHaving

    public EReference getQuerySearchCondition_QuerySelectHaving()

  Specified by:
    `getQuerySearchCondition_QuerySelectHaving` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Query Select Having'.
  See Also:
    `QuerySearchCondition.getQuerySelectHaving()`, `SQLQueryModelPackage.getQuerySearchCondition()`

### getQuerySearchCondition_QuerySelectWhere

    public EReference getQuerySearchCondition_QuerySelectWhere()

  Specified by:
    `getQuerySearchCondition_QuerySelectWhere` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Query Select Where'.
  See Also:
    `QuerySearchCondition.getQuerySelectWhere()`, `SQLQueryModelPackage.getQuerySearchCondition()`

### getQuerySearchCondition_ValueExprCaseSearchContent

    public EReference getQuerySearchCondition_ValueExprCaseSearchContent()

  Specified by:
    `getQuerySearchCondition_ValueExprCaseSearchContent` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Case Search Content'.
  See Also:
    `QuerySearchCondition.getValueExprCaseSearchContent()`, `SQLQueryModelPackage.getQuerySearchCondition()`

### getQuerySearchCondition_Nest

    public EReference getQuerySearchCondition_Nest()

  Specified by:
    `getQuerySearchCondition_Nest` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Nest'.
  See Also:
    `QuerySearchCondition.getNest()`, `SQLQueryModelPackage.getQuerySearchCondition()`

### getQueryExpressionBody

    public EClass getQueryExpressionBody()

  Specified by:
    `getQueryExpressionBody` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Expression Body'.
  See Also:
    `QueryExpressionBody`

### getQueryExpressionBody_QueryExpression

    public EReference getQueryExpressionBody_QueryExpression()

  Specified by:
    `getQueryExpressionBody_QueryExpression` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Query Expression'.
  See Also:
    `QueryExpressionBody.getQueryExpression()`, `SQLQueryModelPackage.getQueryExpressionBody()`

### getQueryExpressionBody_CombinedLeft

    public EReference getQueryExpressionBody_CombinedLeft()

  Specified by:
    `getQueryExpressionBody_CombinedLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Combined Left'.
  See Also:
    `QueryExpressionBody.getCombinedLeft()`, `SQLQueryModelPackage.getQueryExpressionBody()`

### getQueryExpressionBody_CombinedRight

    public EReference getQueryExpressionBody_CombinedRight()

  Specified by:
    `getQueryExpressionBody_CombinedRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Combined Right'.
  See Also:
    `QueryExpressionBody.getCombinedRight()`, `SQLQueryModelPackage.getQueryExpressionBody()`

### getQueryExpressionBody_PredicateExists

    public EReference getQueryExpressionBody_PredicateExists()

  Specified by:
    `getQueryExpressionBody_PredicateExists` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Predicate Exists'.
  See Also:
    `QueryExpressionBody.getPredicateExists()`, `SQLQueryModelPackage.getQueryExpressionBody()`

### getQueryExpressionBody_UpdateSourceQuery

    public EReference getQueryExpressionBody_UpdateSourceQuery()

  Specified by:
    `getQueryExpressionBody_UpdateSourceQuery` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Update Source Query'.
  See Also:
    `QueryExpressionBody.getUpdateSourceQuery()`, `SQLQueryModelPackage.getQueryExpressionBody()`

### getQueryExpressionBody_WithTableSpecification

    public EReference getQueryExpressionBody_WithTableSpecification()

  Specified by:
    `getQueryExpressionBody_WithTableSpecification` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'With Table Specification'.
  See Also:
    `QueryExpressionBody.getWithTableSpecification()`, `SQLQueryModelPackage.getQueryExpressionBody()`

### getQueryValueExpression

    public EClass getQueryValueExpression()

  Specified by:
    `getQueryValueExpression` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Value Expression'.
  See Also:
    `QueryValueExpression`

### getQueryValueExpression_UnaryOperator

    public EAttribute getQueryValueExpression_UnaryOperator()

  Specified by:
    `getQueryValueExpression_UnaryOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Unary Operator'.
  See Also:
    `QueryValueExpression.getUnaryOperator()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_DataType

    public EReference getQueryValueExpression_DataType()

  Specified by:
    `getQueryValueExpression_DataType` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Data Type'.
  See Also:
    `QueryValueExpression.getDataType()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValuesRow

    public EReference getQueryValueExpression_ValuesRow()

  Specified by:
    `getQueryValueExpression_ValuesRow` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Values Row'.
  See Also:
    `QueryValueExpression.getValuesRow()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_OrderByValueExpr

    public EReference getQueryValueExpression_OrderByValueExpr()

  Specified by:
    `getQueryValueExpression_OrderByValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Order By Value Expr'.
  See Also:
    `QueryValueExpression.getOrderByValueExpr()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ResultColumn

    public EReference getQueryValueExpression_ResultColumn()

  Specified by:
    `getQueryValueExpression_ResultColumn` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Result Column'.
  See Also:
    `QueryValueExpression.getResultColumn()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_BasicRight

    public EReference getQueryValueExpression_BasicRight()

  Specified by:
    `getQueryValueExpression_BasicRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Basic Right'.
  See Also:
    `QueryValueExpression.getBasicRight()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_BasicLeft

    public EReference getQueryValueExpression_BasicLeft()

  Specified by:
    `getQueryValueExpression_BasicLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Basic Left'.
  See Also:
    `QueryValueExpression.getBasicLeft()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_LikePattern

    public EReference getQueryValueExpression_LikePattern()

  Specified by:
    `getQueryValueExpression_LikePattern` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Like Pattern'.
  See Also:
    `QueryValueExpression.getLikePattern()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_LikeMatching

    public EReference getQueryValueExpression_LikeMatching()

  Specified by:
    `getQueryValueExpression_LikeMatching` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Like Matching'.
  See Also:
    `QueryValueExpression.getLikeMatching()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_PredicateNull

    public EReference getQueryValueExpression_PredicateNull()

  Specified by:
    `getQueryValueExpression_PredicateNull` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Predicate Null'.
  See Also:
    `QueryValueExpression.getPredicateNull()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_InValueListRight

    public EReference getQueryValueExpression_InValueListRight()

  Specified by:
    `getQueryValueExpression_InValueListRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'In Value List Right'.
  See Also:
    `QueryValueExpression.getInValueListRight()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_InValueListLeft

    public EReference getQueryValueExpression_InValueListLeft()

  Specified by:
    `getQueryValueExpression_InValueListLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'In Value List Left'.
  See Also:
    `QueryValueExpression.getInValueListLeft()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_InValueRowSelectLeft

    public EReference getQueryValueExpression_InValueRowSelectLeft()

  Specified by:
    `getQueryValueExpression_InValueRowSelectLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'In Value Row Select Left'.
  See Also:
    `QueryValueExpression.getInValueRowSelectLeft()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_InValueSelectLeft

    public EReference getQueryValueExpression_InValueSelectLeft()

  Specified by:
    `getQueryValueExpression_InValueSelectLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'In Value Select Left'.
  See Also:
    `QueryValueExpression.getInValueSelectLeft()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_QuantifiedRowSelectLeft

    public EReference getQueryValueExpression_QuantifiedRowSelectLeft()

  Specified by:
    `getQueryValueExpression_QuantifiedRowSelectLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Quantified Row Select Left'.
  See Also:
    `QueryValueExpression.getQuantifiedRowSelectLeft()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_QuantifiedValueSelectLeft

    public EReference getQueryValueExpression_QuantifiedValueSelectLeft()

  Specified by:
    `getQueryValueExpression_QuantifiedValueSelectLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Quantified Value Select Left'.
  See Also:
    `QueryValueExpression.getQuantifiedValueSelectLeft()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_BetweenLeft

    public EReference getQueryValueExpression_BetweenLeft()

  Specified by:
    `getQueryValueExpression_BetweenLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Between Left'.
  See Also:
    `QueryValueExpression.getBetweenLeft()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_BetweenRight1

    public EReference getQueryValueExpression_BetweenRight1()

  Specified by:
    `getQueryValueExpression_BetweenRight1` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Between Right1'.
  See Also:
    `QueryValueExpression.getBetweenRight1()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_BetweenRight2

    public EReference getQueryValueExpression_BetweenRight2()

  Specified by:
    `getQueryValueExpression_BetweenRight2` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Between Right2'.
  See Also:
    `QueryValueExpression.getBetweenRight2()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValueExprCast

    public EReference getQueryValueExpression_ValueExprCast()

  Specified by:
    `getQueryValueExpression_ValueExprCast` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Cast'.
  See Also:
    `QueryValueExpression.getValueExprCast()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValueExprFunction

    public EReference getQueryValueExpression_ValueExprFunction()

  Specified by:
    `getQueryValueExpression_ValueExprFunction` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Function'.
  See Also:
    `QueryValueExpression.getValueExprFunction()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValueExprCombinedLeft

    public EReference getQueryValueExpression_ValueExprCombinedLeft()

  Specified by:
    `getQueryValueExpression_ValueExprCombinedLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Combined Left'.
  See Also:
    `QueryValueExpression.getValueExprCombinedLeft()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValueExprCombinedRight

    public EReference getQueryValueExpression_ValueExprCombinedRight()

  Specified by:
    `getQueryValueExpression_ValueExprCombinedRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Combined Right'.
  See Also:
    `QueryValueExpression.getValueExprCombinedRight()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_GroupingExpr

    public EReference getQueryValueExpression_GroupingExpr()

  Specified by:
    `getQueryValueExpression_GroupingExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Grouping Expr'.
  See Also:
    `QueryValueExpression.getGroupingExpr()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValueExprCaseElse

    public EReference getQueryValueExpression_ValueExprCaseElse()

  Specified by:
    `getQueryValueExpression_ValueExprCaseElse` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Case Else'.
  See Also:
    `QueryValueExpression.getValueExprCaseElse()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValueExprCaseSimple

    public EReference getQueryValueExpression_ValueExprCaseSimple()

  Specified by:
    `getQueryValueExpression_ValueExprCaseSimple` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Case Simple'.
  See Also:
    `QueryValueExpression.getValueExprCaseSimple()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValueExprCaseSimpleContentWhen

    public EReference getQueryValueExpression_ValueExprCaseSimpleContentWhen()

  Specified by:
    `getQueryValueExpression_ValueExprCaseSimpleContentWhen` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Case Simple Content When'.
  See Also:
    `QueryValueExpression.getValueExprCaseSimpleContentWhen()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValueExprCaseSimpleContentResult

    public EReference getQueryValueExpression_ValueExprCaseSimpleContentResult()

  Specified by:
    `getQueryValueExpression_ValueExprCaseSimpleContentResult` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Case Simple Content Result'.
  See Also:
    `QueryValueExpression.getValueExprCaseSimpleContentResult()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValueExprCaseSearchContent

    public EReference getQueryValueExpression_ValueExprCaseSearchContent()

  Specified by:
    `getQueryValueExpression_ValueExprCaseSearchContent` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Case Search Content'.
  See Also:
    `QueryValueExpression.getValueExprCaseSearchContent()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_LikeEscape

    public EReference getQueryValueExpression_LikeEscape()

  Specified by:
    `getQueryValueExpression_LikeEscape` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Like Escape'.
  See Also:
    `QueryValueExpression.getLikeEscape()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_ValueExprLabeledDuration

    public EReference getQueryValueExpression_ValueExprLabeledDuration()

  Specified by:
    `getQueryValueExpression_ValueExprLabeledDuration` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Labeled Duration'.
  See Also:
    `QueryValueExpression.getValueExprLabeledDuration()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_Nest

    public EReference getQueryValueExpression_Nest()

  Specified by:
    `getQueryValueExpression_Nest` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Nest'.
  See Also:
    `QueryValueExpression.getNest()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryValueExpression_UpdateSourceExprList

    public EReference getQueryValueExpression_UpdateSourceExprList()

  Specified by:
    `getQueryValueExpression_UpdateSourceExprList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Update Source Expr List'.
  See Also:
    `QueryValueExpression.getUpdateSourceExprList()`, `SQLQueryModelPackage.getQueryValueExpression()`

### getQueryExpressionRoot

    public EClass getQueryExpressionRoot()

  Specified by:
    `getQueryExpressionRoot` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Expression Root'.
  See Also:
    `QueryExpressionRoot`

### getQueryExpressionRoot_InsertStatement

    public EReference getQueryExpressionRoot_InsertStatement()

  Specified by:
    `getQueryExpressionRoot_InsertStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Insert Statement'.
  See Also:
    `QueryExpressionRoot.getInsertStatement()`, `SQLQueryModelPackage.getQueryExpressionRoot()`

### getQueryExpressionRoot_SelectStatement

    public EReference getQueryExpressionRoot_SelectStatement()

  Specified by:
    `getQueryExpressionRoot_SelectStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Select Statement'.
  See Also:
    `QueryExpressionRoot.getSelectStatement()`, `SQLQueryModelPackage.getQueryExpressionRoot()`

### getQueryExpressionRoot_WithClause

    public EReference getQueryExpressionRoot_WithClause()

  Specified by:
    `getQueryExpressionRoot_WithClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'With Clause'.
  See Also:
    `QueryExpressionRoot.getWithClause()`, `SQLQueryModelPackage.getQueryExpressionRoot()`

### getQueryExpressionRoot_Query

    public EReference getQueryExpressionRoot_Query()

  Specified by:
    `getQueryExpressionRoot_Query` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Query'.
  See Also:
    `QueryExpressionRoot.getQuery()`, `SQLQueryModelPackage.getQueryExpressionRoot()`

### getQueryExpressionRoot_InValueRowSelectRight

    public EReference getQueryExpressionRoot_InValueRowSelectRight()

  Specified by:
    `getQueryExpressionRoot_InValueRowSelectRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'In Value Row Select Right'.
  See Also:
    `QueryExpressionRoot.getInValueRowSelectRight()`, `SQLQueryModelPackage.getQueryExpressionRoot()`

### getQueryExpressionRoot_InValueSelectRight

    public EReference getQueryExpressionRoot_InValueSelectRight()

  Specified by:
    `getQueryExpressionRoot_InValueSelectRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'In Value Select Right'.
  See Also:
    `QueryExpressionRoot.getInValueSelectRight()`, `SQLQueryModelPackage.getQueryExpressionRoot()`

### getQueryExpressionRoot_QuantifiedRowSelectRight

    public EReference getQueryExpressionRoot_QuantifiedRowSelectRight()

  Specified by:
    `getQueryExpressionRoot_QuantifiedRowSelectRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Quantified Row Select Right'.
  See Also:
    `QueryExpressionRoot.getQuantifiedRowSelectRight()`, `SQLQueryModelPackage.getQueryExpressionRoot()`

### getQueryExpressionRoot_QuantifiedValueSelectRight

    public EReference getQueryExpressionRoot_QuantifiedValueSelectRight()

  Specified by:
    `getQueryExpressionRoot_QuantifiedValueSelectRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Quantified Value Select Right'.
  See Also:
    `QueryExpressionRoot.getQuantifiedValueSelectRight()`, `SQLQueryModelPackage.getQueryExpressionRoot()`

### getQueryExpressionRoot_ValueExprScalarSelects

    public EReference getQueryExpressionRoot_ValueExprScalarSelects()

  Specified by:
    `getQueryExpressionRoot_ValueExprScalarSelects` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference list 'Value Expr Scalar Selects'.
  See Also:
    `QueryExpressionRoot.getValueExprScalarSelects()`, `SQLQueryModelPackage.getQueryExpressionRoot()`

### getValuesRow

    public EClass getValuesRow()

  Specified by:
    `getValuesRow` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Values Row'.
  See Also:
    `ValuesRow`

### getValuesRow_InsertStatement

    public EReference getValuesRow_InsertStatement()

  Specified by:
    `getValuesRow_InsertStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Insert Statement'.
  See Also:
    `ValuesRow.getInsertStatement()`, `SQLQueryModelPackage.getValuesRow()`

### getValuesRow_ExprList

    public EReference getValuesRow_ExprList()

  Specified by:
    `getValuesRow_ExprList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Expr List'.
  See Also:
    `ValuesRow.getExprList()`, `SQLQueryModelPackage.getValuesRow()`

### getValuesRow_QueryValues

    public EReference getValuesRow_QueryValues()

  Specified by:
    `getValuesRow_QueryValues` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Query Values'.
  See Also:
    `ValuesRow.getQueryValues()`, `SQLQueryModelPackage.getValuesRow()`

### getQueryValues

    public EClass getQueryValues()

  Specified by:
    `getQueryValues` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Values'.
  See Also:
    `QueryValues`

### getQueryValues_ValuesRowList

    public EReference getQueryValues_ValuesRowList()

  Specified by:
    `getQueryValues_ValuesRowList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Values Row List'.
  See Also:
    `QueryValues.getValuesRowList()`, `SQLQueryModelPackage.getQueryValues()`

### getTableReference

    public EClass getTableReference()

  Specified by:
    `getTableReference` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Table Reference'.
  See Also:
    `TableReference`

### getTableReference_TableJoinedRight

    public EReference getTableReference_TableJoinedRight()

  Specified by:
    `getTableReference_TableJoinedRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Table Joined Right'.
  See Also:
    `TableReference.getTableJoinedRight()`, `SQLQueryModelPackage.getTableReference()`

### getTableReference_TableJoinedLeft

    public EReference getTableReference_TableJoinedLeft()

  Specified by:
    `getTableReference_TableJoinedLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Table Joined Left'.
  See Also:
    `TableReference.getTableJoinedLeft()`, `SQLQueryModelPackage.getTableReference()`

### getTableReference_QuerySelect

    public EReference getTableReference_QuerySelect()

  Specified by:
    `getTableReference_QuerySelect` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Query Select'.
  See Also:
    `TableReference.getQuerySelect()`, `SQLQueryModelPackage.getTableReference()`

### getTableReference_Nest

    public EReference getTableReference_Nest()

  Specified by:
    `getTableReference_Nest` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Nest'.
  See Also:
    `TableReference.getNest()`, `SQLQueryModelPackage.getTableReference()`

### getTableExpression

    public EClass getTableExpression()

  Specified by:
    `getTableExpression` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Table Expression'.
  See Also:
    `TableExpression`

### getTableExpression_ColumnList

    public EReference getTableExpression_ColumnList()

  Specified by:
    `getTableExpression_ColumnList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Column List'.
  See Also:
    `TableExpression.getColumnList()`, `SQLQueryModelPackage.getTableExpression()`

### getTableExpression_TableCorrelation

    public EReference getTableExpression_TableCorrelation()

  Specified by:
    `getTableExpression_TableCorrelation` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Table Correlation'.
  See Also:
    `TableExpression.getTableCorrelation()`, `SQLQueryModelPackage.getTableExpression()`

### getTableExpression_ResultTableAllColumns

    public EReference getTableExpression_ResultTableAllColumns()

  Specified by:
    `getTableExpression_ResultTableAllColumns` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference list 'Result Table All Columns'.
  See Also:
    `TableExpression.getResultTableAllColumns()`, `SQLQueryModelPackage.getTableExpression()`

### getTableExpression_ValueExprColumns

    public EReference getTableExpression_ValueExprColumns()

  Specified by:
    `getTableExpression_ValueExprColumns` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference list 'Value Expr Columns'.
  See Also:
    `TableExpression.getValueExprColumns()`, `SQLQueryModelPackage.getTableExpression()`

### getTableJoined

    public EClass getTableJoined()

  Specified by:
    `getTableJoined` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Table Joined'.
  See Also:
    `TableJoined`

### getTableJoined_JoinOperator

    public EAttribute getTableJoined_JoinOperator()

  Specified by:
    `getTableJoined_JoinOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Join Operator'.
  See Also:
    `TableJoined.getJoinOperator()`, `SQLQueryModelPackage.getTableJoined()`

### getTableJoined_JoinCondition

    public EReference getTableJoined_JoinCondition()

  Specified by:
    `getTableJoined_JoinCondition` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Join Condition'.
  See Also:
    `TableJoined.getJoinCondition()`, `SQLQueryModelPackage.getTableJoined()`

### getTableJoined_TableRefRight

    public EReference getTableJoined_TableRefRight()

  Specified by:
    `getTableJoined_TableRefRight` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Table Ref Right'.
  See Also:
    `TableJoined.getTableRefRight()`, `SQLQueryModelPackage.getTableJoined()`

### getTableJoined_TableRefLeft

    public EReference getTableJoined_TableRefLeft()

  Specified by:
    `getTableJoined_TableRefLeft` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Table Ref Left'.
  See Also:
    `TableJoined.getTableRefLeft()`, `SQLQueryModelPackage.getTableJoined()`

### getWithTableSpecification

    public EClass getWithTableSpecification()

  Specified by:
    `getWithTableSpecification` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'With Table Specification'.
  See Also:
    `WithTableSpecification`

### getWithTableSpecification_QueryExpressionRoot

    public EReference getWithTableSpecification_QueryExpressionRoot()

  Specified by:
    `getWithTableSpecification_QueryExpressionRoot` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Query Expression Root'.
  See Also:
    `WithTableSpecification.getQueryExpressionRoot()`, `SQLQueryModelPackage.getWithTableSpecification()`

### getWithTableSpecification_WithTableQueryExpr

    public EReference getWithTableSpecification_WithTableQueryExpr()

  Specified by:
    `getWithTableSpecification_WithTableQueryExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'With Table Query Expr'.
  See Also:
    `WithTableSpecification.getWithTableQueryExpr()`, `SQLQueryModelPackage.getWithTableSpecification()`

### getWithTableSpecification_WithTableReferences

    public EReference getWithTableSpecification_WithTableReferences()

  Specified by:
    `getWithTableSpecification_WithTableReferences` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference list 'With Table References'.
  See Also:
    `WithTableSpecification.getWithTableReferences()`, `SQLQueryModelPackage.getWithTableSpecification()`

### getWithTableSpecification_ColumnNameList

    public EReference getWithTableSpecification_ColumnNameList()

  Specified by:
    `getWithTableSpecification_ColumnNameList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Column Name List'.
  See Also:
    `WithTableSpecification.getColumnNameList()`, `SQLQueryModelPackage.getWithTableSpecification()`

### getPredicate

    public EClass getPredicate()

  Specified by:
    `getPredicate` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate'.
  See Also:
    `Predicate`

### getPredicate_NegatedPredicate

    public EAttribute getPredicate_NegatedPredicate()

  Specified by:
    `getPredicate_NegatedPredicate` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Negated Predicate'.
  See Also:
    `Predicate.isNegatedPredicate()`, `SQLQueryModelPackage.getPredicate()`

### getPredicate_HasSelectivity

    public EAttribute getPredicate_HasSelectivity()

  Specified by:
    `getPredicate_HasSelectivity` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Has Selectivity'.
  See Also:
    `Predicate.isHasSelectivity()`, `SQLQueryModelPackage.getPredicate()`

### getPredicate_SelectivityValue

    public EAttribute getPredicate_SelectivityValue()

  Specified by:
    `getPredicate_SelectivityValue` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Selectivity Value'.
  See Also:
    `Predicate.getSelectivityValue()`, `SQLQueryModelPackage.getPredicate()`

### getSearchConditionCombined

    public EClass getSearchConditionCombined()

  Specified by:
    `getSearchConditionCombined` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Search Condition Combined'.
  See Also:
    `SearchConditionCombined`

### getSearchConditionCombined_CombinedOperator

    public EAttribute getSearchConditionCombined_CombinedOperator()

  Specified by:
    `getSearchConditionCombined_CombinedOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Combined Operator'.
  See Also:
    `SearchConditionCombined.getCombinedOperator()`, `SQLQueryModelPackage.getSearchConditionCombined()`

### getSearchConditionCombined_LeftCondition

    public EReference getSearchConditionCombined_LeftCondition()

  Specified by:
    `getSearchConditionCombined_LeftCondition` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Left Condition'.
  See Also:
    `SearchConditionCombined.getLeftCondition()`, `SQLQueryModelPackage.getSearchConditionCombined()`

### getSearchConditionCombined_RightCondition

    public EReference getSearchConditionCombined_RightCondition()

  Specified by:
    `getSearchConditionCombined_RightCondition` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Right Condition'.
  See Also:
    `SearchConditionCombined.getRightCondition()`, `SQLQueryModelPackage.getSearchConditionCombined()`

### getOrderByValueExpression

    public EClass getOrderByValueExpression()

  Specified by:
    `getOrderByValueExpression` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Order By Value Expression'.
  See Also:
    `OrderByValueExpression`

### getOrderByValueExpression_ValueExpr

    public EReference getOrderByValueExpression_ValueExpr()

  Specified by:
    `getOrderByValueExpression_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `OrderByValueExpression.getValueExpr()`, `SQLQueryModelPackage.getOrderByValueExpression()`

### getQueryCombined

    public EClass getQueryCombined()

  Specified by:
    `getQueryCombined` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Combined'.
  See Also:
    `QueryCombined`

### getQueryCombined_CombinedOperator

    public EAttribute getQueryCombined_CombinedOperator()

  Specified by:
    `getQueryCombined_CombinedOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Combined Operator'.
  See Also:
    `QueryCombined.getCombinedOperator()`, `SQLQueryModelPackage.getQueryCombined()`

### getQueryCombined_LeftQuery

    public EReference getQueryCombined_LeftQuery()

  Specified by:
    `getQueryCombined_LeftQuery` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Left Query'.
  See Also:
    `QueryCombined.getLeftQuery()`, `SQLQueryModelPackage.getQueryCombined()`

### getQueryCombined_RightQuery

    public EReference getQueryCombined_RightQuery()

  Specified by:
    `getQueryCombined_RightQuery` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Right Query'.
  See Also:
    `QueryCombined.getRightQuery()`, `SQLQueryModelPackage.getQueryCombined()`

### getQuerySelect

    public EClass getQuerySelect()

  Specified by:
    `getQuerySelect` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Select'.
  See Also:
    `QuerySelect`

### getQuerySelect_Distinct

    public EAttribute getQuerySelect_Distinct()

  Specified by:
    `getQuerySelect_Distinct` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Distinct'.
  See Also:
    `QuerySelect.isDistinct()`, `SQLQueryModelPackage.getQuerySelect()`

### getQuerySelect_HavingClause

    public EReference getQuerySelect_HavingClause()

  Specified by:
    `getQuerySelect_HavingClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Having Clause'.
  See Also:
    `QuerySelect.getHavingClause()`, `SQLQueryModelPackage.getQuerySelect()`

### getQuerySelect_WhereClause

    public EReference getQuerySelect_WhereClause()

  Specified by:
    `getQuerySelect_WhereClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Where Clause'.
  See Also:
    `QuerySelect.getWhereClause()`, `SQLQueryModelPackage.getQuerySelect()`

### getQuerySelect_GroupByClause

    public EReference getQuerySelect_GroupByClause()

  Specified by:
    `getQuerySelect_GroupByClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Group By Clause'.
  See Also:
    `QuerySelect.getGroupByClause()`, `SQLQueryModelPackage.getQuerySelect()`

### getQuerySelect_SelectClause

    public EReference getQuerySelect_SelectClause()

  Specified by:
    `getQuerySelect_SelectClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Select Clause'.
  See Also:
    `QuerySelect.getSelectClause()`, `SQLQueryModelPackage.getQuerySelect()`

### getQuerySelect_FromClause

    public EReference getQuerySelect_FromClause()

  Specified by:
    `getQuerySelect_FromClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'From Clause'.
  See Also:
    `QuerySelect.getFromClause()`, `SQLQueryModelPackage.getQuerySelect()`

### getQuerySelect_IntoClause

    public EReference getQuerySelect_IntoClause()

  Specified by:
    `getQuerySelect_IntoClause` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Into Clause'.
  See Also:
    `QuerySelect.getIntoClause()`, `SQLQueryModelPackage.getQuerySelect()`

### getGroupingSpecification

    public EClass getGroupingSpecification()

  Specified by:
    `getGroupingSpecification` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Grouping Specification'.
  See Also:
    `GroupingSpecification`

### getGroupingSpecification_QuerySelect

    public EReference getGroupingSpecification_QuerySelect()

  Specified by:
    `getGroupingSpecification_QuerySelect` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Query Select'.
  See Also:
    `GroupingSpecification.getQuerySelect()`, `SQLQueryModelPackage.getGroupingSpecification()`

### getQueryResultSpecification

    public EClass getQueryResultSpecification()

  Specified by:
    `getQueryResultSpecification` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Result Specification'.
  See Also:
    `QueryResultSpecification`

### getQueryResultSpecification_QuerySelect

    public EReference getQueryResultSpecification_QuerySelect()

  Specified by:
    `getQueryResultSpecification_QuerySelect` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Query Select'.
  See Also:
    `QueryResultSpecification.getQuerySelect()`, `SQLQueryModelPackage.getQueryResultSpecification()`

### getResultTableAllColumns

    public EClass getResultTableAllColumns()

  Specified by:
    `getResultTableAllColumns` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Result Table All Columns'.
  See Also:
    `ResultTableAllColumns`

### getResultTableAllColumns_TableExpr

    public EReference getResultTableAllColumns_TableExpr()

  Specified by:
    `getResultTableAllColumns_TableExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference 'Table Expr'.
  See Also:
    `ResultTableAllColumns.getTableExpr()`, `SQLQueryModelPackage.getResultTableAllColumns()`

### getResultColumn

    public EClass getResultColumn()

  Specified by:
    `getResultColumn` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Result Column'.
  See Also:
    `ResultColumn`

### getResultColumn_ValueExpr

    public EReference getResultColumn_ValueExpr()

  Specified by:
    `getResultColumn_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `ResultColumn.getValueExpr()`, `SQLQueryModelPackage.getResultColumn()`

### getResultColumn_OrderByResultCol

    public EReference getResultColumn_OrderByResultCol()

  Specified by:
    `getResultColumn_OrderByResultCol` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference list 'Order By Result Col'.
  See Also:
    `ResultColumn.getOrderByResultCol()`, `SQLQueryModelPackage.getResultColumn()`

### getPredicateBasic

    public EClass getPredicateBasic()

  Specified by:
    `getPredicateBasic` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate Basic'.
  See Also:
    `PredicateBasic`

### getPredicateBasic_ComparisonOperator

    public EAttribute getPredicateBasic_ComparisonOperator()

  Specified by:
    `getPredicateBasic_ComparisonOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Comparison Operator'.
  See Also:
    `PredicateBasic.getComparisonOperator()`, `SQLQueryModelPackage.getPredicateBasic()`

### getPredicateBasic_RightValueExpr

    public EReference getPredicateBasic_RightValueExpr()

  Specified by:
    `getPredicateBasic_RightValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Right Value Expr'.
  See Also:
    `PredicateBasic.getRightValueExpr()`, `SQLQueryModelPackage.getPredicateBasic()`

### getPredicateBasic_LeftValueExpr

    public EReference getPredicateBasic_LeftValueExpr()

  Specified by:
    `getPredicateBasic_LeftValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Left Value Expr'.
  See Also:
    `PredicateBasic.getLeftValueExpr()`, `SQLQueryModelPackage.getPredicateBasic()`

### getPredicateQuantified

    public EClass getPredicateQuantified()

  Specified by:
    `getPredicateQuantified` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate Quantified'.
  See Also:
    `PredicateQuantified`

### getPredicateBetween

    public EClass getPredicateBetween()

  Specified by:
    `getPredicateBetween` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate Between'.
  See Also:
    `PredicateBetween`

### getPredicateBetween_NotBetween

    public EAttribute getPredicateBetween_NotBetween()

  Specified by:
    `getPredicateBetween_NotBetween` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Not Between'.
  See Also:
    `PredicateBetween.isNotBetween()`, `SQLQueryModelPackage.getPredicateBetween()`

### getPredicateBetween_LeftValueExpr

    public EReference getPredicateBetween_LeftValueExpr()

  Specified by:
    `getPredicateBetween_LeftValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Left Value Expr'.
  See Also:
    `PredicateBetween.getLeftValueExpr()`, `SQLQueryModelPackage.getPredicateBetween()`

### getPredicateBetween_RightValueExpr1

    public EReference getPredicateBetween_RightValueExpr1()

  Specified by:
    `getPredicateBetween_RightValueExpr1` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Right Value Expr1'.
  See Also:
    `PredicateBetween.getRightValueExpr1()`, `SQLQueryModelPackage.getPredicateBetween()`

### getPredicateBetween_RightValueExpr2

    public EReference getPredicateBetween_RightValueExpr2()

  Specified by:
    `getPredicateBetween_RightValueExpr2` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Right Value Expr2'.
  See Also:
    `PredicateBetween.getRightValueExpr2()`, `SQLQueryModelPackage.getPredicateBetween()`

### getPredicateExists

    public EClass getPredicateExists()

  Specified by:
    `getPredicateExists` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate Exists'.
  See Also:
    `PredicateExists`

### getPredicateExists_QueryExpr

    public EReference getPredicateExists_QueryExpr()

  Specified by:
    `getPredicateExists_QueryExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Query Expr'.
  See Also:
    `PredicateExists.getQueryExpr()`, `SQLQueryModelPackage.getPredicateExists()`

### getPredicateIn

    public EClass getPredicateIn()

  Specified by:
    `getPredicateIn` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate In'.
  See Also:
    `PredicateIn`

### getPredicateIn_NotIn

    public EAttribute getPredicateIn_NotIn()

  Specified by:
    `getPredicateIn_NotIn` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Not In'.
  See Also:
    `PredicateIn.isNotIn()`, `SQLQueryModelPackage.getPredicateIn()`

### getPredicateLike

    public EClass getPredicateLike()

  Specified by:
    `getPredicateLike` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate Like'.
  See Also:
    `PredicateLike`

### getPredicateLike_NotLike

    public EAttribute getPredicateLike_NotLike()

  Specified by:
    `getPredicateLike_NotLike` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Not Like'.
  See Also:
    `PredicateLike.isNotLike()`, `SQLQueryModelPackage.getPredicateLike()`

### getPredicateLike_PatternValueExpr

    public EReference getPredicateLike_PatternValueExpr()

  Specified by:
    `getPredicateLike_PatternValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Pattern Value Expr'.
  See Also:
    `PredicateLike.getPatternValueExpr()`, `SQLQueryModelPackage.getPredicateLike()`

### getPredicateLike_MatchingValueExpr

    public EReference getPredicateLike_MatchingValueExpr()

  Specified by:
    `getPredicateLike_MatchingValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Matching Value Expr'.
  See Also:
    `PredicateLike.getMatchingValueExpr()`, `SQLQueryModelPackage.getPredicateLike()`

### getPredicateLike_EscapeValueExpr

    public EReference getPredicateLike_EscapeValueExpr()

  Specified by:
    `getPredicateLike_EscapeValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Escape Value Expr'.
  See Also:
    `PredicateLike.getEscapeValueExpr()`, `SQLQueryModelPackage.getPredicateLike()`

### getPredicateIsNull

    public EClass getPredicateIsNull()

  Specified by:
    `getPredicateIsNull` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate Is Null'.
  See Also:
    `PredicateIsNull`

### getPredicateIsNull_NotNull

    public EAttribute getPredicateIsNull_NotNull()

  Specified by:
    `getPredicateIsNull_NotNull` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Not Null'.
  See Also:
    `PredicateIsNull.isNotNull()`, `SQLQueryModelPackage.getPredicateIsNull()`

### getPredicateIsNull_ValueExpr

    public EReference getPredicateIsNull_ValueExpr()

  Specified by:
    `getPredicateIsNull_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `PredicateIsNull.getValueExpr()`, `SQLQueryModelPackage.getPredicateIsNull()`

### getPredicateQuantifiedValueSelect

    public EClass getPredicateQuantifiedValueSelect()

  Specified by:
    `getPredicateQuantifiedValueSelect` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate Quantified Value Select'.
  See Also:
    `PredicateQuantifiedValueSelect`

### getPredicateQuantifiedValueSelect_QuantifiedType

    public EAttribute getPredicateQuantifiedValueSelect_QuantifiedType()

  Specified by:
    `getPredicateQuantifiedValueSelect_QuantifiedType` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Quantified Type'.
  See Also:
    `PredicateQuantifiedValueSelect.getQuantifiedType()`, `SQLQueryModelPackage.getPredicateQuantifiedValueSelect()`

### getPredicateQuantifiedValueSelect_ComparisonOperator

    public EAttribute getPredicateQuantifiedValueSelect_ComparisonOperator()

  Specified by:
    `getPredicateQuantifiedValueSelect_ComparisonOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Comparison Operator'.
  See Also:
    `PredicateQuantifiedValueSelect.getComparisonOperator()`, `SQLQueryModelPackage.getPredicateQuantifiedValueSelect()`

### getPredicateQuantifiedValueSelect_QueryExpr

    public EReference getPredicateQuantifiedValueSelect_QueryExpr()

  Specified by:
    `getPredicateQuantifiedValueSelect_QueryExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Query Expr'.
  See Also:
    `PredicateQuantifiedValueSelect.getQueryExpr()`, `SQLQueryModelPackage.getPredicateQuantifiedValueSelect()`

### getPredicateQuantifiedValueSelect_ValueExpr

    public EReference getPredicateQuantifiedValueSelect_ValueExpr()

  Specified by:
    `getPredicateQuantifiedValueSelect_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `PredicateQuantifiedValueSelect.getValueExpr()`, `SQLQueryModelPackage.getPredicateQuantifiedValueSelect()`

### getPredicateQuantifiedRowSelect

    public EClass getPredicateQuantifiedRowSelect()

  Specified by:
    `getPredicateQuantifiedRowSelect` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate Quantified Row Select'.
  See Also:
    `PredicateQuantifiedRowSelect`

### getPredicateQuantifiedRowSelect_QuantifiedType

    public EAttribute getPredicateQuantifiedRowSelect_QuantifiedType()

  Specified by:
    `getPredicateQuantifiedRowSelect_QuantifiedType` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Quantified Type'.
  See Also:
    `PredicateQuantifiedRowSelect.getQuantifiedType()`, `SQLQueryModelPackage.getPredicateQuantifiedRowSelect()`

### getPredicateQuantifiedRowSelect_QueryExpr

    public EReference getPredicateQuantifiedRowSelect_QueryExpr()

  Specified by:
    `getPredicateQuantifiedRowSelect_QueryExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Query Expr'.
  See Also:
    `PredicateQuantifiedRowSelect.getQueryExpr()`, `SQLQueryModelPackage.getPredicateQuantifiedRowSelect()`

### getPredicateQuantifiedRowSelect_ValueExprList

    public EReference getPredicateQuantifiedRowSelect_ValueExprList()

  Specified by:
    `getPredicateQuantifiedRowSelect_ValueExprList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Value Expr List'.
  See Also:
    `PredicateQuantifiedRowSelect.getValueExprList()`, `SQLQueryModelPackage.getPredicateQuantifiedRowSelect()`

### getPredicateInValueSelect

    public EClass getPredicateInValueSelect()

  Specified by:
    `getPredicateInValueSelect` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate In Value Select'.
  See Also:
    `PredicateInValueSelect`

### getPredicateInValueSelect_QueryExpr

    public EReference getPredicateInValueSelect_QueryExpr()

  Specified by:
    `getPredicateInValueSelect_QueryExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Query Expr'.
  See Also:
    `PredicateInValueSelect.getQueryExpr()`, `SQLQueryModelPackage.getPredicateInValueSelect()`

### getPredicateInValueSelect_ValueExpr

    public EReference getPredicateInValueSelect_ValueExpr()

  Specified by:
    `getPredicateInValueSelect_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `PredicateInValueSelect.getValueExpr()`, `SQLQueryModelPackage.getPredicateInValueSelect()`

### getPredicateInValueList

    public EClass getPredicateInValueList()

  Specified by:
    `getPredicateInValueList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate In Value List'.
  See Also:
    `PredicateInValueList`

### getPredicateInValueList_ValueExprList

    public EReference getPredicateInValueList_ValueExprList()

  Specified by:
    `getPredicateInValueList_ValueExprList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Value Expr List'.
  See Also:
    `PredicateInValueList.getValueExprList()`, `SQLQueryModelPackage.getPredicateInValueList()`

### getPredicateInValueList_ValueExpr

    public EReference getPredicateInValueList_ValueExpr()

  Specified by:
    `getPredicateInValueList_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `PredicateInValueList.getValueExpr()`, `SQLQueryModelPackage.getPredicateInValueList()`

### getPredicateInValueRowSelect

    public EClass getPredicateInValueRowSelect()

  Specified by:
    `getPredicateInValueRowSelect` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Predicate In Value Row Select'.
  See Also:
    `PredicateInValueRowSelect`

### getPredicateInValueRowSelect_ValueExprList

    public EReference getPredicateInValueRowSelect_ValueExprList()

  Specified by:
    `getPredicateInValueRowSelect_ValueExprList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Value Expr List'.
  See Also:
    `PredicateInValueRowSelect.getValueExprList()`, `SQLQueryModelPackage.getPredicateInValueRowSelect()`

### getPredicateInValueRowSelect_QueryExpr

    public EReference getPredicateInValueRowSelect_QueryExpr()

  Specified by:
    `getPredicateInValueRowSelect_QueryExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Query Expr'.
  See Also:
    `PredicateInValueRowSelect.getQueryExpr()`, `SQLQueryModelPackage.getPredicateInValueRowSelect()`

### getValueExpressionSimple

    public EClass getValueExpressionSimple()

  Specified by:
    `getValueExpressionSimple` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Simple'.
  See Also:
    `ValueExpressionSimple`

### getValueExpressionSimple_Value

    public EAttribute getValueExpressionSimple_Value()

  Specified by:
    `getValueExpressionSimple_Value` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ValueExpressionSimple.getValue()`, `SQLQueryModelPackage.getValueExpressionSimple()`

### getValueExpressionColumn

    public EClass getValueExpressionColumn()

  Specified by:
    `getValueExpressionColumn` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Column'.
  See Also:
    `ValueExpressionColumn`

### getValueExpressionColumn_AssignmentExprTarget

    public EReference getValueExpressionColumn_AssignmentExprTarget()

  Specified by:
    `getValueExpressionColumn_AssignmentExprTarget` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference list 'Assignment Expr Target'.
  See Also:
    `ValueExpressionColumn.getAssignmentExprTarget()`, `SQLQueryModelPackage.getValueExpressionColumn()`

### getValueExpressionColumn_ParentTableExpr

    public EReference getValueExpressionColumn_ParentTableExpr()

  Specified by:
    `getValueExpressionColumn_ParentTableExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Parent Table Expr'.
  See Also:
    `ValueExpressionColumn.getParentTableExpr()`, `SQLQueryModelPackage.getValueExpressionColumn()`

### getValueExpressionColumn_InsertStatement

    public EReference getValueExpressionColumn_InsertStatement()

  Specified by:
    `getValueExpressionColumn_InsertStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference list 'Insert Statement'.
  See Also:
    `ValueExpressionColumn.getInsertStatement()`, `SQLQueryModelPackage.getValueExpressionColumn()`

### getValueExpressionColumn_TableExpr

    public EReference getValueExpressionColumn_TableExpr()

  Specified by:
    `getValueExpressionColumn_TableExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference 'Table Expr'.
  See Also:
    `ValueExpressionColumn.getTableExpr()`, `SQLQueryModelPackage.getValueExpressionColumn()`

### getValueExpressionColumn_TableInDatabase

    public EReference getValueExpressionColumn_TableInDatabase()

  Specified by:
    `getValueExpressionColumn_TableInDatabase` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference 'Table In Database'.
  See Also:
    `ValueExpressionColumn.getTableInDatabase()`, `SQLQueryModelPackage.getValueExpressionColumn()`

### getValueExpressionVariable

    public EClass getValueExpressionVariable()

  Specified by:
    `getValueExpressionVariable` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Variable'.
  See Also:
    `ValueExpressionVariable`

### getValueExpressionVariable_QuerySelect

    public EReference getValueExpressionVariable_QuerySelect()

  Specified by:
    `getValueExpressionVariable_QuerySelect` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Query Select'.
  See Also:
    `ValueExpressionVariable.getQuerySelect()`, `SQLQueryModelPackage.getValueExpressionVariable()`

### getValueExpressionScalarSelect

    public EClass getValueExpressionScalarSelect()

  Specified by:
    `getValueExpressionScalarSelect` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Scalar Select'.
  See Also:
    `ValueExpressionScalarSelect`

### getValueExpressionScalarSelect_QueryExpr

    public EReference getValueExpressionScalarSelect_QueryExpr()

  Specified by:
    `getValueExpressionScalarSelect_QueryExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference 'Query Expr'.
  See Also:
    `ValueExpressionScalarSelect.getQueryExpr()`, `SQLQueryModelPackage.getValueExpressionScalarSelect()`

### getValueExpressionLabeledDuration

    public EClass getValueExpressionLabeledDuration()

  Specified by:
    `getValueExpressionLabeledDuration` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Labeled Duration'.
  See Also:
    `ValueExpressionLabeledDuration`

### getValueExpressionLabeledDuration_LabeledDurationType

    public EAttribute getValueExpressionLabeledDuration_LabeledDurationType()

  Specified by:
    `getValueExpressionLabeledDuration_LabeledDurationType` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Labeled Duration Type'.
  See Also:
    `ValueExpressionLabeledDuration.getLabeledDurationType()`, `SQLQueryModelPackage.getValueExpressionLabeledDuration()`

### getValueExpressionLabeledDuration_ValueExpr

    public EReference getValueExpressionLabeledDuration_ValueExpr()

  Specified by:
    `getValueExpressionLabeledDuration_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `ValueExpressionLabeledDuration.getValueExpr()`, `SQLQueryModelPackage.getValueExpressionLabeledDuration()`

### getValueExpressionCase

    public EClass getValueExpressionCase()

  Specified by:
    `getValueExpressionCase` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Case'.
  See Also:
    `ValueExpressionCase`

### getValueExpressionCase_CaseElse

    public EReference getValueExpressionCase_CaseElse()

  Specified by:
    `getValueExpressionCase_CaseElse` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Case Else'.
  See Also:
    `ValueExpressionCase.getCaseElse()`, `SQLQueryModelPackage.getValueExpressionCase()`

### getValueExpressionCast

    public EClass getValueExpressionCast()

  Specified by:
    `getValueExpressionCast` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Cast'.
  See Also:
    `ValueExpressionCast`

### getValueExpressionCast_ValueExpr

    public EReference getValueExpressionCast_ValueExpr()

  Specified by:
    `getValueExpressionCast_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `ValueExpressionCast.getValueExpr()`, `SQLQueryModelPackage.getValueExpressionCast()`

### getValueExpressionNullValue

    public EClass getValueExpressionNullValue()

  Specified by:
    `getValueExpressionNullValue` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Null Value'.
  See Also:
    `ValueExpressionNullValue`

### getValueExpressionDefaultValue

    public EClass getValueExpressionDefaultValue()

  Specified by:
    `getValueExpressionDefaultValue` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Default Value'.
  See Also:
    `ValueExpressionDefaultValue`

### getValueExpressionFunction

    public EClass getValueExpressionFunction()

  Specified by:
    `getValueExpressionFunction` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Function'.
  See Also:
    `ValueExpressionFunction`

### getValueExpressionFunction_SpecialRegister

    public EAttribute getValueExpressionFunction_SpecialRegister()

  Specified by:
    `getValueExpressionFunction_SpecialRegister` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Special Register'.
  See Also:
    `ValueExpressionFunction.isSpecialRegister()`, `SQLQueryModelPackage.getValueExpressionFunction()`

### getValueExpressionFunction_Distinct

    public EAttribute getValueExpressionFunction_Distinct()

  Specified by:
    `getValueExpressionFunction_Distinct` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Distinct'.
  See Also:
    `ValueExpressionFunction.isDistinct()`, `SQLQueryModelPackage.getValueExpressionFunction()`

### getValueExpressionFunction_ColumnFunction

    public EAttribute getValueExpressionFunction_ColumnFunction()

  Specified by:
    `getValueExpressionFunction_ColumnFunction` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Column Function'.
  See Also:
    `ValueExpressionFunction.isColumnFunction()`, `SQLQueryModelPackage.getValueExpressionFunction()`

### getValueExpressionFunction_ParameterList

    public EReference getValueExpressionFunction_ParameterList()

  Specified by:
    `getValueExpressionFunction_ParameterList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Parameter List'.
  See Also:
    `ValueExpressionFunction.getParameterList()`, `SQLQueryModelPackage.getValueExpressionFunction()`

### getValueExpressionFunction_Function

    public EReference getValueExpressionFunction_Function()

  Specified by:
    `getValueExpressionFunction_Function` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference 'Function'.
  See Also:
    `ValueExpressionFunction.getFunction()`, `SQLQueryModelPackage.getValueExpressionFunction()`

### getValueExpressionCombined

    public EClass getValueExpressionCombined()

  Specified by:
    `getValueExpressionCombined` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Combined'.
  See Also:
    `ValueExpressionCombined`

### getValueExpressionCombined_CombinedOperator

    public EAttribute getValueExpressionCombined_CombinedOperator()

  Specified by:
    `getValueExpressionCombined_CombinedOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Combined Operator'.
  See Also:
    `ValueExpressionCombined.getCombinedOperator()`, `SQLQueryModelPackage.getValueExpressionCombined()`

### getValueExpressionCombined_LeftValueExpr

    public EReference getValueExpressionCombined_LeftValueExpr()

  Specified by:
    `getValueExpressionCombined_LeftValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Left Value Expr'.
  See Also:
    `ValueExpressionCombined.getLeftValueExpr()`, `SQLQueryModelPackage.getValueExpressionCombined()`

### getValueExpressionCombined_RightValueExpr

    public EReference getValueExpressionCombined_RightValueExpr()

  Specified by:
    `getValueExpressionCombined_RightValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Right Value Expr'.
  See Also:
    `ValueExpressionCombined.getRightValueExpr()`, `SQLQueryModelPackage.getValueExpressionCombined()`

### getGroupingSets

    public EClass getGroupingSets()

  Specified by:
    `getGroupingSets` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Grouping Sets'.
  See Also:
    `GroupingSets`

### getGroupingSets_GroupingSetsElementList

    public EReference getGroupingSets_GroupingSetsElementList()

  Specified by:
    `getGroupingSets_GroupingSetsElementList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Grouping Sets Element List'.
  See Also:
    `GroupingSets.getGroupingSetsElementList()`, `SQLQueryModelPackage.getGroupingSets()`

### getGrouping

    public EClass getGrouping()

  Specified by:
    `getGrouping` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Grouping'.
  See Also:
    `Grouping`

### getGrouping_GroupingSetsElementExpr

    public EReference getGrouping_GroupingSetsElementExpr()

  Specified by:
    `getGrouping_GroupingSetsElementExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Grouping Sets Element Expr'.
  See Also:
    `Grouping.getGroupingSetsElementExpr()`, `SQLQueryModelPackage.getGrouping()`

### getGroupingSetsElement

    public EClass getGroupingSetsElement()

  Specified by:
    `getGroupingSetsElement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Grouping Sets Element'.
  See Also:
    `GroupingSetsElement`

### getGroupingSetsElement_GroupingSets

    public EReference getGroupingSetsElement_GroupingSets()

  Specified by:
    `getGroupingSetsElement_GroupingSets` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Grouping Sets'.
  See Also:
    `GroupingSetsElement.getGroupingSets()`, `SQLQueryModelPackage.getGroupingSetsElement()`

### getGroupingSetsElementSublist

    public EClass getGroupingSetsElementSublist()

  Specified by:
    `getGroupingSetsElementSublist` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Grouping Sets Element Sublist'.
  See Also:
    `GroupingSetsElementSublist`

### getGroupingSetsElementSublist_GroupingSetsElementExprList

    public EReference getGroupingSetsElementSublist_GroupingSetsElementExprList()

  Specified by:
    `getGroupingSetsElementSublist_GroupingSetsElementExprList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Grouping Sets Element Expr List'.
  See Also:
    `GroupingSetsElementSublist.getGroupingSetsElementExprList()`, `SQLQueryModelPackage.getGroupingSetsElementSublist()`

### getGroupingSetsElementExpression

    public EClass getGroupingSetsElementExpression()

  Specified by:
    `getGroupingSetsElementExpression` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Grouping Sets Element Expression'.
  See Also:
    `GroupingSetsElementExpression`

### getGroupingSetsElementExpression_GroupingSetsElementSublist

    public EReference getGroupingSetsElementExpression_GroupingSetsElementSublist()

  Specified by:
    `getGroupingSetsElementExpression_GroupingSetsElementSublist` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Grouping Sets Element Sublist'.
  See Also:
    `GroupingSetsElementExpression.getGroupingSetsElementSublist()`, `SQLQueryModelPackage.getGroupingSetsElementExpression()`

### getGroupingSetsElementExpression_Grouping

    public EReference getGroupingSetsElementExpression_Grouping()

  Specified by:
    `getGroupingSetsElementExpression_Grouping` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Grouping'.
  See Also:
    `GroupingSetsElementExpression.getGrouping()`, `SQLQueryModelPackage.getGroupingSetsElementExpression()`

### getSuperGroup

    public EClass getSuperGroup()

  Specified by:
    `getSuperGroup` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Super Group'.
  See Also:
    `SuperGroup`

### getSuperGroup_SuperGroupType

    public EAttribute getSuperGroup_SuperGroupType()

  Specified by:
    `getSuperGroup_SuperGroupType` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Super Group Type'.
  See Also:
    `SuperGroup.getSuperGroupType()`, `SQLQueryModelPackage.getSuperGroup()`

### getSuperGroup_SuperGroupElementList

    public EReference getSuperGroup_SuperGroupElementList()

  Specified by:
    `getSuperGroup_SuperGroupElementList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Super Group Element List'.
  See Also:
    `SuperGroup.getSuperGroupElementList()`, `SQLQueryModelPackage.getSuperGroup()`

### getGroupingExpression

    public EClass getGroupingExpression()

  Specified by:
    `getGroupingExpression` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Grouping Expression'.
  See Also:
    `GroupingExpression`

### getGroupingExpression_ValueExpr

    public EReference getGroupingExpression_ValueExpr()

  Specified by:
    `getGroupingExpression_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `GroupingExpression.getValueExpr()`, `SQLQueryModelPackage.getGroupingExpression()`

### getGroupingExpression_SuperGroupElementExpr

    public EReference getGroupingExpression_SuperGroupElementExpr()

  Specified by:
    `getGroupingExpression_SuperGroupElementExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Super Group Element Expr'.
  See Also:
    `GroupingExpression.getSuperGroupElementExpr()`, `SQLQueryModelPackage.getGroupingExpression()`

### getSuperGroupElement

    public EClass getSuperGroupElement()

  Specified by:
    `getSuperGroupElement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Super Group Element'.
  See Also:
    `SuperGroupElement`

### getSuperGroupElement_SuperGroup

    public EReference getSuperGroupElement_SuperGroup()

  Specified by:
    `getSuperGroupElement_SuperGroup` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Super Group'.
  See Also:
    `SuperGroupElement.getSuperGroup()`, `SQLQueryModelPackage.getSuperGroupElement()`

### getSuperGroupElementSublist

    public EClass getSuperGroupElementSublist()

  Specified by:
    `getSuperGroupElementSublist` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Super Group Element Sublist'.
  See Also:
    `SuperGroupElementSublist`

### getSuperGroupElementSublist_SuperGroupElementExprList

    public EReference getSuperGroupElementSublist_SuperGroupElementExprList()

  Specified by:
    `getSuperGroupElementSublist_SuperGroupElementExprList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Super Group Element Expr List'.
  See Also:
    `SuperGroupElementSublist.getSuperGroupElementExprList()`, `SQLQueryModelPackage.getSuperGroupElementSublist()`

### getSuperGroupElementExpression

    public EClass getSuperGroupElementExpression()

  Specified by:
    `getSuperGroupElementExpression` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Super Group Element Expression'.
  See Also:
    `SuperGroupElementExpression`

### getSuperGroupElementExpression_SuperGroupElementSublist

    public EReference getSuperGroupElementExpression_SuperGroupElementSublist()

  Specified by:
    `getSuperGroupElementExpression_SuperGroupElementSublist` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Super Group Element Sublist'.
  See Also:
    `SuperGroupElementExpression.getSuperGroupElementSublist()`, `SQLQueryModelPackage.getSuperGroupElementExpression()`

### getSuperGroupElementExpression_GroupingExpr

    public EReference getSuperGroupElementExpression_GroupingExpr()

  Specified by:
    `getSuperGroupElementExpression_GroupingExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Grouping Expr'.
  See Also:
    `SuperGroupElementExpression.getGroupingExpr()`, `SQLQueryModelPackage.getSuperGroupElementExpression()`

### getValueExpressionCaseSearch

    public EClass getValueExpressionCaseSearch()

  Specified by:
    `getValueExpressionCaseSearch` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Case Search'.
  See Also:
    `ValueExpressionCaseSearch`

### getValueExpressionCaseSearch_SearchContentList

    public EReference getValueExpressionCaseSearch_SearchContentList()

  Specified by:
    `getValueExpressionCaseSearch_SearchContentList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Search Content List'.
  See Also:
    `ValueExpressionCaseSearch.getSearchContentList()`, `SQLQueryModelPackage.getValueExpressionCaseSearch()`

### getValueExpressionCaseSimple

    public EClass getValueExpressionCaseSimple()

  Specified by:
    `getValueExpressionCaseSimple` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Case Simple'.
  See Also:
    `ValueExpressionCaseSimple`

### getValueExpressionCaseSimple_ContentList

    public EReference getValueExpressionCaseSimple_ContentList()

  Specified by:
    `getValueExpressionCaseSimple_ContentList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Content List'.
  See Also:
    `ValueExpressionCaseSimple.getContentList()`, `SQLQueryModelPackage.getValueExpressionCaseSimple()`

### getValueExpressionCaseSimple_ValueExpr

    public EReference getValueExpressionCaseSimple_ValueExpr()

  Specified by:
    `getValueExpressionCaseSimple_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `ValueExpressionCaseSimple.getValueExpr()`, `SQLQueryModelPackage.getValueExpressionCaseSimple()`

### getValueExpressionCaseElse

    public EClass getValueExpressionCaseElse()

  Specified by:
    `getValueExpressionCaseElse` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Case Else'.
  See Also:
    `ValueExpressionCaseElse`

### getValueExpressionCaseElse_ValueExprCase

    public EReference getValueExpressionCaseElse_ValueExprCase()

  Specified by:
    `getValueExpressionCaseElse_ValueExprCase` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Case'.
  See Also:
    `ValueExpressionCaseElse.getValueExprCase()`, `SQLQueryModelPackage.getValueExpressionCaseElse()`

### getValueExpressionCaseElse_ValueExpr

    public EReference getValueExpressionCaseElse_ValueExpr()

  Specified by:
    `getValueExpressionCaseElse_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `ValueExpressionCaseElse.getValueExpr()`, `SQLQueryModelPackage.getValueExpressionCaseElse()`

### getValueExpressionCaseSearchContent

    public EClass getValueExpressionCaseSearchContent()

  Specified by:
    `getValueExpressionCaseSearchContent` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Case Search Content'.
  See Also:
    `ValueExpressionCaseSearchContent`

### getValueExpressionCaseSearchContent_ValueExpr

    public EReference getValueExpressionCaseSearchContent_ValueExpr()

  Specified by:
    `getValueExpressionCaseSearchContent_ValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Value Expr'.
  See Also:
    `ValueExpressionCaseSearchContent.getValueExpr()`, `SQLQueryModelPackage.getValueExpressionCaseSearchContent()`

### getValueExpressionCaseSearchContent_SearchCondition

    public EReference getValueExpressionCaseSearchContent_SearchCondition()

  Specified by:
    `getValueExpressionCaseSearchContent_SearchCondition` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Search Condition'.
  See Also:
    `ValueExpressionCaseSearchContent.getSearchCondition()`, `SQLQueryModelPackage.getValueExpressionCaseSearchContent()`

### getValueExpressionCaseSearchContent_ValueExprCaseSearch

    public EReference getValueExpressionCaseSearchContent_ValueExprCaseSearch()

  Specified by:
    `getValueExpressionCaseSearchContent_ValueExprCaseSearch` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Case Search'.
  See Also:
    `ValueExpressionCaseSearchContent.getValueExprCaseSearch()`, `SQLQueryModelPackage.getValueExpressionCaseSearchContent()`

### getValueExpressionCaseSimpleContent

    public EClass getValueExpressionCaseSimpleContent()

  Specified by:
    `getValueExpressionCaseSimpleContent` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Case Simple Content'.
  See Also:
    `ValueExpressionCaseSimpleContent`

### getValueExpressionCaseSimpleContent_ValueExprCaseSimple

    public EReference getValueExpressionCaseSimpleContent_ValueExprCaseSimple()

  Specified by:
    `getValueExpressionCaseSimpleContent_ValueExprCaseSimple` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Value Expr Case Simple'.
  See Also:
    `ValueExpressionCaseSimpleContent.getValueExprCaseSimple()`, `SQLQueryModelPackage.getValueExpressionCaseSimpleContent()`

### getValueExpressionCaseSimpleContent_WhenValueExpr

    public EReference getValueExpressionCaseSimpleContent_WhenValueExpr()

  Specified by:
    `getValueExpressionCaseSimpleContent_WhenValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'When Value Expr'.
  See Also:
    `ValueExpressionCaseSimpleContent.getWhenValueExpr()`, `SQLQueryModelPackage.getValueExpressionCaseSimpleContent()`

### getValueExpressionCaseSimpleContent_ResultValueExpr

    public EReference getValueExpressionCaseSimpleContent_ResultValueExpr()

  Specified by:
    `getValueExpressionCaseSimpleContent_ResultValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Result Value Expr'.
  See Also:
    `ValueExpressionCaseSimpleContent.getResultValueExpr()`, `SQLQueryModelPackage.getValueExpressionCaseSimpleContent()`

### getTableInDatabase

    public EClass getTableInDatabase()

  Specified by:
    `getTableInDatabase` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Table In Database'.
  See Also:
    `TableInDatabase`

### getTableInDatabase_UpdateStatement

    public EReference getTableInDatabase_UpdateStatement()

  Specified by:
    `getTableInDatabase_UpdateStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Update Statement'.
  See Also:
    `TableInDatabase.getUpdateStatement()`, `SQLQueryModelPackage.getTableInDatabase()`

### getTableInDatabase_DeleteStatement

    public EReference getTableInDatabase_DeleteStatement()

  Specified by:
    `getTableInDatabase_DeleteStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Delete Statement'.
  See Also:
    `TableInDatabase.getDeleteStatement()`, `SQLQueryModelPackage.getTableInDatabase()`

### getTableInDatabase_InsertStatement

    public EReference getTableInDatabase_InsertStatement()

  Specified by:
    `getTableInDatabase_InsertStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Insert Statement'.
  See Also:
    `TableInDatabase.getInsertStatement()`, `SQLQueryModelPackage.getTableInDatabase()`

### getTableInDatabase_DatabaseTable

    public EReference getTableInDatabase_DatabaseTable()

  Specified by:
    `getTableInDatabase_DatabaseTable` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference 'Database Table'.
  See Also:
    `TableInDatabase.getDatabaseTable()`, `SQLQueryModelPackage.getTableInDatabase()`

### getTableInDatabase_DerivedColumnList

    public EReference getTableInDatabase_DerivedColumnList()

  Specified by:
    `getTableInDatabase_DerivedColumnList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference list 'Derived Column List'.
  See Also:
    `TableInDatabase.getDerivedColumnList()`, `SQLQueryModelPackage.getTableInDatabase()`

### getTableFunction

    public EClass getTableFunction()

  Specified by:
    `getTableFunction` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Table Function'.
  See Also:
    `TableFunction`

### getSQLQueryObject

    public EClass getSQLQueryObject()

  Specified by:
    `getSQLQueryObject` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'SQL Query Object'.
  See Also:
    `SQLQueryObject`

### getQueryChangeStatement

    public EClass getQueryChangeStatement()

  Specified by:
    `getQueryChangeStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Change Statement'.
  See Also:
    `QueryChangeStatement`

### getColumnName

    public EClass getColumnName()

  Specified by:
    `getColumnName` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Column Name'.
  See Also:
    `ColumnName`

### getColumnName_TableCorrelation

    public EReference getColumnName_TableCorrelation()

  Specified by:
    `getColumnName_TableCorrelation` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Table Correlation'.
  See Also:
    `ColumnName.getTableCorrelation()`, `SQLQueryModelPackage.getColumnName()`

### getColumnName_WithTableSpecification

    public EReference getColumnName_WithTableSpecification()

  Specified by:
    `getColumnName_WithTableSpecification` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'With Table Specification'.
  See Also:
    `ColumnName.getWithTableSpecification()`, `SQLQueryModelPackage.getColumnName()`

### getTableNested

    public EClass getTableNested()

  Specified by:
    `getTableNested` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Table Nested'.
  See Also:
    `TableNested`

### getTableNested_NestedTableRef

    public EReference getTableNested_NestedTableRef()

  Specified by:
    `getTableNested_NestedTableRef` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Nested Table Ref'.
  See Also:
    `TableNested.getNestedTableRef()`, `SQLQueryModelPackage.getTableNested()`

### getQueryMergeStatement

    public EClass getQueryMergeStatement()

  Specified by:
    `getQueryMergeStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Query Merge Statement'.
  See Also:
    `QueryMergeStatement`

### getSearchConditionNested

    public EClass getSearchConditionNested()

  Specified by:
    `getSearchConditionNested` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Search Condition Nested'.
  See Also:
    `SearchConditionNested`

### getSearchConditionNested_NestedCondition

    public EReference getSearchConditionNested_NestedCondition()

  Specified by:
    `getSearchConditionNested_NestedCondition` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Nested Condition'.
  See Also:
    `SearchConditionNested.getNestedCondition()`, `SQLQueryModelPackage.getSearchConditionNested()`

### getValueExpressionNested

    public EClass getValueExpressionNested()

  Specified by:
    `getValueExpressionNested` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Nested'.
  See Also:
    `ValueExpressionNested`

### getValueExpressionNested_NestedValueExpr

    public EReference getValueExpressionNested_NestedValueExpr()

  Specified by:
    `getValueExpressionNested_NestedValueExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Nested Value Expr'.
  See Also:
    `ValueExpressionNested.getNestedValueExpr()`, `SQLQueryModelPackage.getValueExpressionNested()`

### getValueExpressionAtomic

    public EClass getValueExpressionAtomic()

  Specified by:
    `getValueExpressionAtomic` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Value Expression Atomic'.
  See Also:
    `ValueExpressionAtomic`

### getOrderBySpecification

    public EClass getOrderBySpecification()

  Specified by:
    `getOrderBySpecification` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Order By Specification'.
  See Also:
    `OrderBySpecification`

### getOrderBySpecification_Descending

    public EAttribute getOrderBySpecification_Descending()

  Specified by:
    `getOrderBySpecification_Descending` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Descending'.
  See Also:
    `OrderBySpecification.isDescending()`, `SQLQueryModelPackage.getOrderBySpecification()`

### getOrderBySpecification_OrderingSpecOption

    public EAttribute getOrderBySpecification_OrderingSpecOption()

  Specified by:
    `getOrderBySpecification_OrderingSpecOption` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Ordering Spec Option'.
  See Also:
    `OrderBySpecification.getOrderingSpecOption()`, `SQLQueryModelPackage.getOrderBySpecification()`

### getOrderBySpecification_NullOrderingOption

    public EAttribute getOrderBySpecification_NullOrderingOption()

  Specified by:
    `getOrderBySpecification_NullOrderingOption` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Null Ordering Option'.
  See Also:
    `OrderBySpecification.getNullOrderingOption()`, `SQLQueryModelPackage.getOrderBySpecification()`

### getOrderBySpecification_SelectStatement

    public EReference getOrderBySpecification_SelectStatement()

  Specified by:
    `getOrderBySpecification_SelectStatement` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Select Statement'.
  See Also:
    `OrderBySpecification.getSelectStatement()`, `SQLQueryModelPackage.getOrderBySpecification()`

### getOrderByOrdinal

    public EClass getOrderByOrdinal()

  Specified by:
    `getOrderByOrdinal` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Order By Ordinal'.
  See Also:
    `OrderByOrdinal`

### getOrderByOrdinal_OrdinalValue

    public EAttribute getOrderByOrdinal_OrdinalValue()

  Specified by:
    `getOrderByOrdinal_OrdinalValue` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the attribute 'Ordinal Value'.
  See Also:
    `OrderByOrdinal.getOrdinalValue()`, `SQLQueryModelPackage.getOrderByOrdinal()`

### getTableCorrelation

    public EClass getTableCorrelation()

  Specified by:
    `getTableCorrelation` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Table Correlation'.
  See Also:
    `TableCorrelation`

### getTableCorrelation_TableExpr

    public EReference getTableCorrelation_TableExpr()

  Specified by:
    `getTableCorrelation_TableExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Table Expr'.
  See Also:
    `TableCorrelation.getTableExpr()`, `SQLQueryModelPackage.getTableCorrelation()`

### getTableCorrelation_ColumnNameList

    public EReference getTableCorrelation_ColumnNameList()

  Specified by:
    `getTableCorrelation_ColumnNameList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Column Name List'.
  See Also:
    `TableCorrelation.getColumnNameList()`, `SQLQueryModelPackage.getTableCorrelation()`

### getUpdateSource

    public EClass getUpdateSource()

  Specified by:
    `getUpdateSource` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Update Source'.
  See Also:
    `UpdateSource`

### getUpdateSource_UpdateAssignmentExpr

    public EReference getUpdateSource_UpdateAssignmentExpr()

  Specified by:
    `getUpdateSource_UpdateAssignmentExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the container reference 'Update Assignment Expr'.
  See Also:
    `UpdateSource.getUpdateAssignmentExpr()`, `SQLQueryModelPackage.getUpdateSource()`

### getUpdateSourceExprList

    public EClass getUpdateSourceExprList()

  Specified by:
    `getUpdateSourceExprList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Update Source Expr List'.
  See Also:
    `UpdateSourceExprList`

### getUpdateSourceExprList_ValueExprList

    public EReference getUpdateSourceExprList_ValueExprList()

  Specified by:
    `getUpdateSourceExprList_ValueExprList` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference list 'Value Expr List'.
  See Also:
    `UpdateSourceExprList.getValueExprList()`, `SQLQueryModelPackage.getUpdateSourceExprList()`

### getUpdateSourceQuery

    public EClass getUpdateSourceQuery()

  Specified by:
    `getUpdateSourceQuery` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Update Source Query'.
  See Also:
    `UpdateSourceQuery`

### getUpdateSourceQuery_QueryExpr

    public EReference getUpdateSourceQuery_QueryExpr()

  Specified by:
    `getUpdateSourceQuery_QueryExpr` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the containment reference 'Query Expr'.
  See Also:
    `UpdateSourceQuery.getQueryExpr()`, `SQLQueryModelPackage.getUpdateSourceQuery()`

### getOrderByResultColumn

    public EClass getOrderByResultColumn()

  Specified by:
    `getOrderByResultColumn` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'Order By Result Column'.
  See Also:
    `OrderByResultColumn`

### getOrderByResultColumn_ResultCol

    public EReference getOrderByResultColumn_ResultCol()

  Specified by:
    `getOrderByResultColumn_ResultCol` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference 'Result Col'.
  See Also:
    `OrderByResultColumn.getResultCol()`, `SQLQueryModelPackage.getOrderByResultColumn()`

### getWithTableReference

    public EClass getWithTableReference()

  Specified by:
    `getWithTableReference` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for class 'With Table Reference'.
  See Also:
    `WithTableReference`

### getWithTableReference_WithTableSpecification

    public EReference getWithTableReference_WithTableSpecification()

  Specified by:
    `getWithTableReference_WithTableSpecification` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for the reference 'With Table Specification'.
  See Also:
    `WithTableReference.getWithTableSpecification()`, `SQLQueryModelPackage.getWithTableReference()`

### getSuperGroupType

    public EEnum getSuperGroupType()

  Specified by:
    `getSuperGroupType` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Super Group Type'.
  See Also:
    `SuperGroupType`

### getPredicateQuantifiedType

    public EEnum getPredicateQuantifiedType()

  Specified by:
    `getPredicateQuantifiedType` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Predicate Quantified Type'.
  See Also:
    `PredicateQuantifiedType`

### getPredicateComparisonOperator

    public EEnum getPredicateComparisonOperator()

  Specified by:
    `getPredicateComparisonOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Predicate Comparison Operator'.
  See Also:
    `PredicateComparisonOperator`

### getSearchConditionCombinedOperator

    public EEnum getSearchConditionCombinedOperator()

  Specified by:
    `getSearchConditionCombinedOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Search Condition Combined Operator'.
  See Also:
    `SearchConditionCombinedOperator`

### getTableJoinedOperator

    public EEnum getTableJoinedOperator()

  Specified by:
    `getTableJoinedOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Table Joined Operator'.
  See Also:
    `TableJoinedOperator`

### getQueryCombinedOperator

    public EEnum getQueryCombinedOperator()

  Specified by:
    `getQueryCombinedOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Query Combined Operator'.
  See Also:
    `QueryCombinedOperator`

### getValueExpressionUnaryOperator

    public EEnum getValueExpressionUnaryOperator()

  Specified by:
    `getValueExpressionUnaryOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Value Expression Unary Operator'.
  See Also:
    `ValueExpressionUnaryOperator`

### getValueExpressionCombinedOperator

    public EEnum getValueExpressionCombinedOperator()

  Specified by:
    `getValueExpressionCombinedOperator` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Value Expression Combined Operator'.
  See Also:
    `ValueExpressionCombinedOperator`

### getValueExpressionLabeledDurationType

    public EEnum getValueExpressionLabeledDurationType()

  Specified by:
    `getValueExpressionLabeledDurationType` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Value Expression Labeled Duration Type'.
  See Also:
    `ValueExpressionLabeledDurationType`

### getNullOrderingType

    public EEnum getNullOrderingType()

  Specified by:
    `getNullOrderingType` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Null Ordering Type'.
  See Also:
    `NullOrderingType`

### getOrderingSpecType

    public EEnum getOrderingSpecType()

  Specified by:
    `getOrderingSpecType` in interface `SQLQueryModelPackage`
  Returns:
    the meta object for enum 'Ordering Spec Type'.
  See Also:
    `OrderingSpecType`

### getSQLQueryModelFactory

    public SQLQueryModelFactory getSQLQueryModelFactory()

  Specified by:
    `getSQLQueryModelFactory` in interface `SQLQueryModelPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.